#!/bin/sh

REG_PATH="/lib/reg"

PRODUCT_NAME="NJord"
LANGUAGE_TYPE="English"
AGENCY_NAME="SATLAB"

if [ ! -n "$1" ];
then
    echo "The device change to NJord!"
elif [ $1 -eq 1 ];
then
    echo "The device change to K20!"
    PRODUCT_NAME="K20"
    LANGUAGE_TYPE="Chinese"
    AGENCY_NAME="HITARGET"
elif [ $1 -eq 2 ];
then
    echo "The device change to S2!"
    PRODUCT_NAME="S2"
    LANGUAGE_TYPE="English"
    AGENCY_NAME="EFT"
elif [ $1 -eq 3 ];
then
    echo "The device change to NJord!"
    PRODUCT_NAME="NJord"
    LANGUAGE_TYPE="English"
    AGENCY_NAME="SATLAB"
fi

TEST_DATA="$REG_PATH 16121606 085211211069157204086124 58:fc:db:9b:98:c7 Chinese 1 120 255 K20 Pro 1341950 74647968 33466898 66 2 K20 EFT 3"
REG_INFO=""

mkdir -p /mnt/platform/var
touch /mnt/platform/var/reg_rewrite_cmd
for i in $(seq 10)
do
    sleep 1
    REG_INFO=`$REG_PATH showinfo | grep "reg "`
    if [ ${#REG_INFO} -gt 10 ]; then
        break
    fi
done

echo $REG_INFO

#语言修改
LANGUAGE_CH=$(echo $REG_INFO |grep "Chinese")
LANGUAGE_EN=$(echo $REG_INFO |grep "English")
if [ ${#LANGUAGE_CH} -gt 5 ];
then
    REG_INFO=${REG_INFO//Chinese/$LANGUAGE_TYPE}
elif [ ${#LANGUAGE_EN} -gt 5 ];
then
    REG_INFO=${REG_INFO//English/$LANGUAGE_TYPE}
fi

#产品型号修改
PRODUCT_K20_PRO=$(echo $REG_INFO |grep "K20 Pro")
PRODUCT_K20=$(echo $REG_INFO |grep "K20")
PRODUCT_S2=$(echo $REG_INFO |grep "S2")
PRODUCT_NJORD=$(echo $REG_INFO |grep "NJord")
if [ ${#PRODUCT_K20_PRO} -gt 2 ];
then
    REG_INFO=${REG_INFO//K20 Pro/$PRODUCT_NAME}
elif [ ${#PRODUCT_K20} -gt 2 ];
then
    REG_INFO=${REG_INFO//K20/$PRODUCT_NAME}
elif [ ${#PRODUCT_S2} -gt 1 ];
then
    REG_INFO=${REG_INFO//S2/$PRODUCT_NAME}
elif [ ${#PRODUCT_NJORD} -gt 2 ];
then
    REG_INFO=${REG_INFO//NJord/$PRODUCT_NAME}
fi

#厂商修改
AGENCY_ZHD=$(echo $REG_INFO |grep "HITARGET")
AGENCY_EFT=$(echo $REG_INFO |grep "EFT")
AGENCY_SATLAB=$(echo $REG_INFO |grep "SATLAB")
if [ ${#AGENCY_ZHD} -gt 2 ];
then
    REG_INFO=${REG_INFO//HITARGET/$AGENCY_NAME}
elif [ ${#AGENCY_EFT} -gt 2 ];
then
    REG_INFO=${REG_INFO//EFT/$AGENCY_NAME}
elif [ ${#AGENCY_SATLAB} -gt 2 ];
then
    REG_INFO=${REG_INFO//SATLAB/$AGENCY_NAME}
fi

REG_INFO=${REG_INFO//reg/$REG_PATH}

echo $REG_INFO

$REG_PATH Y0oyrTH2yl

sleep 2

$REG_INFO

sleep 2

$REG_PATH showinfo

