#! /bin/sh
################################################################################
# 工程名称:VNet10新一代工程固件
# 模块名称:DB_source/ant
# 文件名称:createDB.sh
# 创建日期:2014/12/01
# 作者:系统工程嵌入式软件组(韩伟浩\欧阳仲南\丁度灏)
# 实现功能:将ngs天线信息文件转化成数据库文件脚本
# 备注:在NGS网站下载天线信息 http://www.ngs.noaa.gov/ANTCAL/
# Composite Absolute Calibrations:
#            http://www.ngs.noaa.gov/ANTCAL/LoadFile?file=ngs08.003
# Composite Relative Calibrations:
#            http://www.ngs.noaa.gov/ANTCAL/LoadFile?file=ant_info.003
################################################################################

if [ $# != 1 ] ; then
	echo "Usage:./create.sh ngs";
	exit 1;
fi

ANT_file=extern_ant.arl
ANT_instruction="GNSS Antenna"
ANT_radius=0.09400
ANT_base_high=0

if [ -f $ANT_file ]; then
	rm $ANT_file
fi

echo "A2,GNSS Antenna,0.09400,0,0.05090,0.05620,G4-EFT A2,0.00130,-0.00100,0.00040,-0.00180,,1" >> $ANT_file
echo "A2H,GNSS Antenna,0.09400,0,0.05090,0.05620,G4-EFT A2H,0.00130,-0.00100,0.00040,-0.00180,,1" >> $ANT_file
echo "AT35101H,GNSS Antenna,0.09400,0,0.05090,0.05620,HITAT35101H,0.00130,-0.00100,0.00040,-0.00180,,1" >> $ANT_file
echo "AT-2300,$ANT_instruction,$ANT_radius,$ANT_base_high,0,0,AT-2300,0,0,0,0,,1" >> $ANT_file

#scan ngs ant info
n=`expr 0 + 0`
L1_N=""
L2_N=""
L1_E=""
L2_E=""
L1_U=""
L2_U=""

for i in `cat $1|awk '{if(NF==3) print $1" "$2" "$3; else if(match($0, "\(...\) ..\/..\/..") != NULL) print $1 "(" $2 ")"}'`
do
	n=`expr $n + 1`
	#ant type
	if [ $n -eq 1 ];then
		str="$i"
	#L1 Offset (mm) [north]
	elif [ $n -eq 2 ];then
		L1_N=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
	#L1 Offset (mm) [ east]
	elif [ $n -eq 3 ];then
		L1_E=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
	#L1 Offset (mm) [  up ]
	elif [ $n -eq 4 ];then
		L1_U=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
	#L2 Offset (mm) [north]
	elif [ $n -eq 5 ];then
		L2_N=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
	#L2 Offset (mm) [ east]
	elif [ $n -eq 6 ];then
		L2_E=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
	#L2 Offset (mm) [  up ]
	elif [ $n -eq 7 ];then
		L2_U=`echo "scale=5;$i*0.001" | bc | awk '{printf "%.5f", $0}'`
		echo "$str,$ANT_instruction,$ANT_radius,$ANT_base_high,$L1_U,$L2_U,$str,$L1_N,$L1_E,$L2_N,$L2_E,,1" >> $ANT_file

		str=""
		n=`expr 0 + 0`
	fi
done

