/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: common_app.js 
 *	Module Function : 
 *  Created on		: 2017年1月17日
 *  Author	  		: admin
 *******************************************************************************/
// JavaScript Document Common app js公共库 所有网页包含此脚本即可


var str_obj; /*  语言包 全局变量obj */

var dev_info = {
    dev_str: '',
    dev_agency_str: 'HITARGET',
};

/*******************************************************************************
 * 名称：SetCookies 
 * 功能：设置cookies 
 * 形参：cookie_name -> cookies 名字 
 * 返回：空 
 * 说明：无
 ******************************************************************************/

function SetCookies(c_name, value, expiredays)
{
	var exdate = new Date();
	
	exdate.setDate(exdate.getDate() + expiredays);
	
	document.cookie = c_name + "=" + escape(value)
	        + ((expiredays == null) ? "" : "; expires=" + exdate.toGMTString());
}

/*******************************************************************************
 * 名称：GetCookieByName 
 * 功能：根据cookies 名字获取对应的值 
 * 形参：cookie_name -> cookies 名字 
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GetCookieByName(cookie_name)
{

	var cookies_arr = document.cookie.split("; "); /* 根据分号 分割 */
	
	for (var i = 0; i < cookies_arr.length; i++) {
		console.log(cookies_arr[i]);
		var cookies_sub = cookies_arr[i].split("=");
		
		if (cookies_sub[0] == cookie_name) {
			console.log(cookies_sub[1]);
			return unescape(cookies_sub[1]);
		}
		
	}
	return null;
}

/*******************************************************************************
 * 名称：SetElementStyleById
 * 功能：设置标签样式
 * 形参：id	->	标签样式
 * 		style -> 为标签设置样式
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetElementStyleById(id, style) 
{
	document.getElementById(id).setAttribute('style', style);
}

/*******************************************************************************
 * 名称：GetElementStyleById
 * 功能：获取标签id样式
 * 形参：id	->	标签样式
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GetElementStyleById(id) 
{
	return document.getElementById(id).getAttribute('style');
}

/*******************************************************************************
 * 名称：SetElementStyleByClassName
 * 功能：设置标签样式
 * 形参：class_name ->	标签样式类名 
 * 		style -> 为标签设置样式
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetElementStyleByClassName(class_name, style) 
{
	//	$('.' + class_name).addClass();
	//	for (var i = 0; i < document.getElementsByClassName(class_name).length; i++) {
	//		document.getElementsByClassName(class_name).item(i).setAttribute(
	//		        'style', style);
	//	}

	$('.' + class_name).css(style);
}

/*******************************************************************************
 * 名称：SetShowHideByClassName
 * 功能：设置标签类隐藏/显示
 * 形参：class_name	->	类名
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetShowHideByClassName(class_name) 
{
	$('.' + class_name).toggleClass('hidden-class'); /* hidd */
}

/*******************************************************************************
 * 名称：SetShowHideIDName
 * 功能：设置ID隐藏/显示
 * 形参：id_name	->	id名
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetShowHideByIDName(id_name) 
{
	$('#' + id_name).toggleClass('hidden-class');
}

/*******************************************************************************
 * 名称：iRTK5HTTPRequest
 * 功能：HTTP请求公共头文件
 * 形参：get_sta	->	获取状态 'aaa&bbb' aaa为页面来源 bbb为页面子参数
 		args ->	为页面参数
 * 返回：空
 * 说明：无
 ******************************************************************************/

function iRTK5HTTPRequest(get_sta, args, call_backed) 
{
	var url = "?"+ get_sta; /* aaa为第一参数 &后为第二参数  */
	url += args;
	AjaxRequest(url, call_backed);
}

function iRTK5PostRequest(get_sta, args, call_backed)
{
	var url = get_sta; /* aaa为第一参数 &后为第二参数  */
	url += args;
	$.post("/cgi-bin/linux-cgi.fcgi", url, call_backed);
}

/*******************************************************************************
 * 名称：JqueryMobileRefresh
 * 功能：刷新当前网页参数内容 
 * 形参：id_name	->	名称或者类名 id: #开始  classs: .开始
 * 		id_type -> id 对应的类型 "select" 下拉列表 框
 								"checkbox"/"radio" 单选或复选框
								"listview" 列表
								"listview_content" 列表组件 li等
								"slider" 滑块
 * 返回：空
 * 说明：
 select 禁用样式
<select class="mobile-selectmenu-disabled ui-state-disabled" disabled="disabled" aria-disabled="true">
</select>
button禁用
<input class="ui-btn-hidden mobile-button-disabled ui-state-disabled" type="button" disabled="disabled" aria-disabled="true">
 ******************************************************************************/

function JqueryMobileRefresh(id_name, id_type) 
{

	if (id_type == "select") {
		/* 下拉列表 $("#selectbox").html(optionList).selectmenu('refresh', true);  
		 */
		//$("select" + id_name).selectmenu('refresh'); 

		$(id_name).selectmenu('refresh', true);
	} else if (id_type == "select_list") { /* 选择列表 */
		$("select" + id_name).selectmenu('refresh');
	} else if ((id_type == "checkbox") || (id_type == "radio")) {
		/* 复选框  
		$('input[type="checkbox"]').bind('click',function() {  
		$(this).prop('checked').checkboxradio("refresh");   // 绑定事件及时更新checkbox的checked值  
		}); 
		或 复选:$('input [type="checkbox"]').attr('checked',false).checkboxradio("refresh"); 
		单选:$("input[type='radio']").attr("checked",true).checkboxradio("refresh");  
		 */
		$(id_name).checkboxradio("refresh");
	} else if (id_type == "listview") { /* 列表框组件   $("div[data-role=content] ul").listview();   */
		$(id_name).listview();
	} else if (id_type == "listview_content") { /*  列表内部组件 li $("div[data-role=content] ul li").listview("refresh"); */
		$(id_name).listview("refresh");
	} else if (id_type == "slider") {
		$("select" + id_name).slider("refresh");
	} else {
		console.warn("undefined id_type:%s", id_type);
	}

}

//      setTimeout('showLoader()', 100);//这里要延迟一下，直接调用无法显示加载器  
// setTimeout('hideLoader()', 10000);//这里要延迟一下，直接调用无法显示加载器  
//显示加载器.for jQuery Mobile 1.2.0      

/*******************************************************************************
 * 名称：ShowLoader
 * 功能：显示加载图片
 * 形参：alrt_str	->	进度条显示时下方显示的内容
 		... ->	可变参数
 * 返回：空
 * 说明：无
 ******************************************************************************/

function showLoader(alrt_str) 
{ /* 显示消息  time_out ms 为单位  */
	$("div[data-role='page'] *").addClass("disabled-class"); /* 所有控件禁用 */
	$("div[data-role='dialog'] *").addClass("disabled-class"); /* 所有控件禁用 */
	$.mobile.loading('show', {
		text: alrt_str,
		/* 加载器中显示的文字    */
		textVisible: true,
		/* 是否显示文字    */
		theme: 'a',
		/* 加载器主题样式a-e    */
		textonly: false,
		/* 是否只显示文字    */
		html: "" /* 要显示的html内容，如图片等    */
	});

	if (undefined != arguments[1] && (arguments[1] > 0)) { /* 参数1 用于设置 进度维持时间  */
		/* 设置加载框显示实际 0表示不自动消失 */
		setTimeout("hideLoader();", arguments[1]);
	}
	if (undefined != arguments[2]) {
		/* 此为一个回调函数 */
		return arguments[2](); /* 函数 参数 根据实际传递  */
	}
	return false; /* 返回值为0  */
}

/*******************************************************************************
 * 名称：HideLoader
 * 功能：隐藏加载进度
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/
//隐藏加载器.
function hideLoader() 
{
	$("div[data-role='page'] *").removeClass("disabled-class"); /* 所有控件启用 */
	$("div[data-role='dialog'] *").removeClass("disabled-class"); /* 所有控件启用 */
	
	$.mobile.loading('hide');
	location.href= '#';
}


/*******************************************************************************
 * 名称：MarkElementToError
 * 功能：标记id为错误
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function MarkElementToError(id_name) 
{

	console.log("error for value!");
	//	$(".notice_div").css("top", $('#' + id_name).offset().top + "px");
	//	document.getElementById(id_name).scrollIntoView();
	//	$.scrollTo('#' + id_name, 100);
	$('#' + id_name).addClass('ui-input-error');
	$('#' + id_name).blur(function () {
		$('#' + id_name).removeClass('ui-input-error');
	});
	/*  xxx lgl 2017-07-31取消自动定位到错误 */
	//$('#' + id_name).focus(); /* 触发focus 直接focus */

}


/*******************************************************************************
 * 名称：CheckInputValue
 * 功能：检查输入框正则表达式
 * 形参：id	-> 控件id
 		check_type	-> 检查类型 interger : 整型数字 IP:
 * 返回：空
 * 说明：无
 ******************************************************************************/
function CheckInputValue(forms_content) 
{

	var value = $('#' + forms_content.id_name).val(); /* 获取值  */
	forms_content.check_type = forms_content.check_type.toLowerCase(); /* 不区分大小写  */
	var filename_reg = /^[a-zA-Z0-9_]{1,}$/; /* 字母数字下划线 */
	var unicode_reg = /[\u4E00-\u9FA5\uF900-\uFA2D]/; /* 中文匹配  */
	var ascii_reg = /^[\x20-\x7f]*$/; /* ASCII  */


	if ((value.length < forms_content.min_lenth) ||
		(value.length > forms_content.max_length) ||
		(undefined == value)) /* 长度不满足条件  */ { /* 值为空 直接返回  */
		/* 值 则设置为focus 及其它样式  */
		MarkElementToError(forms_content.id_name);
		return false; /* 返回check 失败 */
	}

	if (true == ascii_reg.test(value)) { /* 屏蔽所有输入框中的中文 */
		switch (forms_content.check_type) {
			case "interger":
				{
					/* 整数 */
					if (parseInt(value) == value) {
						return true;
					}
				}
				break;
			case "float":
				{

					return true;
				}
				break;
			case "ip":
				{ /* ip */

					if (false != CheckIPAddress(value)) {
						return true; /* 检查ip 或者域名合法性 */
					}

				}
				break;
			case "port":
				{ /* 端口验证  最大 65535 */
					if ((parseInt(value) == value) &&
						(value.length > 0) && (value < 65536) && (value >= 0)) {
						return true;
					}
				}
				break;
			case "radio_channel":
				{ /* 频道验证*/
					if ((parseInt(value) == value) &&
						(value <= forms_content.max) &&
						(value >= forms_content.min)) {
						return true;
					}
				}
				break;
			case "ant_type":
				{ /* 天线高 */
					if ((value.length > 0) && (value <= forms_content.max) && (value >= forms_content.min)) {
						return true;
					}
				}
				break;
			case "static_dead_deg":
				{ /* 静态采样间隔验证*/

					if ((parseInt(value) == value) &&
						(value.length > 0) && (value <= forms_content.max) && (value >= forms_content.min)) {
						return true;
					}
				}
				break;
			case "rec_duration": { /* 静态采样间隔验证*/

				if ((value == 0.0) ||((value.length > 0) && (value <= forms_content.max) && (value >= forms_content.min))) {
					return true;
				}
			} break;
			case "file_name":
				{
					if (value.length == 0 || (true == filename_reg.test(value) && value.length <= 8)) { /* 8位文件名  */
						return true;
					}
				} break;

			case "register_code":
				{ /* 注册码  */
					value = value.replace(/\s/g, ""); /* 过滤空格  */
					if ((parseInt(value) == value) && (value.length == 24)) {
						console.log(value + typeof (value));
						return true;
					}
				}
				break;

			case "string":
				{

					value = value.replace(/\s/g, ""); /* 去除空格后的长度大于0表示正确 */

					if (value.length > 0) {
						return true;
					}

				}
				break;
			default:
				return true;
				break;
		}
	}

	MarkElementToError(forms_content.id_name);
	return false; /* 返回check 失败 */
}


function CheckInputsArray(check_forms) 
{
	/* 获取id 名称和类型 */
	for (var i = 0; i < check_forms.length; i++) {
		if (false == CheckInputValue(check_forms[i])) {
			NoticeDialogShow(check_forms[i].notice);
			return false; /* 返回失败  */
		}
	}

}


function CheckIPAddress(ip) {

	var ipArray, ip;
	var domain_reg = /((.com)|(.net)|(.org)|(.gov.cn)|(.info)|(.cc)|(.com.cn)|(.net.cn)|(.org.cn)|(.com.ru)|(.net.ru)|(.org.ru)|(.name)|(.biz)|(.hk)|(.tv)|(.cn))$/;
	/*  xxx 匹配后缀 ! */
	console.log(domain_reg.test(ip));

	if (true == /[A-Za-z_-]/.test(ip)) { /* 区分是域名还是ip  */

		if (false == domain_reg.test(ip)) { /*  匹配非中文  */
			console.log("不是正确的域名");
			return false;
		} else {
			console.log("正确的域名");
			return 2; /* 2表示域名 */
		}
	} else {
		ipArray = ip.split(".");
		if (ipArray.length != 4) {
			console.log("不是正确的IP");
			return false;
		}

		for (var i = 0; i < 4; i++) {
			if (ipArray[i].length == 0 || ipArray[i] > 255 ||
				ipArray[i] != parseInt(ipArray[i])) {
				console.log("不是正确的IP");
				return false;
			}
		}
	}
	return 1; /*  1表示IP*/
}


function NoticeDialogShow(notice_str) {
	if (null != notice_str) {
		$('.notice_div').html(notice_str);
	}

	$('.notice_div').fadeIn('slow'); /* 淡入  */
	//$('.notice_div').css('display', 'block'); /* 下拉  */
	if (arguments.length > 1) {
		setTimeout("$('.notice_div').fadeOut('slow');", arguments[1]); /* 显示2s */
	}
	else {
		setTimeout("$('.notice_div').fadeOut('slow');", 2000); /* 显示2s */
	}
	
	//setTimeout("$('.notice_div').css('top', '50%');",3000); /* 3s后还原显示 */
}



/*计算菜单位置*/
function openGroupMenu() {
	var left, top;
	var rect = document.getElementById('vbook-books-menu').getBoundingClientRect();
	var winrect = document.getElementById('vbook-menu-group').getBoundingClientRect();
	left = rect.right - winrect.width / 2;
	top = rect.bottom + winrect.height / 2;
	$('#vbook-menu-group').popup("open", {
		x: left,
		y: top
	});
	/*计算三角型的位置*/
	winrect = document.getElementById('vbook-menu-group').getBoundingClientRect();
	document.getElementById('vbook-menu-group-arrow').style.left = (rect.left + rect.width / 2 - winrect.left) + "px";
}
/*
vbook-books-menu为需要定位的div ID. 
vbook-menu-group为Popup窗口的div ID. 
vbook-menu-group-arrow为Popup窗口的箭头ID。 
<div data-role="popup" id="vbook-menu-group"
    class="vbook-menu-popup ui-popup-container ui-popup-active ui-popup ui-corner-all">
    <ul data-role="listview" data-inset="true" style="min-width:210px;">
        <li><a href="#">菜单1</a></li>
        <li><a href="#">菜单2</a></li>
    </ul>
    <div  class="ui-popup-arrow-container ui-popup-arrow-t">
    <div id="vbook-menu-group-arrow" class="ui-popup-arrow ui-body-inherit"></div>
    </div>
</div>
*/

/* 度转换为弧度形式 */


function DegreeToRadius(cordi) {
	return (cordi * Math.PI) / 180.0;
}

/* 弧度转换为度  */
function RadiusToDegree(cordi) {
	return (cordi * 180.0) / Math.PI;
}



/* 度分秒的形式转换为度 同时带NW ES */
function DegreeConvertBack(type, value) {
	var degree = Math.abs(parseInt(value.split(":")[0]));
	var min = Math.abs(parseInt(value.split(":")[1].split(":")[0]));

	var sec_arr = value.split(":")[1].split(":");
	var sec = Math.abs(parseFloat(sec_arr[0])); /* s */

	degree = parseFloat(degree) + parseFloat(Math.abs(min) / 60.0 + Math.abs(sec) / 3600.0);

	switch (sec_arr[1]) {
		case 'S':
		case 's':
		case 'W':
		case 'w':
			{
				degree = -1 * degree;
			}
			break;

		case 'E':
		case 'e':
		case 'N':
		case 'n':
			{}
			break;


		default:
			{ /* 非法符号  */
				if (0.0 != degree) {
					return false;
				}

			}
			break;
	}


	switch (type) {
		case "lat":
			{
				if (Math.abs(degree) > 90) {
					return false;
				}
			}
			break;
		case "lon":
			{
				if (Math.abs(degree) > 180) {
					return false;
				}
			}
			break;
		default:
			{
				return false;
			}
			break;
	}


	return degree;
}

/* 度转换为度分秒 */
function DegreeToDMS(cordi) 
{
	var str_tmp = "";

	cordi = Math.abs(cordi);
	var degree = Math.floor(cordi); /* 获得度的整数部分 */
	var min_sec = (cordi - degree) * 60.0; /* 分 */
	var min = Math.floor(min_sec); /* 分的整数部分  */
	var second = (min_sec - min) * 60.0;
	/* 转换为度分秒  */
	second = second.toFixed(5);
	
	if (60.0 <= second) { /* 秒为 60 分加1 秒清零  */
		min += 1;
		second -= 60.0;
	}
	
	if (60 <= min) { /* 分为60 分清零 度加1 */
		min -= 60;
		degree += 1;
	}
	
	str_tmp = degree + ":" + FormatNumToString(min, 2) + ":" + FormatNumToString(second, 7.5);

	return str_tmp; /* 返回度分秒字符串  */
}



function FormatNumToString(num, fixed) 
{
	/* 数字  */
	var str = num.toString(); /* 数字转换为字符串  */
	var num_len = str.length;
	var fixed_str = fixed.toString();

	if (-1 != fixed_str.indexOf(".", 0)) {
		/* 小数点  */
		var splot_arr = [];
		splot_arr = fixed_str.split("."); /* 根据点号分割  */
	}


	for (var i = 0; i < (fixed - num_len); i++) {
		str = "0" + str; /* 需要填充多少个0 */
	}

	return str;
}

/*******************************************************************************
 * 名称：ConverCordiToString
 * 功能：转换坐标
 * 形参：id	-> 控件id
 		check_type	-> 检查类型 interger : 整型数字 IP:
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ConverCordiToString(type, cordi) {
	var str = "";
	str = DegreeToDMS(cordi); //Math.abs(cordi).toFixed(8).toString();
	if (0 == cordi) {
		return str; /* 假如坐标为 0 则直接返回转换后的字符串 无东西经度 南北纬度区分 */
	}

	switch (type.toLowerCase()) { /* 大写转换为小写  */
		case "lat":
			{
				/* 纬度 */
				str += (cordi < 0) ? "S" : "N";
			}
			break;
		case "lon":
			{
				/* 经度 */
				str += (cordi < 0) ? "W" : "E";
			}
			break;
		case "azim":
			{ /* 方位角  [-180 ,180] */
				str = (cordi < 0) ? DegreeToDMS(cordi + 360.0) : str;
			}
			break;
		default:
			break;
	}

	return str;
}


/*******************************************************************************
 * 名称：ConverDDMMSSToRadius
 * 功能：将度分秒转换为弧度 
 * 形参：type	-> 数据类型 ： 'lat' 'lon'
 		cordi	-> 坐标字符串
 * 返回：实际的弧度
 * 说明：lat 纬度: N为正 S 为负
 		lon 经度: E为正 W为负
 ******************************************************************************/

function ConverDDMMSSToRadius(type, cordi_str) {
	var radius = DegreeToRadius(DegreeConvertBack(type, cordi_str));

	console.log(radius);
	return radius; /* 度转换为弧度  */
}


//全角半角校验
function issbccase(strTmp) {
	for (var i = 0; i < strTmp.length; i++) {
		if (strTmp.charCodeAt(i) > 128) {
			console.log(i);
			return true;
			break;
		}
	}
	return false;
}


/* 检查经度 */
function CheckLon(lon) {


	return lon;
}

/* 检查纬度  */
function CheckLat(lat) {



	return lat;
}


function Base64Encode(user_name, password) {
	//1.加密  
	var str = user_name + ":" + password;

	return window.btoa(str);

}

function Base64Decode(base_str) {
	var res_str = "";
	var user_passwd = {
		user: "",
		passwd: ""
	};

	if (base_str.length >= 4) { /* 大于等于4才处理 否则不满足base64编码规则 */
		res_str = window.atob(base_str).split(":");
		user_passwd.user = res_str[0];
		user_passwd.passwd = res_str[1];
	}

	return user_passwd;
}


/* 根据位置决定当前的语言版本 */
function GetSystemLanguageType() 
{
	var language = 0;
	if (-1 != location.href.indexOf("_en.html", 0)) {
		language = 1;
	}

	return language;
}

function InitSystemLanguage(request_str, call_back) {
	
	/*
	var sys_language = GetSystemLanguageType(); 

	switch (sys_language) {
		case 0:
			{
				request_str = "./lan/" + request_str + ".json";
			}
			break;
		case 1:
			{
				request_str = "./lan/" + request_str + "_en.json";
			}
			break;
		default:
			break;
	}
*/
	var lang = GetCookieByName("lang");
	
	if (null != lang && undefined != lang) {
		request_str = "./lan/" + request_str + lang + ".json";
	}
	
	$.getJSON(request_str, call_back);

}

/* 确认按钮提示  */
function SureBtnNotice(str, func)
{
    
    $("#dialog_notice").html(str);
    $("#sure-btn").attr("onclick", func);
    
    $("#page_content2").css("margin-top", "0");
 
}

function CommonCtrlObjHandle(obj_str, call_back)
{
	var current_location = location.href; /* 当前页面位置  */
	var ctrl_obj = JSON.parse(obj_str); /* 解析JSON数据 */
	
	if (undefined != ctrl_obj.dev_str && (0 == $("title").html().indexOf("-"))) { /* 替换标题  */
		$("title").html($("title").html().replace(/-/g, ctrl_obj.dev_str));
	}
	
	if (undefined != ctrl_obj.dev_str && undefined != call_back) {
        dev_info.dev_str = ctrl_obj.dev_str;
        dev_info.dev_agency_str = ctrl_obj.dev_agency_str;
		call_back(dev_info);
		console.log(dev_info);
	}
	
	if (undefined != ctrl_obj.language_str) { /* 写入语言到cookies */
		document.cookie = 'lang=' + ctrl_obj.language_str;
	}
	
	/* 此处做界面访问限制  */
	

	if (-1 == current_location.indexOf(ctrl_obj.language_str, 0)) { /* 找不到匹配的语言  */
		
		location.href = "welcome" + ctrl_obj.language_str + ".html"
	}
	else if ("" == ctrl_obj.language_str &&
			(-1 != current_location.indexOf("_en.html", 0) ||
			-1 != current_location.indexOf("_ru.html", 0) || 
			 -1 != current_location.indexOf("_fr.html", 0)
			))
	{ /* 中文版 访问了俄文 英文版 则强制跳转到中文版  */
		
		location.href = "welcome_ch.html"
	}

	

	return ctrl_obj;
}



function ConverseFreq2SelectObj(select_id, freq)
{
	var freq_obj = [
		{
			name:"1Hz",
			value:1,
			bit:0
		},
		{
			name:"2s",
			value:2,
			bit:1
		},
		{
			name:"5s",
			value:5,
			bit:2
		},
		{
			name:"10s",
			value:10,
			bit:3
		},
		{
			name:"15s",
			value:15,
			bit:4
		},
		{
			name:"30s",
			value:30,
			bit:5
		},
		{
			name:"60s",
			value:60,
			bit:6
		},
		{
			name:"2Hz",
			value:-2,
			bit:7
		},
		{
			name:"5Hz",
			value:-5,
			bit:8
		},
		{
			name:"10Hz",
			value:-10,
			bit:9
		},
		{
			name:"20Hz",
			value:-20,
			bit:10
		},
		{
			name:"50Hz",
			value:-50,
			bit:11
		}
	];

	var i = 0;
	
	
	if (undefined == freq) {
		/**/
		console.log("Unsupport freq");
		return ;
		
	}
	else {
		freq = parseInt(freq);
	}
	
	
	$("#" + select_id).empty(); /* 清空select  */
	
	for (i = 0; i < freq_obj.length; i++) {
		
		if (freq & (1 << freq_obj[i].bit)) {
			$("#" + select_id).append("<option value=" + freq_obj[i].value +">" + 
					freq_obj[i].name + "</option>");
		}
	}

}


//电台支持的协议列表

var pro_obj = [
	{
		name:"HI-TARGET19200",
		value:2,
		bit:7
	},
	{
		name:"HI-TARGET9600",
		value:1,
		bit:14
	},
	{
		name:"HI-TARGET", //satel 专用 
		value:16,
		bit:16
	},
	
	{
		name:"TRIMTALK450S",
		value:7,
		bit:4
	},
	{
		name:"TRIMMARK Ⅲ",
		value:6,
		bit:3
	},
	{
		name:"SOUTH19200",
		value:4,
		bit:0
	},	
	{
		name:"SOUTH9600",
		value:3,
		bit:13
	},

	//以上为华信
	{
		name:"CHC19200",
		value:15,
		bit:12
	},	
	{
		name:"CHC9600",
		value:14,
		bit:15
	},
	{
		name:"TRANSEOT",
		value:5,
		bit:1
	},

	
	{
		name:"SATEL-3AS(25k)",
		value:20,
		bit:19
	},
	{
		name:"SATEL-3AS(12.5k)",
		value:21,
		bit:20
	},
//	{//satel与华信共用
//		name:"TRIMTALK450S", /* TRIMTALK450S(P) */
//		value:12,
//		bit:4
//	},
	
	{
		name:"SATELLINE-3AS",
		value:8,
		bit:8
	},
	{
		name:"PacCrest_4FSK",
		value:9,
		bit:9
	},
	{
		name:"PacCrest_GMSK",
		value:10,
		bit:10
	},
	{
		name:"PacCrest_FST",
		value:13,
		bit:11
	},
	{
		name:"GEOTALK",
		value:17,
		bit:17
	},
	{
		name:"GEOMARK",
		value:18,
		bit:18
	}

];

function ConversePro2SelectObj(select_id, pro, agency)
{


	var i = 0;
	var pro_str = "";
	
	
	if (undefined == pro) {
		/**/
		console.log("Unsupport Protocol");
		return ;
		
	}
	else {
		pro = parseInt(pro);
	}
	
	
	$("#" + select_id).empty(); /* 清空select  */
	
	for (i = 0; i < pro_obj.length; i++) {
		
		if (pro & (1 << pro_obj[i].bit)) {
            pro_str = pro_obj[i].name;
            if ( agency != "HITARGET" ){
                pro_str = ReplaceSpecifiedStr(pro_str, "HI-TARGET", agency);
            }

			$("#" + select_id).append("<option value=" + pro_obj[i].value +">" +
                pro_str + "</option>");
		}
	}

}

function ConverseListSelectObj(select_id, pro, val_list)
{


	var i = 0;


	if (undefined == pro || undefined == val_list) {
		/**/
		console.log("Invalid input parameter!!!");
		return ;

	}
	else {
		pro = parseInt(pro);
	}


	$("#" + select_id).empty(); /* 清空select  */

	for (i = 0; i < val_list.length; i++) {

		if (pro & (1 << val_list[i].bit)) {
			console.log("guol: support value is: " + val_list[i].value);
			$("#" + select_id).append("<option value=" + val_list[i].value + ">" +
				val_list[i].name + "</option>");
		}
	}

}


/* 获取当前协议是否支持中继  */
function GetRelaySupport(value, pro_list)
{
	var i = 0;

	value = parseInt(value);
	
	for (i = 0; i < pro_obj.length; i++) {
		
		
		if (value == pro_obj[i].value) {

			if (pro_list & (1 << pro_obj[i].bit)) {
				return true;
			}
			else {
				return false;
			}
			break;
		}
	}
	
	return false;
}

function GetRadioProName(value, agency)
{
	
	var i = 0;
	var agency_str = '';

	value = parseInt(value);
	
	for (i = 0; i < pro_obj.length; i++) {
		
		
		if (value == pro_obj[i].value) {
            agency_str = pro_obj[i].name;
            if ( agency != "HITARGET" ){
                agency_str = ReplaceSpecifiedStr(pro_obj[i].name, "HI-TARGET", agency);
            }
			return agency_str;
		}
	}
	
	return false;

}




function ChangeLanguage(lan)
{
	
	iRTK5HTTPRequest('welcome&set_language&', lan, function(dat) {
		/* 保存语言版本成功 则跳转  */
		if (-1 != dat.indexOf("Success")) {
			location.href = "welcome" + lan + ".html"; /* 直接跳至相应的页面 */
		}
		
	});

}


function CheckInputLength(value, max_length) 
{

	var strs = value;
	
	if (strs.length > max_length) {
		strs = strs.substring(0, max_length); /* 字符串截取  */
		console.log("get sub");
		strs.length = max_length;
	}


	return strs;
}

/* 查找字符串中是否包含指定字符，并将源字符串中的字符串替换为指定字符串
* src_str：源字符串
* obj_str：需要替换的内容
* rep_str：替换内容
*  */
function ReplaceSpecifiedStr(src_str, obj_str, rep_str)
{
    if ( src_str.indexOf(obj_str) >= 0 ){
        src_str = src_str.replace(obj_str, rep_str);
    }
    return src_str;
}


function checkExpired(json_obj)
{
	console.log("checkExpired");

	var system_date = parseInt(json_obj.cur_system_date.substring(0, 4));
	if(system_date < 2022){
		console.log("The system unlock star!");
		return;
	}

	var day_ms = 86400000; //一天的毫秒值
	var notify_date = 7 * day_ms;	//过期时间在七天内就进行提示
	var notify_flag = false;

	var date_sys = new Date(json_obj.cur_system_date.replace(/-/g,'/'));	//当前时间系统时间
	var date_sn = new Date(json_obj.expired_date.replace(/-/g,'/'));		//主机注册码过期时间
	var date_rtp = new Date(json_obj.rtx_expired_date.replace(/-/g,'/'));

	//跟产品经理确认，过期时间小于七天进行即将过期提示(过期后不再提示)
	var delt_sn = date_sn.valueOf() - date_sys.valueOf();		//主机注册剩余时间
	var delt_rtp = date_rtp.valueOf() - date_sys.valueOf();		//RTP注册剩余时间

	//主机注册码过期判断
	if((delt_sn > 0) &&
		(delt_sn < notify_date)) {
		notify_flag = true;
	}

	//RTP注册码过期判断（只有S2需要进行PPP注册码验证，其他不需要注册码）
	if((json_obj.dev_str == "S2") &&
		(delt_rtp > 0) &&
		(delt_rtp < notify_date)){
		notify_flag = true;
	}

	if(notify_flag == true) {
		NoticeDialogShow($("#expiredTip").html());
	}
}