/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: firm_upgrade.js 
 *	Module Function : 
 *  Created on		: 2017年1月11日
 *  Author	  		: admin
 *******************************************************************************/
///* 引用js */
//document.write(" <script src='./js/static_file.js'></script>");


var firm_upgrade_dat = {
	soft_ver: 0,
	board_ver: 0,
	gprs_ver: 0,
	gprs_type: 0,
	radio_ver: 0,
	machine_id: 0,
	disk_free: 0
};


/*******************************************************************************
 * 名称：FileSelected
 * 功能：文件选择
 * 形参：dlg_id	->	弹出对话框ID 用于关闭对话框
 * 返回：空
 * 说明：无
 ******************************************************************************/

function FileSelected(dlg_id, firm_type) 
{

	var inputObj = document.getElementById('FileName'); /* 创建一个输入 */
	var file_type = "./*"; /* 文件类型默认全部 */

	switch (firm_type) {
		case 0:
			file_type = ".htb";
			break;
		case 1:
			file_type = ".brd";
			break;
		default:
			break;
	}
	inputObj.setAttribute('accept', file_type); /* 设置过滤属性 */

	document.getElementById('FileName').click();

}

function FileInfoRefresh(file_id, dlg_id) 
{
	var file = document.getElementById(file_id).files[0];
	document.getElementById('Update').disabled = true;
	if (file) { /* 文件打开 */
		var file_name = file.name.toLowerCase(); /* 转换为小写 */
		console.log(file_name); /* 文件名称 */

		if (file_name.indexOf('.htb') > 0) {
			/* 主机固件需要判断iRTK5等标志 */
			/* iRTK5-3-RC1.150.htb
			   iRTK2-45-PRC2.108.htb*/
			/*  此处根据文件名识别主机固件  */
			file_name = file_name.split("-"); /* 根据-分隔  */

			//K20 Pro跟K20使用相同名字的固件包
			if(firm_upgrade_dat.dev_str == "K20 Pro"){
				firm_upgrade_dat.dev_str = "K20";
			}

			if (file_name.length > 2 && 
					(file_name[2].indexOf(firm_upgrade_dat.machine_id) > 0) &&
					(-1 != file_name[0].indexOf(firm_upgrade_dat.dev_str.toLowerCase()))) 
			{ /* xxx lgl 2018-11-07 修复允许所有150的名称的固件上传问题 */

				$('#firms_type').html(str_obj.upgrade_firm_type[0]);
			} else {
				NoticeDialogShow(str_obj.choose_right_pack_str);
				return false;
			}
		} else if (file_name.indexOf('.brd') > 0) {
			$('#firms_type').html(str_obj.upgrade_firm_type[1]);
		} else if ((file_name.indexOf('.rrd') > 0) || 
				(file_name.indexOf('.nrd') > 0) || 
				(file_name.indexOf('.mrd') > 0) ||
				(file_name.indexOf('.xrd') > 0)) 
		{ /* 模块文件后缀  */
			$('#firms_type').html(str_obj.upgrade_firm_type[2]);
		} else {
			NoticeDialogShow(str_obj.choose_right_pack_str);

			return false;
		}

		var fileSize = 0;
		if (file.size > 1024 * 1024) {
			fileSize = (Math.round(file.size * 100 / (1024 * 1024)) / 100).toString() + 'MB';
		} else {
			fileSize = (Math.round(file.size * 100 / 1024) / 100).toString() + 'KB';
		}
		document.getElementById('firms_name').innerHTML = file.name;


	}
	document.getElementById('Update').disabled = false;
}

function Request() 
{
	var url = "/cgi-bin/linux-cgi.fcgi";
	Post(url, function (e) {
		CGIArgvPro(e); /* 此处文件传输完成 回调函数 */
	});
}

function CGIArgvPro(dat) 
{
	/* document.getElementById('Update').disabled = false; /* 启用开始升级按钮  */
	/*document.getElementById('progressNumber').innerHTML = "文件传输完成!";*/
	var update_type = 'start_upgrade&';

	console.log(dat);
	document.getElementById('Update').disabled = false; /* 禁用开始升级  */
	/*$('#NoticeAudio')[0].play();*/

	NoticeDialogShow(str_obj.upload_success_str, 20000); /*  设置20s 维持显示 */
	switch ($("#firms_type").html()) {
		case str_obj.upgrade_firm_type[0]:
			{
				update_type += "host";
			}
			break;
		case str_obj.upgrade_firm_type[1]:
			{
				update_type += "board";
			}
			break;
		case str_obj.upgrade_firm_type[2]:
			{
				update_type += "module";
			}
			break;
		default:
			break;
	}

	iRTK5HTTPRequest('upgrade&', update_type, function (dat) {
		/* 开始升级 */

	});

	$('.ui-custom-progress').addClass('hidden-class');
}

function uploadProgress(evt) 
{ /* 更新进度  */
	if (evt.lengthComputable) {
		var percentComplete = Math.round(evt.loaded * 100 / evt.total);
		document.getElementById('progressNumber').setAttribute('value',
			percentComplete.toString());
		//document.getElementById('progressNumber').innerHTML = percentComplete.toString() + '%';
	} else {
		document.getElementById('progressNumber').setAttribute('value', '0');
	}
}

/* 更新  */
function StartUpgrade() 
{
	var file = document.getElementById('FileName').files[0]; /* 获取文件数据 */
	if (file) { /* 如果文件已经打开 */
		$('.ui-custom-progress').removeClass('hidden-class');
		document.getElementById('Update').disabled = true; /* 禁用开始升级  */
		Request(); /* 请求CGI */
	} else {
		NoticeDialogShow(str_obj.choose_files_str);

	}
}

var system_full_ver = ""; /* 完整的系统版本 */

function GetFirmversion() 
{
	/* 获取当前固件版本 磁盘容量等 */
	iRTK5HTTPRequest('upgrade&', 'get_firmver', function (dat) {
		firm_upgrade_dat = JSON.parse(dat);

		/* 更新个版本 */
		$("#host_firm_ver").html('V' + firm_upgrade_dat.soft_ver);
		$("#board_firm_ver").html(firm_upgrade_dat.board_ver);
		$("#radio_firm_ver").html(firm_upgrade_dat.radio_ver);
		$("#gprs_firm_ver").html(firm_upgrade_dat.gprs_ver);

		if (undefined != firm_upgrade_dat.system_ver) {
			system_full_ver = firm_upgrade_dat.system_ver;
			$("#sys_firm_ver").html(system_full_ver.split(" ")[0]);
		}
		
		if ((undefined != firm_upgrade_dat.arhs_ver) && 
				(undefined != firm_upgrade_dat.arhs_type)) 
		{
			$("#ins_firm_ver").html(firm_upgrade_dat.arhs_ver);
			if ("RDTC" == firm_upgrade_dat.arhs_type) {
				$('#ins_firm_ver_id').removeClass('hidden-class');
			}
		}
		
		if ((undefined != firm_upgrade_dat.hsm_ver) && 
				("" != firm_upgrade_dat.hsm_ver) && 
				("0" != firm_upgrade_dat.hsm_ver)) 
		{
			$("#hsm_firm_ver").html(firm_upgrade_dat.hsm_ver);
			$('#hsm_firm_ver_id').removeClass('hidden-class');
			
		}
		
		
		
		console.log(firm_upgrade_dat);
	});
}

/* 显示完整的系统版本  */
function SwitchFullVersion()
{
	if ("" != system_full_ver) {
		
		if (system_full_ver != $("#sys_firm_ver").html()) {
			$("#sys_firm_ver").html(system_full_ver);
		}
		else {
			$("#sys_firm_ver").html(system_full_ver.split(" ")[0]);
		}
	}
	
}
