/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: index.js 
 *	Module Function : 
 *  Created on		: 2017年2月13日
 *  Author	  		: admin
 *******************************************************************************/

/* json格式原始数据 */
var index_file_dat = {
	dev_num: '10011321',
	/* 设备号 */
	dev_str: '',
	/* 字符串类型设备名称  */
    dev_series: 0,
	/* 仪器系列号 */
	firm_ver: '1.1',
	/* 固件版本 */
    language: 0,
    /* 主机语言, 0:MUTE, 1:CHINESE, 2:ENGLISH 3:USER */
	expired_date: '2017-09-24',
	/* 过期时间 */
	expired_flag: 0,
	power_per: 12,
	power_mode: 0,
	/* 电源百分比 */
	work_mode: 0,
	/* 工作模式 */
	link_mode: 0,
	/* 数据链模式 */
	network_degree: 0,
	/* 网络信号强度 */
	network_rssi: 0,
	/* 网络信号强度 */
	network_rscp: 0,
	/* 网络信号强度 */
	network_ecio: 0,
	/* 网络信号强度 */
	network_rsrq: 0,
	/* 网络信号强度 */
	network_rsrp: 0,
	/* 网络信号强度 */
	network_sinr: 0,
	/* 网络信号强度 */

	network_sta: 0,
	network_err_sta: 0, /* 网络错误标志  */
	/* 网络信号强度 */
	network_type: 0,
	/* 网络类型 */

	radio_channel: 6,
	/* 电台频道 */
	radio_power: 0,
	/* 电台功率 */
	radio_rssi: 0,
	/* 电台场强 */
	radio_type: 0,
	radio_ver: "",
	radio_protocol: 0,
	/* 电台协议 */
	static_name: '_320110a.GNS',
	/* 静态文件名 */
	static_freq: 1,
	/* 静态采样间隔 */
	static_status: 0,
	/* 静态采集状态 1 开始采集 0 未开始采集  */
	recording_time: "00:00:00",
	/* 记录时长  */
	static_file_size: 0,
	/* 静态文件大小 Byte */

};


/* 位置信息JSON格式 */
var location_info = {
	lat: 22.590333,
	/* 纬度 */
	lon: 113.225903,
	/* 经度 */
	high: 43.9,
	/* 高程 */
	sigma_lat: 0,
	/* 标准维度偏差 */
	sigma_lon: 0,
	/* 标准经度偏差 */
	sigma_high: 0,
	/* 标准高程偏差 */
	diff_age: 1.0,
	/* 差分龄期 */
	sig: 0,
	/* 解状态 */
	public_sat: 0,
	/* 公共卫星 */
	view_sat: 0,
	/* 可见卫星  */
	pdop: 1.0,
	/* pdop值 */
	utc_time: '2017-01-17 23:00:00' /* UTC时间 */
};

var base_station_info = {
	base_lat: 22.590333,
	/* 纬度 */
	base_lon: 113.225903,
	/* 经度 */
	base_high: 43.9,
	/* 高程 */
	base_distance: 6.00,
	/* 基站距离 */
	base_azim: 255,
	/* 基站方位 */
	base_power: 100,
	/* 基站电量 */
	base_be_move: 0 /* 基站是否被移动 */

};


/*******************************************************************************
 * 名称：GetIndexFileinfo
 * 功能：获取基本信息内容
 * 形参：get_sta	->	获取状态 'device' 'location' 'base_station'
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GetIndexFileInfo(index) 
{
	iRTK5HTTPRequest('index&', index, function (dat) {

		/* 此处开始重写设备信息 */
		var json_obj = JSON.parse(dat); /* 解析JSON数据 */
		console.log(json_obj); /* 向控制台输出接收到的CGI数据 */
		RefreshIndexPage(index, json_obj); /* 传入参数 */
		//		console.log("CGI OK!");
	});
}

/*******************************************************************************
 * 名称：RefreshIndexPage
 * 功能： 更新index 页面参数
 * 形参：	page_index`	->	区分不同的页面 基本信息 位置信息 基站信息
 * 		index_obj	->	JSON对象
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshIndexPage(page_index, index_obj) 
{
	var tmp_str = "";
	var size_str = ""; /* 静态文件大小str  */
	var power_str = "";

	if (page_index == 'device') { /* 基本信息 */
		//		console.log(index_obj.dev_num);
		/* 显示设备号 */
		$("#id_device_num").empty(); /*  清空显示 */

		if (index_obj.dev_sub_type > str_obj.sub_dev_str.length - 1) {
			$("#id_device_num").append(index_obj.dev_str);
			console.log("Error for" + index_obj.dev_sub_type);
		}
		else {
			$("#id_device_num").append(index_obj.dev_str + str_obj.sub_dev_str[index_obj.dev_sub_type]); /* iRTK5 /irtk5 plus  */
		}
		
		
		$("#id_device_num").append(' (' + index_obj.dev_num + ')');
		$("#id_board_info").html(index_obj.oem_sn + ' (V' + parseFloat(index_obj.oem_ver) + ')');
		
		$('#id_firm_ver').html('V' + index_obj.firm_ver);

		$('#id_expire_date').html(index_obj.expired_date);

		
		//		 var expired_flag = GetCookieByName('expired');

		if (1 == index_obj.expired_flag) {
			$('#id_expire_date').addClass("error-class");
			$('#id_expire_date').append(str_obj.expired_str);
		}
		else {
			$('#id_expire_date').removeClass("error-class");
			$('#id_expire_date').append('(' + str_obj.host_str + ')');
		}
		
		
		$('#rtx_device_expire_date').html(index_obj.rtx_expired_date); /* 刷新RTX过期日期 */
		
		if (1 == index_obj.rtx_expired_flag) {
			$('#rtx_device_expire_date').addClass("error-class");
			$('#rtx_device_expire_date').append(str_obj.rtx_expired_str);
		}
		else {
			$('#rtx_device_expire_date').removeClass("error-class");
			$('#rtx_device_expire_date').append('(' + str_obj.ppp_service_str + ')')
		}
			
		if (
			(0 == (index_obj.func_option & 0x3060000)) ||  /* 默认支持星站差分 不支持则把下拉列表删除   */
			((0 == (index_obj.func_option & 0x20000)) && (index_obj.rtp_check_flag == 0)) 
		) {	/* 不支持卫星模式时不显示RTP过期时间 */
			$('.rtx_type_class').addClass('hidden-class');
		}

		$('#xfill_device_expire_date').html(index_obj.xfill_expired_date); /* 刷新xFill过期日期 */
		
		if (1 == index_obj.xfill_expired_flag) {
			$('#xfill_device_expire_date').addClass("error-class");
			$('#xfill_device_expire_date').append(str_obj.xfill_expired_str);
		}
		else {
			$('#xfill_device_expire_date').removeClass("error-class");
			$('#xfill_device_expire_date').append('(' + str_obj.xfill_service_str + ')')
		}
			
		if (1 == index_obj.supt_xfill) { /* 默认不支持星际续航 支持删除  隐藏 */
			$('.xfill_type_class').removeClass('hidden-class');
		}
		
		if (undefined != index_obj.sim_expired_date) {
			
			$('#sim_device_expire_date').html(index_obj.sim_expired_date); /* 刷新sim卡过期日期 */
			
			if (1 == index_obj.sim_expired_flag) {
				$('#sim_device_expire_date').addClass("error-class");
				$('#sim_device_expire_date').append('(' + str_obj.sim_service_str + ')');
			}
			else {
				$('#sim_device_expire_date').removeClass("error-class");
				$('#sim_device_expire_date').append('(' + str_obj.sim_service_str + ')')
			}
			
			if ("2000-01-01" != index_obj.sim_expired_date) 
			{
				$('.sim_type_class').removeClass('hidden-class');
			}
		
		}

		var radio_obj = GetRadioObject(index_obj.radio_type); /* 电台类型  */
		if (false != radio_obj) {
			if(index_obj.radio_type == 255){
				$('#internal_radio_module').html(radio_obj.radio_name);
			}
			else{
				$('#internal_radio_module').html(radio_obj.radio_name + "(" + index_obj.radio_ver + ")");
			}
		}
		
		if ((undefined != index_obj.sim_iccid) && ("" != index_obj.sim_iccid)) {
            /* 需求澄清会决议：经郑工,国贸,海洋周总三方确定国外版需屏蔽内置卡信息
             * add by guol @20210702 */
		    if ( (3 == index_obj.dev_series) && (1 != index_obj.language) ){//k20非中文版
		        // console.log("don't support eSIM!!");
            } else {
                $('#internal_sim_iccid').html(index_obj.sim_iccid); /* 刷新内置SIM卡 ICCID */
                $('.iccid_type_class').removeClass('hidden-class');
            }
		}
		
		
		if ((undefined != index_obj.dev_local_ip) && ("" != index_obj.dev_local_ip)) {
			$('#internal_local_ip').html(index_obj.dev_local_ip); /* 刷新内置网络模块 IMEI */
			$('.ip_type_class').removeClass('hidden-class');
		}
		
		if (2 == index_obj.power_mode) {
			power_str = '<div>' + index_obj.power_per + '%';
			power_str += "<div class='ui-battery'><span class='ui-battery-border'><span class='ui-battery-grid'></span></span></span><span class='ui-battery-border-head' ></div>";
			$('#id_battery_per').html(power_str);

			if (index_obj.power_per >= 0 && index_obj.power_per <= 100) {
				/* 电量合法 则更新电量百分比 */
				$('.ui-battery-grid').css('width', index_obj.power_per + '%');
				if (index_obj.power_per <= 20) {
					$('.ui-battery-grid').css('background-color', "rgba(220, 0, 0, 1)");
				} else {
					$('.ui-battery-grid').css('background-color', "rgba(0, 200, 0, 1)");
				}
			}
		} else { /* 其它显示外挂电源  */

			power_str = "<img data-role='none' src='img/battery_ext.png' style='width: 30px !important; height: 20px !important' />";
			$('#id_battery_per').html(power_str);

		}


		if (index_obj.work_mode != 2) { /* 移动台模式 基准站模式 */
			switch (index_obj.link_mode) {
				case 0:
					{ /* 电台数据链 */

						$('.network-info-title').removeClass("hidden-class");
						$("#id_workmode_sta").html(index_obj.radio_channel);

						$('#id_workmode_sta_head').html(str_obj.radio_ch_str);
						$('#id_network_degree_head').html(str_obj.radio_pro_str);

						tmp_str = GetRadioProName(index_obj.radio_protocol, index_obj.dev_agency_str);
						if (false != tmp_str) {
							$("#id_network_degree").html(tmp_str);
						} else {

							$("#id_network_degree").html(str_obj.unkonwn_str + index_obj.radio_protocol);
						}
						if (0 == index_obj.work_mode) { /* 基站模式 */
							$('.radio-power-class').removeClass('hidden-class');
							$('#id_radio_power').html(str_obj.radio_power_arr[index_obj.radio_power]);
						} else {
							$('.radio-power-class').addClass('hidden-class');

						}



					}
					break;
				case 6:	//星站差分模式
					{
						//星站差分非网络相关模式不显示网络信息
						if(
							(index_obj.star_type != 2)	&&		//网络RTP
							(index_obj.star_type_sec != 5)		//RSA
						){
							$('.network-info-title').addClass("hidden-class");
							$('.radio-power-class').addClass('hidden-class');
							break;
						}
					}
				case 1:	//网络模式
					{
						//显示网络标签，关闭radio标签
						$('.radio-power-class').addClass('hidden-class');
						$('.network-info-title').removeClass("hidden-class");

						$('#id_workmode_sta_head').html(str_obj.network_sta_str);
						$('#id_network_degree_head').html(str_obj.network_signal_str);
						
						if(index_obj.net_type == 0){	/* 4G 网络状态 */
							RefreshNetWorkInfoFor4G(index_obj);
						}
						else{
							RefreshNetWorkInfoForWired(index_obj);
						}
						
					}
					break;

				default:
					{ /* 其他数据链 不显示  */
						$('.network-info-title').addClass("hidden-class");
						$('.radio-power-class').addClass('hidden-class');
					}
					break;
			}

			if ((index_obj.link_mode >= 0) &&
				(index_obj.link_mode < str_obj.data_link_arr.length)) {
				tmp_str = str_obj.data_link_arr[index_obj.link_mode];
			} else {
				tmp_str = str_obj.unkonwn_str;
			}

			if (2 == index_obj.link_mode && 0 == index_obj.work_mode) {
				tmp_str += str_obj.radio_str; /* 基准站外挂 显示外挂电台  */
			}

			tmp_str += str_obj.work_mode_str[index_obj.work_mode];

			$(".static-info_title").addClass("hidden-class");
		} else {
			tmp_str = str_obj.work_mode_str[index_obj.work_mode]; /* 静态模式 */
			tmp_str += " "; /* 添加空格  */
			// tmp_str += index_obj.static_freq; /* 增加采样间隔  */
			if (index_obj.static_freq >= 0) { /* s为单位  */
				tmp_str += index_obj.static_freq + "s";
			} else {
				tmp_str += Math.abs(index_obj.static_freq) + "Hz"; /*  取绝对值 */
			}

			size_str = "";

			if (index_obj.static_file_size > (1024 * 1024)) { /* M */
				size_str = (index_obj.static_file_size / (1024 * 1024)).toFixed(2) + ' M';
			} else if (index_obj.static_file_size > 1024) { /* M */
				size_str = (index_obj.static_file_size / 1024).toFixed(2) + ' K';
			} else {
				size_str = index_obj.static_file_size + ' B';
			}


			if (1 == index_obj.static_status) {

				$(".static-info_title").removeClass("hidden-class"); /* 删除隐藏  */

				/* 静态采集状态  */
				$('#id_static_name').html(index_obj.static_name);
				$('#id_static_size').html(size_str); /* 静态采集时长  */
			}


			$('#id_workmode_sta_head').html(str_obj.static_sample_str);
			$("#id_workmode_sta").html(str_obj.static_sta_arr[index_obj.static_status]);


			$('#id_network_degree_head').html(str_obj.static_dura_str);

			if (1 == index_obj.static_status) {
				$('#id_network_degree').html(index_obj.recording_time);
			} else {
				$('#id_network_degree').html("00:00:00");
			}



			$('.radio-power-class').addClass('hidden-class');
		}
		$('#id_work_mode').html(tmp_str);
		//$('#id_work_mode').removeClass().addClass(');  /* 更新class  */
	} else if (page_index == 'location') { /* 位置信息 */
		/* 东西经度 南北纬度  */
		$('#id_location_lon').html(ConverCordiToString("lon", index_obj.lon));
		$('#id_location_lat').html(ConverCordiToString("lat", index_obj.lat));

		$('#id_location_height').html(index_obj.high.toFixed(3) + ' [m]');

		$('#id_location_sigma_lon').html(index_obj.sigma_lon.toFixed(3) + 'm');
		$('#id_location_sigma_lat').html(index_obj.sigma_lat.toFixed(3) + 'm');

		$('#id_location_sigma_height').html(index_obj.sigma_high.toFixed(3) + 'm');

		$('#id_diff_age').html(index_obj.diff_age.toFixed(1) + 's'); /* 差分龄期 */

		$('#id_location_pdop').html(index_obj.pdop.toFixed(1)); /* pdop值 */
		if(
			(index_obj.link_mode == 6) &&
			(((index_obj.star_type != 4) &&	//B2b MBES及SBAS模式由板卡解算，不需要显示使用的卫星
			(index_obj.star_type != 6)) ||
			(index_obj.star_type_sec != 0)) &&
			(index_obj.sig > 1)	//无解跟单点也不显示使用的卫星
		){
			$('#id_orthometric_elevation').html((index_obj.high - index_obj.u_high).toFixed(3) + ' [m,EGM08]');
			$("#id_public_sat").html(index_obj.public_sat + "-" + index_obj.view_sat + "(GPS+" + index_obj.GPS_nast+ " GLONASS+"+ index_obj.GLONASS_nast +" GALILEO+" +index_obj.GALILEO_nast+ " BDS+" + index_obj.BDS_nast +")");
		}
		else{
			$('#id_orthometric_elevation').html((index_obj.high - index_obj.u_high).toFixed(3) + ' [m]');
			$("#id_public_sat").html(index_obj.public_sat + "-" + index_obj.view_sat); /* 可能出现 公共卫星大于可见卫星 */
		}

		/* 星站差分模式显示差分源 */
		if (index_obj.link_mode == 6) {
			$('#id_solution_sig').html(str_obj.fix_position[index_obj.sig] + "(" + str_obj.ppp_position_type[index_obj.satlites_position] + ")"); /* 解状态 */
			$(".DIFF_SRC").removeClass("hidden-class");
			if((index_obj.star_type != 0) && (index_obj.star_type_sec != 0)){
				$('#id_diff_src').html(str_obj.ppp_diff_src[index_obj.star_type-1] + "+" +str_obj.ppp_diff_src2[0]); /* 差分类型 */
			}
			else if(index_obj.star_type != 0){
				$('#id_diff_src').html(str_obj.ppp_diff_src[index_obj.star_type-1]);
			}
			else if(index_obj.star_type_sec != 0){
				$('#id_diff_src').html(str_obj.ppp_diff_src2[0]);
			}
			else {
				$(".DIFF_SRC").addClass("hidden-class");
			}
		}
		else{
			$('#id_solution_sig').html(str_obj.fix_position[index_obj.sig]); /* 解状态 */
			$(".DIFF_SRC").addClass("hidden-class");
		}

		$('#id_utc_time').html(index_obj.utc_time); /* UTC时间 */
        $('#id_location_SOG').html(index_obj.speed.toFixed(4) + " Kt"); /* SOG */
        $('#id_location_COG').html(index_obj.track.toFixed(4) + " °"); /* COG */

        console.log(index_obj.speed);
	} else if (page_index == 'base_station') { /* 基站信息 */
		
		if (0.0 == index_obj.base_lon) {
			$('#id_base_lon').html("--");
		}
		else {
			$('#id_base_lon').html(ConverCordiToString("lon", index_obj.base_lon));
		}
		
		if (0.0 == index_obj.base_lat) {
			$('#id_base_lat').html("--");
		}
		else {
			$('#id_base_lat').html(ConverCordiToString("lat", index_obj.base_lat));
		}
		
		if (0.0 == index_obj.base_high) {
			$('#id_base_height').html("--");
		}
		else {
			$('#id_base_height').html(index_obj.base_high.toFixed(4) + "m");
		}
		
		
		if (0.0 == index_obj.base_distance) {
			$('#id_base_distance').html("--");
		}
		else {
			$('#id_base_distance').html(index_obj.base_distance.toFixed(4) + "m");
		}
		
		if (0.0 == index_obj.base_azim) {
			$('#id_base_dir').html("--");
		}
		else {
			$('#id_base_dir').html(ConverCordiToString("azim", index_obj.base_azim));
		}
		
		
	} else { /* 其他页面 */


	}

}

/*******************************************************************************
 * 名称：PacketIndexToOBJ
 * 功能： 打包
 * 形参：	page_index`	->	区分不同的页面  'device' 基本信息 'location'位置信息  基站信息
 * 		index_obj	->	JSON对象
 * 返回：空
 * 说明：无
 ******************************************************************************/
function PacketIndexToOBJ(page_index, index_obj) 
{
	if (page_index == 'device') { /* 基本信息 */


	} else if (page_index == 'location') { /* 卫星信息 */


	} else if (page_index == 'base') { /* 基站信息 */


	} else { /* 其他页面 */



	}

}



/* 刷新网络信号强度  */
function RefreshNetWorkSignal(csq, standard) 
{
	var i = 0;
	var length = $(".ui-network-sig span").length;
	var stand_arr = [" X", "2G", "2G", "3G", "3G", "3G", "3G", "3G", "4G", "4G"];
	//	var degree = parseInt((csq + 1) / 8);
	var degree = parseInt(csq);
	if (csq < 0) { /* 限制csq  */
		csq = 99;
		console.log("the net work siginal error!");
	}


	if (csq > 0 && csq <= 5 && (standard != 255 && standard < stand_arr.length)) { /* 0-5共6级 */
		/* 网络信号存在 */
		for (i = 0; i < length - 1; i++) {
			$(".ui-network-sig span").eq(i).css("background-color", "#c6c7c9");
			if (i < degree) {
				if (1 == degree) {
					/* 1格信号  */
					$(".ui-network-sig span").eq(i).css("background-color", "rgb(255, 0, 0)");
				} else {
					$(".ui-network-sig span").eq(i).css("background-color", "rgb(59, 160, 255)");
				}
			}
		}

		/* 更新网络制式  */

		$(".ui-network-sig span").eq(length - 1).html(stand_arr[standard]);

		$(".ui-network-sig span")
			.eq(length - 1).css("color", "black");
	} else { /* csq 为0 或者 非1-31之间  */

		for (i = 0; i < length - 1; i++) {
			$(".ui-network-sig span").eq(i).css("background-color", "#c6c7c9");
		}

		$(".ui-network-sig span")
			.eq(length - 1).html(" X");

		$(".ui-network-sig span")
			.eq(length - 1).css("color", "red");

	}
}

/*******************************************************************************
 * 名称：SetGSVSta
 * 功能：设置GSV状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetGSVSta()
{
	//关闭GSV
	iRTK5HTTPRequest('sat_track&set_gsv', '', function (dat) {
		//console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示卫星跟踪开关 */

		console.log("CGI OK!");
	});

}

/* 刷新index 4G 网络状态 */
function RefreshNetWorkInfoFor4G(index_obj)
{
	$("#id_network_degree").html('<div class="ui-network-sig"><span class="ui-network-sig-1"></span><span class="ui-network-sig-2"></span><span class="ui-network-sig-3"></span><span class="ui-network-sig-4"></span><span class="ui-network-sig-font small-font" style="color:red"> X</span></div>');

	if (index_obj.network_sta != -127) {

		if (index_obj.network_err_sta > 127) { /* 有符号数 一个字节区间为 -128-127 故大于127 认为是负数  */
			index_obj.network_err_sta -= 256;
		}

		RefreshNetWorkSignal(index_obj.network_degree, index_obj.network_type);

		if (index_obj.network_sta > 3 &&
			index_obj.network_sta < 10)
		{ /* 网络注册成功则更新网络信号强度  待定  */
			//RefreshNetWorkSignal(index_obj.network_degree, index_obj.network_type);

			/* 以下仅供测试调试  */
			var network_stand_arr = ["X", "GSM", "CDMA", "WCDMA", "TD-SCDMA", "CDMA2000", "EVDO", "EVDO", "TD-LTE", "FDD-LTE"];

			var stand_str = network_stand_arr[index_obj.network_type] + " ";


			if (1 == index_obj.network_type || 4 == index_obj.network_type || 2 == index_obj.network_type || 6 == index_obj.network_type) {
				/* GSM */
				stand_str += index_obj.network_rssi;
			}

			if (8 == index_obj.network_type) {
				stand_str += index_obj.network_rsrp + "," + index_obj.network_sinr;
			} else if (3 == index_obj.network_type) {
				stand_str += "," + index_obj.network_rscp;
			} else if (2 == index_obj.network_type) {
				stand_str += "," + index_obj.network_ecio;
			} else if (6 == index_obj.network_type) {
				stand_str += "," + index_obj.network_sinr;
			}

			$("#id_network_degree").append(stand_str);

			/* 以上仅供调试  */

		} else { /* 否则标记为错误 的网络状态  */
			//RefreshNetWorkSignal(99, 0);
		}

		//星站差分模式不需要判断网络差分的登陆状态
		if ((index_obj.network_err_sta >= 0) || (index_obj.link_mode == 6)) {
				/* 仅网络状态为9的时候才显示已连接  */
			if (9 == index_obj.network_sta) {
				$("#id_workmode_sta").html(str_obj.net_connected);

			} else if (index_obj.network_sta >= 0) {
				$("#id_workmode_sta").html(str_obj.net_connecting);
			}
		}
		else {
			if (Math.abs(index_obj.network_err_sta) < str_obj.status_arr.length) { /* 错误状态 */
				$("#id_workmode_sta").html(str_obj.status_arr[index_obj.network_err_sta + 11]);
			}
			else { /* 提示不支持  */
				$("#id_workmode_sta").html(str_obj.status_arr[0]);
			}
		}
		/* 网络连接状态 */
	}
}

/* 刷新index Wired 网络状态  */
function RefreshNetWorkInfoForWired(index_obj)
{
	$("#id_network_degree").html(str_obj.wired_str);

	if (9 == index_obj.network_sta) {
		$("#id_workmode_sta").html(str_obj.net_connected);

	} else if (index_obj.network_sta >= 0) {
		$("#id_workmode_sta").html(str_obj.net_connecting);
	}
}
