/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: login_app.js 
 *	Module Function : 
 *  Created on		: 2017年2月23日上午10:12:24
 *  Author	  		: Guangliang Liao @zhdwq
*******************************************************************************/

/**********************************************************
 * 名称：IsBrowserCookiesEnable
 * 功能：检查浏览器COOKIES是否打开
 * 形参：无
 * 返回：true or false
 * 说明：无
 **********************************************************/

function IsBrowserCookiesEnable()
{
	/* 向cookies 里面写入测试数据 查看是否支持cookie  */
	document.cookie = "login=0;";
	if ((navigator.cookieEnabled == true) && (document.cookie != "")) {
		/* 此处代表cookies可用 */
		console.log('cookies enabled!');
		return true;
	}
	alert('cookies不可用,请打开浏览器cookies，否则将无法正常使用本系统!');
	return false; /* 返回cookies 不可用或者cookies未打开 */
}

/*******************************************************************************
 * 名称：CheckLoginInfo
 * 功能：检查登陆信息
 * 形参：get_sta	->	获取状态 'get_args' 'set_args'
 * 返回：空
 * 说明：无
 ******************************************************************************/

function CheckLoginInfo(get_sta, args, call_backed)
{
	var url = '?login&' + get_sta; /* login为第一参数 &后为第二参数  */
	url += args;
	AjaxRequest(url, call_backed);
}

/*******************************************************************************
 * 名称：ProcessLoginInInfo
 * 功能：处理登入系统请求
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ProcessLoginInInfo()
{
	var user_passwd = document.getElementById('username').value + ":"
	        + document.getElementById('password').value;
	
	iRTK5HTTPRequest('login&login_in&', user_passwd.toString(), function(dat)
	{
		console.log(dat); /* 向控制台输出接收到的CGI数据  */
		/* 此处开始重写设备信息  */
		console.log("CGI OK!");
		/* 此处应该做简单验证 xxx lgl 2017-0223 调试用则直接开放 */
		document.cookie = dat; /* XXX lgl  此处正式发布时应该执行此句 */
		window.location = 'index_ch.html'; /* 跳转至指定页面  */
		
	});
}

/*******************************************************************************
 * 名称：ProcessLoginOutInfo
 * 功能：处理登入系统请求
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ProcessLoginOutInfo()
{
	
	CheckLoginInfo('login_out&', '', function(dat)
	{
		console.log(dat); /* 向控制台输出接收到的CGI数据  */
		/* 此处开始重写设备信息  */
		console.log("CGI OK!");
		document.cookie = dat; /* XXX lgl  此处正式发布时应该执行此句 */
	});
}

IsBrowserCookiesEnable(); /* 检查 cookies 是否使能  */

