/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: mini_five_com.js 
 *	Module Function : 
 *  Created on		: 2017年1月19日
 *  Author	  		: admin
*******************************************************************************/


/* 小五星串口消息开关 及频率 */

var minicom_msg = {
	work_mode: 0, /* 工作模式 不为静态模式  */
    minicom_sw : 0, /* 小五星串口总开关 为0 表示关闭 则不显示所有的消息 */
    net_output_en: 0, /* 以太网方式输出 */
    DB9_output_en: 0, /* DB9方式输出 */
	TCP_output_en: 0, /* TCP方式输出 */
	UDP_output_en: 0, /* UDP方式输出 */
	tcp_client_ip : "", 	/* TCP ip地址 */
	tcp_client_port : 0, 	/* TCP 端口 */
	broadcast_port : 0, 	/* UDP 端口 */
    minicom_baud : 1, /* 小五星串口波特率 */
	out_prefix_format: 1, /* NMEA语句输出前缀格式, 1:GN, 2:GP */
    com_gga_fre : 0, /* 小五星GGA输出频率，0代表关闭 */
    com_zda_fre : 0, /* 小五星ZDA输出频率，0代表关闭 */
    com_rmc_fre : 0, /* 小五星RMC输出频率，0代表关闭 */
    com_vtg_fre : 0, /* 小五星 VTG输出频率，0代表关闭 */
    com_gsa_fre : 0, /* 小五星GSA输出频率，0代表关闭 */
    com_gsv_fre : 0, /* 小五星GSV输出频率，0代表关闭 */
    com_gst_fre : 0, /* 小五星 GST输出频率，0代表关闭 */
	com_ggk_fre : 0, /* 小五星 GST输出频率，0代表关闭 */
	com_vgk_fre : 0, /* 小五星 GST输出频率，0代表关闭 */
	com_hdt_fre : 0, /* 小五星 GST输出频率，0代表关闭 */
    com_gll_fre : 0, /* 小五星GLL输出频率，0代表关闭 */
	com_llq_fre : 0,
	com_pjk_fre : 0,
	com_avr_fre : 0,
    dev_series: 0
	/* 系列号 */
};


var sele_arr = [
        'gga', 'zda', 'rmc', 'vtg', 'gsa', 'gsv', 'gst', 'gll', 'ggk', 'vgk', 'hdt', 'llq', 'pjk', 'avr'
];

function CheckMinifivePort(value)
{
	/* 端口验证  最大 65535 */
	if ((parseInt(value) == value) &&
	(value.length > 0) && (value < 65536) && (value >= 0)) {
		return true;
	}
	return false;
}

/*******************************************************************************
 * 名称：SetMinifiveComCheck
 * 功能：设置小五星开关状态
 * 形参：id	->	小五星串口开关 复选框id
 * 		sat	->	复选框选中状态
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetMinifiveComCheck(id, sta)
{
	
	var Obj = document.getElementById(id);
	
	if (sta == false) {
		Obj.setAttribute('style', 'display:none');
	}
	else {
		Obj.setAttribute('style', '');
	}
}

/*******************************************************************************
 * 名称：RefreshMinicomSta
 * 功能：刷新小五星状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshMinicomSta(call_back)
{
	var lang = GetCookieByName("lang");
	
	iRTK5HTTPRequest('minicom&get_status', '', function(dat)
	{
//		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示卫星跟踪开关 */
		minicom_msg = JSON.parse(dat); /* 解析JSON数据 */
		
		if (1 != minicom_msg.work_mode) {
			
			if (null != lang && undefined != lang) {
				location.href = "index" + lang + ".html"; /* 直接跳转回主页  */
			}
			else {
				location.href = "index_ch.html";
			}
		}
		
		if (null != call_back && undefined != call_back) {
			call_back(minicom_msg);
		}
		
		
		console.log("CGI OK!");
	});
	
}


/*******************************************************************************
 * 名称：GetMinicomSwitchSta
 * 功能：获取小五星开关状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GetMinicomSwitchSta()
{
	RefreshMinicomSta(RefreshMinicomSwitchPage);
}


/*******************************************************************************
 * 名称：SetMinicomSwitchSta
 * 功能：设置小五星开关状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetMinicomSwitchSta()
{
	var strs;
	var timeout_interval;
	
	if (1 != minicom_msg.work_mode) {
		NoticeDialogShow(str_obj.rover_notice_str);
		return false;
	}
	
	strs = '&' + JSON.stringify(PacketMinicomSwitchToOBJ(minicom_msg));
	if ("&false" == strs) {
		NoticeDialogShow(str_obj.port_failed_str);
		return false;
	}

	showLoader(str_obj.setting_str, 0); /* 显示设置中不自动消失 */
	
	timeout_interval = setTimeout(function() {
		showLoader(str_obj.set_failed_str, 1000);
	}, 5000);
	
	iRTK5HTTPRequest('minicom&set_status', strs, function(dat)
	{
		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示每一条消息的开关状态以及频率 */

		showLoader(str_obj.set_success_str, 1000);
		clearTimeout(timeout_interval); /* 清除time out 间隔 */
		
		console.log("CGI OK!");
	});
	
}



/*******************************************************************************
 * 名称：RefreshMinicomSwitchPage
 * 功能：更新小五星开关
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshMinicomSwitchPage(msg_obj)
{
	console.log(msg_obj);
	/* 以下为每个 select 对应的id 和json命名 */
	var str_tmp = '';
	/* 移动台模式 */
	if (msg_obj.work_mode != 1) { /* 非移动台模式 */
		$('#ensure_btn').attr('disabled', 'true'); /* 禁用控件  */
	}
	else {
		$('#ensure_btn').removeAttr('disabled'); /* 删除禁用  */
		
	}

    // 3:A8_K20系列
    if ( 3 == msg_obj.dev_series ){
        /* 只有K20系列显示输出方式选择 */
        $('#out_type').removeClass("hidden-class");
        $('#out_type_check').removeClass("hidden-class");

        /* 显示当前输出方式状态 */
		//TCP server
		$('#IP_server_name').val(msg_obj.tcp_server_ip);
        $('#Port_server_name').val("6868");
        if ( msg_obj.net_output_en ){
            $('#net_check').attr("checked", true);
			$(".TCP_SERVER_IP0").removeClass("hidden-class");
        }
        if ( msg_obj.DB9_output_en ){
            $('#DB9_check').attr("checked", true);
        }
        if ( msg_obj.minicom_sw ){
            $('#mini_com').attr("checked", true);
        }
		//TCP client
		$('#IP_name').val(msg_obj.tcp_client_ip);
        $('#Port_name').val(msg_obj.tcp_client_port);
		if ( msg_obj.TCP_output_en ){
			$(".TCP_IP0").removeClass("hidden-class");
            $('#TCP_check').attr("checked", true);
        }
		//UDP broadcast
		$('#broadcast_port').val(msg_obj.udp_broadcast_port);
		if ( msg_obj.UDP_output_en ){
			$(".UDP_IP0").removeClass("hidden-class");
            $('#UDP_check').attr("checked", true);
        }
    }

    if ( undefined != msg_obj.out_prefix_format ){
		$('#out_prefix_format_id').val(msg_obj.out_prefix_format);
	}

	for (var i = 0; i < sele_arr.length; i++) {
		str_tmp = sele_arr[i] + '_fre_list';
		ConverseFreq2SelectObj(sele_arr[i]+ '_type_freq', msg_obj[str_tmp]);
		if (undefined != msg_obj[str_tmp]) { /*  undefined 不进行频率处理 */
			$('#' + sele_arr[i]+ '_type_freq').prepend('<option value="0">OFF</option>'); /* 增加一个off 选项 */
		}

		/* 若返回的频率为0或未定义，则表示当前主板不支持该语句，对选项进行隐藏
		 * add by guol @20210519 */
		if ( 0 == msg_obj[str_tmp] || undefined == msg_obj[str_tmp] ){
			$('#' + sele_arr[i]+ '_type_freq').parent().parent().addClass("hidden-class");
		} else {
			$('#' + sele_arr[i]+ '_type_freq').parent().parent().removeClass("hidden-class");
		}
	}

	if (msg_obj.link_mode == 6) { /* 星站差分模式 */
		$(".MINI_FIVE").addClass("hidden-class");
	}
	else {
		$(".MINI_FIVE").removeClass("hidden-class");
	}
	
	$('#msg_baud_id').val(msg_obj.minicom_baud);/* 波特率 */

	for (var i = 0; i < sele_arr.length; i++) {
		str_tmp = 'com_' + sele_arr[i] + '_fre';
		$('#' + sele_arr[i]+ '_type_freq').val(msg_obj[str_tmp]);/* 波特率 */
	}


}

/*******************************************************************************
* 名称：PacketMinicomSwitchToOBJ
* 功能：打包小五星消息及开关状态JSON对象中
* 形参：msg_obj	->	JSON对象
* 返回：空
* 说明：无
******************************************************************************/
function PacketMinicomSwitchToOBJ(msg_obj)
{
	var json_minicom = msg_obj; /* 提供一个JSON模板 */
	var str_tmp = "";
	var baud_notice_flag = false;
	/*
	 * json_track.gps_en = document.getElementById('select_gps').checked; /*
	 * 读取状态
	 */
	json_minicom.minicom_sw = 0; /* 每次设置默认为关闭  */

	json_minicom.minicom_baud = $('#msg_baud_id').val(); /* 获取波特率的值  */
//		baud_arr[document.getElementById('msg_baud_id').selectedIndex]; /* 波特率 */

	json_minicom.out_prefix_format = $('#out_prefix_format_id').val();/* NME语句输出前缀格式 */


        //document.getElementsByTagName("option")[x].value; /* 获取 option 对应的值  */
        for (var i = 0; i < sele_arr.length; i++) {
            str_tmp = 'com_' + sele_arr[i] + '_fre';
            json_minicom[str_tmp] = $('#' + sele_arr[i] + '_type_freq').val();
            if (0 != json_minicom[str_tmp]) { /* 当任意一条消息频率不为0 则表示开启  */
                json_minicom.minicom_sw = 1;
            }
            if (json_minicom[str_tmp] <= -5 &&
                false == $('#' + sele_arr[i] + '_type_freq').parent().parent().hasClass("hidden-class"))
            { /*  5Hz及以上 */
                baud_notice_flag = true;
            }
        }
	//3:A8_K20系列
    if ( 3 == json_minicom.dev_series ){
        json_minicom.net_output_en = $('#net_check').attr('checked')?1:0;
        json_minicom.minicom_sw = $('#mini_com').attr('checked')?1:0;
        json_minicom.DB9_output_en = $('#DB9_check').attr('checked')?1:0;
		json_minicom.TCP_output_en = $('#TCP_check').attr('checked')?1:0;
		json_minicom.UDP_output_en = $('#UDP_check').attr('checked')?1:0;
    }

	//当使用TCP传输时，获取IP和端口
	if ( json_minicom.TCP_output_en ){
        json_minicom.tcp_client_ip = $('#IP_name').val();
        json_minicom.tcp_client_port = $('#Port_name').val();
		if(true != CheckMinifivePort(json_minicom.tcp_client_port)) return false;
    }

	//当使用UDP传输时，获取广播端口
	if ( json_minicom.UDP_output_en ){
        json_minicom.udp_broadcast_port = $('#broadcast_port').val();
		if(true != CheckMinifivePort(json_minicom.udp_broadcast_port)) return false;
    }

	if (true == baud_notice_flag && json_minicom.minicom_baud < 115200) {
		NoticeDialogShow(str_obj.baud_notice); /* 提示  */
	}

	console.log(json_minicom);
	
	return json_minicom;
}
//后期拿到和芯主板仪器，增加是否会影响星空图标志位，后端根据主板类型判断是否影响星空图，决定此处界面是否进行提示。
function ChangeOutPrefixFormat(prefix)
{
	$("#out_pre_notice_id").removeClass("hidden-class"); /* 默认打开 显示  */
	prefix = parseInt(prefix);

	switch (prefix) {
		case 2:{
			$("#out_pre_notice_id").html(str_obj.out_prefix_format);
		}break;
		default:{
			$("#out_pre_notice_id").addClass("hidden-class");
		}break;
	}
}


/*******************************************************************************
* ChangeDisplayTCP
* 功能：确认是否显示TCP Client配置项
* 形参：prefix	->	勾选框的值
* 返回：空
* 说明：无
******************************************************************************/
function ChangeDisplayTCP(prefix)
{
	console.log("TCP client prefix :"+prefix);
	if(prefix == true){
		$(".TCP_IP0").removeClass("hidden-class");
	}
	else{
		$(".TCP_IP0").addClass("hidden-class");
	}
}

/*******************************************************************************
* ChangeDisplayUDP
* 功能：确认是否显示UDP Broadcast配置项
* 形参：prefix	->	勾选框的值
* 返回：空
* 说明：无
******************************************************************************/
function ChangeDisplayUDP(prefix)
{
	console.log("UDP broadcast prefix :"+prefix);
	if(prefix == true){
		$(".UDP_IP0").removeClass("hidden-class");
	}
	else{
		$(".UDP_IP0").addClass("hidden-class");
	}
}

/*******************************************************************************
* ChangeDisplayTCPServer
* 功能：确认是否显示TCP Server配置项
* 形参：prefix	->	勾选框的值
* 返回：空
* 说明：无
******************************************************************************/
function ChangeDisplayTCPServer(prefix)
{
	console.log("TCP server prefix :"+prefix);
	if(prefix == true){
		$(".TCP_SERVER_IP0").removeClass("hidden-class");
	}
	else{
		$(".TCP_SERVER_IP0").addClass("hidden-class");
	}
}
