/*******************************************************************************
 *  PorjectName		: 网络页面
 *  FileName	  	: net_info.js 
 *	Module Function : 
 *  Created on		: 2022年5月13日
 *  Author	  		: zhangrf
*******************************************************************************/


/* 网络设置信息 */
var net_info_msg = {
	net_info_ip: "",
    net_info_gw : "", 
    net_info_mask: "", 
    net_info_dns: "",
	net_info_dns1: "",
	net_info_mtu : 0,
	net_info_type : 0 	/* 网络设置类型 0：自动 1：静态 2：DHCP服务器 */
};


/*******************************************************************************
 * 名称：RefreshNetinfoSta
 * 功能：刷新网络状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/
function RefreshNetinfoSta(call_back)
{
	iRTK5HTTPRequest('net&get_net', '', function(dat)
	{
//		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		net_info_msg = JSON.parse(dat); /* 解析JSON数据 */
		
		if (null != call_back && undefined != call_back) {
			call_back(net_info_msg);
		}
		
		
		console.log("CGI OK!");
	});
	
}


/*******************************************************************************
 * 名称：GetNetinfoSwitchSta
 * 功能：获取小五星开关状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/
function GetNetinfoSta()
{
	RefreshNetinfoSta(RefreshNetinfoSwitchPage);
}


/*******************************************************************************
 * 名称：SetNetSwitchSta
 * 功能：设置网络信息状态
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetNetInfoSta()
{
	var strs;
	var timeout_interval;
	
	if (0 > net_info_msg.net_info_type || 2 < net_info_msg.net_info_type) {
		NoticeDialogShow(str_obj.set_failed_str);
		return false;
	}
	
	strs = '&' + JSON.stringify(PacketNetinfoSwitchToOBJ(net_info_msg));

	showLoader(str_obj.setting_str, 0); /* 显示设置中不自动消失 */
	
	timeout_interval = setTimeout(function() {
		showLoader(str_obj.set_failed_str, 1000);
	}, 5000);
	
	iRTK5HTTPRequest('net&set_net', strs, function(dat)
	{
		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示每一条消息的开关状态以及频率 */

		showLoader(str_obj.set_success_str, 1000);
		clearTimeout(timeout_interval); /* 清除time out 间隔 */
		
		console.log("CGI OK!");
	});
	
}



/*******************************************************************************
 * 名称：RefreshNetinfoSwitchPage
 * 功能：更新小五星开关
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshNetinfoSwitchPage(msg_obj)
{
	var json_net_info = msg_obj;
	console.log(json_net_info);

	$('#net_info_type').val(json_net_info.net_info_type);
	$('#net_info_ip').val(json_net_info.net_info_ip);
	$('#net_info_gw').val(json_net_info.net_info_gw);
	$('#net_info_mask').val(json_net_info.net_info_mask);
	$('#net_info_dns').val(json_net_info.net_info_dns);
	$('#net_info_dns1').val(json_net_info.net_info_dns1);
	$('#net_info_mtu').val(json_net_info.net_info_mtu);

	IpTypeChanged(json_net_info.net_info_type);
}

/*******************************************************************************
* 名称：PacketNetinfoSwitchToOBJ
* 功能：打包小五星消息及开关状态JSON对象中
* 形参：msg_obj	->	JSON对象
* 返回：空
* 说明：无
******************************************************************************/
function PacketNetinfoSwitchToOBJ(msg_obj)
{
	var json_net_info = msg_obj; /* 提供一个JSON模板 */

	json_net_info.net_info_type	= $('#net_info_type').val();
	json_net_info.net_info_ip	= $('#net_info_ip').val();
	json_net_info.net_info_gw	= $('#net_info_gw').val();
	json_net_info.net_info_mask	= $('#net_info_mask').val();
	json_net_info.net_info_dns	= $('#net_info_dns').val();
	json_net_info.net_info_dns1	= $('#net_info_dns1').val();
	json_net_info.net_info_mtu	= $('#net_info_mtu').val();

	console.log(json_net_info);
	
	return json_net_info;
}

function CheckNetinfoDisable(status)
{
	if (status == "disabled") { /* 非手动设置IP模式禁用控件 */
		$('#net_info_ip').attr('disabled', 'disable');
		$('#net_info_gw').attr('disabled', 'disable');
		$('#net_info_mask').attr('disabled', 'disable');
		$('#net_info_dns').attr('disabled', 'disable');
		$('#net_info_dns1').attr('disabled', 'disable');
		$('#net_info_mtu').attr('disabled', 'disable');
	}
	else {
		$('#net_info_ip').removeAttr('disabled'); /* 删除禁用  */
		$('#net_info_gw').removeAttr('disabled');
		$('#net_info_mask').removeAttr('disabled');
		$('#net_info_dns').removeAttr('disabled');
		$('#net_info_dns1').removeAttr('disabled');
		$('#net_info_mtu').removeAttr('disabled');
	}
}

function IpTypeChanged(net_info_type)
{
	if (net_info_type != 1) { /* 非手动设置IP模式禁用控件 */
		CheckNetinfoDisable("disabled");
	}
	else {
		CheckNetinfoDisable("enable");
	}

	if(net_info_type == 2){	 /* DHCP服务器模式 */
		$("#net_ipv4_class").addClass("hidden-class");		//隐藏除IP以外的选项
		$('#net_info_ip').val("192.168.30.1");				//ip修改为192.168.30.1
	}
	else{
		$("#net_ipv4_class").removeClass("hidden-class");
	}
}
