// JavaScript Document
/* radio protocol  电台协议相关  */


var radio_proto_arr = [
		{
			radio_type:10, /* satel电台模块名称 及 value */	
			radio_name:"SATEL", /* 电台名称  */
			min_freq:403.00,
			max_freq:473.00, /* 频率范围407-473  */
			min_ch:1,
			max_ch:40, /*  频道范围 1-40*/
			ch_change_start:1, /*  1开始频道可改变 40个频道 */
			ch_max_cnt:40, /* 可编程40个频道  */
			band_change: true, /* 带宽可改变 */
			band_limit: 0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
			radio_relay_supt:false, /* 电台中继电台支持 false */
			radio_freq_sync: false, /*  电台频率不可设置收发  */
			protocol_be_change: true, /* 协议可设置  */
			fec_supt:true, /* 前向纠错功能支持  */
			protocol_name:[ /*  协议名称 */
				{
					value:7,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"TRIMTALK450S" /* TRIMTALK450S(P) */
				},			
				{
					value:8,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"SATELLINE-3AS"
				},
				{
					value:9,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_4FSK"
				},
				{
					value:10,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_GMSK"
				},
	
	/*			{
					value:11,
					protocol_relay_en:false, 
					name:"TRIMTALK450S(T)"
				},*/
				
				{
					value:13,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_FST"
				}
			]
		},
		{
			radio_type:17, /* satel电台模块名称 及 value */	
			radio_name:"SATEL_TR4", /* 电台名称  */
			min_freq:403.00,
			max_freq:473.00, /* 频率范围407-473  */
			min_ch:1,
			max_ch:40, /*  频道范围 1-40*/
			ch_change_start:1, /*  1开始频道可改变 40个频道 */
			ch_max_cnt:40, /* 可编程40个频道  */
			band_change: true, /* 带宽可改变 */
			band_limit: 0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
			radio_relay_supt:false, /* 电台中继电台支持 false */
			radio_freq_sync: false, /*  电台频率不可设置收发  */
			protocol_be_change: true, /* 协议可设置  */
			fec_supt:true, /* 前向纠错功能支持  */
			protocol_name:[ /*  协议名称 */
				{
					value:2,
					protocol_relay_en: false, /* 协议中继支持  */
					name:"HI-TARGET19200"
				},
				{
					value:1,
					protocol_relay_en: false, /* 协议中继支持  */
					name:"HI-TARGET9600"
				},
				{
					value:7,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"TRIMTALK450S" /* TRIMTALK450S(P) */
				},			
				{
					value:8,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"SATELLINE-3AS"
				},
				{
					value:9,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_4FSK"
				},
				{
					value:10,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_GMSK"
				},
	
	/*			{
					value:11,
					protocol_relay_en:false, 
					name:"TRIMTALK450S(T)"
				},*/
				
				{
					value:13,
					protocol_relay_en:false, /* 协议中继支持  */
					name:"PacCrest_FST"
				}
			]
		},
		{
		radio_type:12, /* 华信电台模块名称 及 value */	
		radio_name:"HUAXIN", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:true, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
			{
				value:6,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMMARK Ⅲ"
			},
			{
				value:4,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"SOUTH19200"
			},			
			{
				value:3,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"SOUTH9600"
			},
			{
				value:5,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"TRANSEOT"
			}

		]
	},
	
	{
		radio_type:18, /* 华信电台模块名称 及 value */	
		radio_name:"HUAXIN", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:true, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
			{
				value:6,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMMARK Ⅲ"
			},
			{
				value:4,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"SOUTH19200"
			},			
			{
				value:3,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"SOUTH9600"
			},
			{
				value:5,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"TRANSEOT"
			}

		]
	},
	{
		radio_type:8, /* DDTR电台模块名称 及 value */	
		radio_name:"DDTR", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:0, /*  频率不可变  */
		ch_max_cnt:0, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: false, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			}
		]
	},
	
	{
		radio_type:13, /* 自产单协议，仅支持中海达协议 */	
		radio_name:"DLTR1", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			}
		]
	},
	
	{
		radio_type:14, /* 华信电台模块名称 及 value */	
		radio_name:"DLTR1", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: true, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
			{
				value:4,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"SOUTH19200"
			},			
			{
				value:3,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"SOUTH9600"
			},
			{
				value:15,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"CHC19200"
			},			
			{
				value:14,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"CHC9600"
			},
			{
				name:"SATEL-3AS(25k)",
				value:20,
				protocol_relay_en: false /* 协议中继支持  */
			},
			{
				name:"SATEL-3AS(12.5k)",
				value:21,
				protocol_relay_en: false /* 协议中继支持  */
			}

		]
	},
	
	{
		radio_type:15, /* 华信电台模块名称 及 value */	
		radio_name:"DLTR1", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
			{
				value:4,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"SOUTH19200"
			},			
			{
				value:3,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"SOUTH9600"
			},
			{
				value:15,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"CHC19200"
			},			
			{
				value:14,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"CHC9600"
			},
			{
				name:"SATEL-3AS(25k)",
				value:20,
				protocol_relay_en: false /* 协议中继支持  */
			},
			{
				name:"SATEL-3AS(12.5k)",
				value:21,
				protocol_relay_en: false /* 协议中继支持  */
			}

		]
	},
	
	{
		radio_type:16, /* 华信电台模块名称 及 value */	
		radio_name:"DLTR1", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
			{
				value:4,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"SOUTH19200"
			},			
			{
				value:3,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"SOUTH9600"
			},
			{
				value:15,
				protocol_relay_en: true, /* 协议中继支持  */
				name:"CHC19200"
			},
			{
				value:14,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"CHC9600"
			},
			{
				name:"SATEL-3AS(25k)",
				value:20,
				protocol_relay_en: false /* 协议中继支持  */
			},
			{
				name:"SATEL-3AS(12.5k)",
				value:21,
				protocol_relay_en: false /* 协议中继支持  */
			}

		]
	},
	{
		radio_type:18, /* 华信电台模块名称 及 value */	
		radio_name:"HUAXIN", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:100, /*  100开始频道可改变 16个频道  */
		ch_max_cnt:16, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		band_limit: 25.0,/* 如带宽可变，则会根据实际设置的带宽决定频率是否合法 */
		radio_relay_supt:true, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: true, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
			{
				value:2,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET19200"
			},
			{
				value:1,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"HI-TARGET9600"
			},
			{
				value:7,
				protocol_relay_en: false, /* 协议中继支持  */
				name:"TRIMTALK450S"
			},
		]
	},
	/* 以下为电台模块错误时的可设置参数  xxx 2018-02-08 lgl 请保持以下对象一直为最后一个，
	 * 如需新增只需要在此对象上新增即可  */
	{
		radio_type:255, /* 未知电台模块名称 及 value */	
		radio_name:"UNKNOWN", /* 电台名称  */
		min_freq:403.00,
		max_freq:473.00, /* 频率范围407-473  */
		min_ch:0,
		max_ch:115, /*  频道范围 0-115*/
		ch_change_start:0, /*  频率不可变  */
		ch_max_cnt:0, /* 可编程16个频道  */
		band_change: false, /* 带宽不可改变 */
		radio_relay_supt:false, /* 电台中继电台支持 false */
		radio_freq_sync: false, /*  电台频率可设置收发  */
		protocol_be_change: false, /* 协议可设置  */
		fec_supt: false, /* 前向纠错功能支持  */
		protocol_name:[ /*  协议名称 */
		]
	}
];


/* 根据id名称 加载电台协议  */

function LoadRadioProtocol(radio_type, id_name)
{
	var i = 0;
	var j = 0;
	var line_str = "";

	for (i = 0; i < radio_proto_arr.length; i++) {
		if (radio_proto_arr[i].radio_type == radio_type) {
			$("#" + id_name).empty(); /* 清空内容  */
			for (j = 0; j < radio_proto_arr[i].protocol_name.length; j++) {
				
				line_str = "<option value=" + radio_proto_arr[i].protocol_name[j].value + '>' + radio_proto_arr[i].protocol_name[j].name + "</option>";
				
				$("#" + id_name).append(line_str);
				
			}
			return radio_proto_arr[i]; /* 返回json object  */
		}	
	}
	
	$("#" + id_name).empty(); /* 清空协议  */
	
	return radio_proto_arr[radio_proto_arr.length - 1]; /* 错误的协议  */
}

function GetRadioObject(radio_type)
{
	var i = 0;

	for (i = 0; i < radio_proto_arr.length; i++) {
		if (radio_proto_arr[i].radio_type == radio_type){
			return radio_proto_arr[i]; /* 返回json object  */
		}	
	}
	return false;
}

function GetRadioProtocol(radio_type, protocol)
{
	
	var i = 0;
	var j = 0;

	for (i = 0; i < radio_proto_arr.length; i++) {
		if (radio_proto_arr[i].radio_type == radio_type){

			for (j = 0; j < radio_proto_arr[i].protocol_name.length; j++) {
				if (protocol == radio_proto_arr[i].protocol_name[j].value) {
					
					return radio_proto_arr[i].protocol_name[j].name;
				}	
			}
			break;
		}	
	}
	return false;
}
/* 获取电台协议中继支持  */
function GetRadioProRelayEnable(radio_type, protocol)
{
	
	var i = 0;
	var j = 0;
	

	for (i = 0; i < radio_proto_arr.length; i++) {
		if (radio_proto_arr[i].radio_type == radio_type){

			if (true == radio_proto_arr[i].radio_relay_supt) {
				for (j = 0; j < radio_proto_arr[i].protocol_name.length; j++) {
					if (protocol == radio_proto_arr[i].protocol_name[j].value) {
					
						return radio_proto_arr[i].protocol_name[j].protocol_relay_en;
					}	
				}
			}
			
			break;
		}	
	}
	return false;
}

function IsRadioFreqRight(module_type, radio_obj, value, band)
{
	
	if ((value > radio_obj.max_freq) || (value < radio_obj.min_freq)) { /* 均有频率限制  */
		return false;
	}
	
	if (value != value.toFixed(6)) {
		return false; /* xxx lgl 2019-03-06根据需求，频点不是带宽整数倍时仅提示 */		
	}
	
	if (true == radio_obj.band_change) {
		if (0 != (value * 1000 % 6.25)) { /* satel电台为6.25的整数倍  */
			return false; /* satel电台为带宽的整数倍  */
		}	

	}
	else {
		
		if (0 != (value * 1000 % radio_obj.band_limit)) {
			return false; /* 华信电台新增限制  */
		}
		
	}
	
	return true;
}


function LoadNetWorkRelayPro(radio_obj, id_name)
{
	
	var i = 0;
	var line_str = "";

	$("#" + id_name).empty(); /* 清空内容  */
	for (j = 0; j < radio_obj.protocol_name.length; j++) {
			
		if (true == radio_obj.protocol_name[j].protocol_relay_en) {
			line_str = "<option value=" + radio_obj.protocol_name[j].value + '>' + radio_obj.protocol_name[j].name + "</option>";
				
			$("#" + id_name).append(line_str);		
		}
				
	}
	
}

