/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: radio_set.js 
 *	Module Function : 
 *  Created on		: 2017年1月19日
 *  Author	  		: admin
 *******************************************************************************/

/* 电台参数json结构体 */
var radio_struct = {
	radio_type: 0,
	protocol: 0,
	/* 调制协议 */
	update_sta: 0,
	modulation_type: 2,
    dev_agency_str:"HITARGET",
	/* 调制类型 */
	freq_list: [{ /* 数组元素样例 正式发布需要删掉 */
		channel: 1,
		rx_freq: 433.85,
		tx_freq: 433.95,
		band_width: 12.5
			/* 12.5K */
	}, ]
};

var g_radio_info;

/*******************************************************************************
 * 名称：PackedRadioConfigInfo
 * 功能：打包电台配置信息 发送到CGI进程
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function PackedRadioConfigInfo() 
{

	var radio_obj;
	var strs;
	var set_interval = -1;

	radio_obj = PacketFreqTableToOBJ(radio_struct);

	if (false == radio_obj) {
		console.log("error radio freq table reject!");
		return false;
	}

	strs = '&' + JSON.stringify(radio_obj);
	console.log(radio_obj); /* 打印发送出去的数据 */
	showLoader(str_obj.setting_str, 0); /* 显示设置中不自动消失 */
	var timeout_interval = setTimeout(function () {
		showLoader(str_obj.set_failed_str, 2000);
		clearInterval(set_interval); /* 清除get 采样间隔  */
	}, 60000);

	iRTK5HTTPRequest('radio&radio_set', strs, function (dat) {
		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处开始重写设备信息 */
		
		if (-1 != dat.indexOf("Success")) {
			clearTimeout(timeout_interval);
			clearInterval(set_interval);
			showLoader(str_obj.set_success_str, 1000);
			return true;
		}
		
		
		set_interval = setInterval(function () {

			iRTK5HTTPRequest('radio&radio_get', '', function (dat) {

				radio_struct = JSON.parse(dat);
				console.log(radio_struct); /* 向控制台输出接收到的CGI数据 */

				if (4 == radio_struct.update_sta || 5 == radio_struct.update_sta) { /* 设置成功 */
					
					
					if ((4 == radio_struct.update_sta)) {
						showLoader(str_obj.set_success_str, 2000);
						
					}
					else {
						showLoader(str_obj.set_failed_str, 2000);
//						
//						ReadRadioConfigInfo();
					}
					
					clearTimeout(timeout_interval);
					clearInterval(set_interval);
				} 
				console.log('CGI OK!');

			});

		}, 1000);
		
		console.log("CGI OK!");
	});
}

/*******************************************************************************
 * 名称：ReadRadioConfigInfo
 * 功能：读取电台配置信息
 * 形参：无
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ReadRadioConfigInfo()
{


	var get_interval;

	var timeout_interval = setTimeout(function () {
		showLoader(str_obj.read_failed_str, 2000);
		clearInterval(get_interval); /* 清除get 采样间隔  */
		$('#ensure_btn').removeAttr("onClick");
		$('#radio_protocol').empty(); /* 清空协议 */
	}, 60000);

	showLoader(str_obj.reading_str, 0); /* 显示设置中不自动消失 */

	iRTK5HTTPRequest('radio&trig_radio_get', '', function (dat) {
		console.log(dat);
		get_interval = setInterval(function () {

			iRTK5HTTPRequest('radio&radio_get', '', function (dat) {

				radio_struct = JSON.parse(dat);
				console.log(radio_struct); /* 向控制台输出接收到的CGI数据 */

				if (0 == radio_struct.update_sta) { /* 读取成功 */
					RefreshFreqTable(radio_struct, 'radio_table_tbody'); /* 更新频率表 */
					clearTimeout(timeout_interval);
					showLoader(str_obj.read_success_str, 1000);
					console.log(radio_struct.freq_list.length); /* 打印解析后的json 数据 */
					clearInterval(get_interval);
					$('#ensure_btn').attr("onClick", "PackedRadioConfigInfo();");
				} else if (1 == radio_struct.update_sta) { /* 读取失败 */
					clearTimeout(timeout_interval);
					showLoader(str_obj.read_failed_str, 2000);
					clearInterval(get_interval);
					$('#ensure_btn').removeAttr("onClick");
					$('#radio_protocol').empty(); /* 清空协议 */
				}
				console.log('CGI OK!');

			});

		}, 1000);


	});


}

/*******************************************************************************
 * 名称：RefreshFreqTable
 * 功能：频率表JSON对象 刷新
 * 形参：freq_obj	->	JSON对象
 * 		tab_id	->	频率表ID
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshFreqTable(freq_obj, tab_id) 
{
	var radio_obj;

	document.getElementById('modulation_type').selectedIndex = freq_obj.modulation_type;

	radio_obj = LoadRadioProtocol(freq_obj.radio_type, "radio_protocol"); /* 更新电台协议 */
	g_radio_info = radio_obj;
	if(freq_obj.radio_type != 255){
		ConversePro2SelectObj("radio_protocol", freq_obj.radio_protocol_list, radio_struct.dev_agency_str);
	}
	
	if (false == radio_obj) {
		/*  错误 */
		console.log("Error for load radio config  type:" + freq_obj.radio_type);
		return;
	}
	
	if (undefined != freq_obj.ch_max_cnt) {
		radio_obj.ch_max_cnt = freq_obj.ch_max_cnt;
	}
	
	if (undefined != freq_obj.band_be_change) {
		radio_obj.band_change = freq_obj.band_be_change;
	}
	
	if (undefined != freq_obj.freq_sync) {
		radio_obj.radio_freq_sync = freq_obj.freq_sync;
	}
	
	if (undefined != freq_obj.min_freq) {
		radio_obj.min_freq = freq_obj.min_freq;
	}
	
	if (undefined != freq_obj.max_freq) {
		radio_obj.max_freq = freq_obj.max_freq;
	}

	$('#radio_protocol').val(freq_obj.protocol); /* 显示为实际的协议  */

	/* 更新调制协议和调制类型 */
	//var Obj = document.getElementById(tab_id);
	var strs = "";
	$("#" + tab_id).empty(); /* 清空  */
	//Obj.innerHTML = ""; /* 清空 页面内容 */
	var band_str = "";

	for (var i = 0; i < radio_obj.ch_max_cnt; i++) { /* 显示实际可编程频道数 */
		strs = "<tr><td>" + ("") + "</td><td> <input data-role='none' type='number' maxlength='8' onClick='$(this).select();' ";
		strs += "id = \'freq_tx" + i + "\'"; /* 添加发送id */
		strs += " style='width:90%' placeholder=\' ";
		strs += freq_obj.freq_list[i].tx_freq.toFixed(6) + "\'value=\'" + freq_obj.freq_list[i].tx_freq.toFixed(6) + "\' /></td>";

		strs += "<td> <input data-role='none' type='number' maxlength='8' onClick='$(this).select();' ";
		strs += " id = \'freq_rx" + i + "\'"; /* 添加接收id */
		strs += " style='width:90%' placeholder=\' ";
		strs += freq_obj.freq_list[i].rx_freq.toFixed(6) + "\'value=\'" + freq_obj.freq_list[i].rx_freq.toFixed(6) + "\' /></td>";

		strs += "<td><select data-role='none' style='text-indent: 0; text-align: center;' " + "id='band" + i + "'>" + "<option value='12.5'>12.5</option><option value='25'>25.0</option></select></td>"

		strs += "</tr>";
		/* 带宽  */
		//		Obj.innerHTML += strs;
		$("#" + tab_id).append(strs);
		$('#band' + i).val(freq_obj.freq_list[i].band_width);

	}

	if (false == radio_obj.band_change) { /* 带宽不可变  */
		$("#band_head").addClass("hidden-class"); /* 隐藏  head*/
		$("td select[id^='band']").parents("td").addClass("hidden-class");

	}
	else {
		$("#band_head").removeClass("hidden-class"); /* 隐藏  head*/
		$("td select[id^='band']").parents("td").removeClass("hidden-class");
	}
	
	if (false == radio_obj.radio_freq_sync) { /* 电台频率不可设置收发  */
		$("#freq_tx_head").html("Frequency(MHz)");
		$("#freq_rx_head").addClass("hidden-class"); /* 隐藏  head*/
		$("td input[id^='freq_rx']").parents("td").addClass("hidden-class");

		$("#band_head").html("Band(K)"); /* 隐藏  head*/

	} else { /*  电台频率可设置收发 */

		$("td select[id^='band']").css("background", "none");

	}

	RadioChannelSync($('#radio_protocol option:selected').text());
	
	$("td input[id^='freq_']").attr('min', radio_obj.min_freq);
	$("td input[id^='freq_']").attr('max', radio_obj.max_freq);
	$('#radio_table_tbody td:odd').addClass("alt");
}

/*******************************************************************************
 * 名称：PacketFreqTableToOBJ
 * 功能：打包一个频率表到JSON对象中
 * 形参：freq_obj	->	JSON对象
 * 		tab_id	->	频率表ID
 * 返回：空
 * 说明：无
 ******************************************************************************/
function PacketFreqTableToOBJ(radio_obj) 
{
	var json_freq = radio_obj; /* 暂存object */
	var tmp_str = "";
	var notice_flag = false;
	
	radio_obj = GetRadioObject(json_freq.radio_type); /* 电台类型  */

	if (false == radio_obj) {
		console.log("error radio type!");
		return false;
	}


	json_freq.protocol = parseInt($('#radio_protocol').val());
	json_freq.modulation_type = parseInt($('#modulation_type').val());
	/* 以下开始获取 JSON格式的参数 */

	for (var i = 0; i < radio_obj.ch_max_cnt; i++) { /* 此处获取表格有多少行 */
		
		tmp_str = '#band' + i; /* 先获取带宽 再判断频道  */
		if (false == radio_obj.band_change) { /* 带宽不可变  */
			json_freq.freq_list[i].band_width = 0.0; /* 带宽不可变 默认标记为 0 */
		} else {
			json_freq.freq_list[i].band_width = parseFloat($(tmp_str).val()); /* 获取value */
		}
		
		/* 获取每一个表格中的数据 并赋值 */
		tmp_str = '#freq_tx' + i;
		json_freq.freq_list[i].tx_freq = parseFloat($(tmp_str).val());

		if (false == IsRadioFreqRight(json_freq.radio_type, radio_obj,
				json_freq.freq_list[i].tx_freq, json_freq.freq_list[i].band_width)) 
		{
			NoticeDialogShow(str_obj.please_check_str + $("#radio_table_tbody tr").eq(i).children('td:eq(0)').html());	
			return false; /* xxx lgl 2019-03-06根据需求，频点不是带宽整数倍时仅提示 */		
		}	
		
		if (false == radio_obj.radio_freq_sync) { /* 电台发射/接收频率同步 */
			json_freq.freq_list[i].rx_freq = json_freq.freq_list[i].tx_freq; /* 收发频率同步 */
		}
		else { /* 收发频率不同步，则获取接收频道的频率  */
			tmp_str = '#freq_rx' + i;
	
			json_freq.freq_list[i].rx_freq = parseFloat($(tmp_str).val());
	
			if (false == IsRadioFreqRight(json_freq.radio_type, radio_obj,
					json_freq.freq_list[i].rx_freq, json_freq.freq_list[i].band_width)) 
			{
				NoticeDialogShow(str_obj.please_check_str + $("#radio_table_tbody tr").eq(i).children('td:eq(0)').html());	
				return false; /* xxx lgl 2019-03-06根据需求，频点不是带宽整数倍时仅提示 */	
			}			
			
		}

	}

	if (true == notice_flag) {
		NoticeDialogShow(str_obj.sug_check_str);
	}
	
	/* 参数以外的需要清零 */
	for (i = radio_obj.ch_max_cnt; i < json_freq.freq_list.length; i++) {
		json_freq.freq_list[i].band_width = 0.0;
		json_freq.freq_list[i].rx_freq = 0.0;
		json_freq.freq_list[i].tx_freq = 0.0;

	}

	return json_freq;
}

function RadioChannelSync(pro)
{
	var ch_start = 1;
	
	$("#radio_table_tbody tr").each(function() {    // 遍历每一行
		
		switch(pro) {
			case "CHC9600":
			case "CHC19200":
			case "SOUTH9600":
			case "SOUTH19200":
			case "TRIMMARK Ⅲ":
			case "TRIMTALK450S": {
				 $(this).children('td:eq(0)').html(ch_start);  // td:eq(0)选择器表示第一个单元格
			} break;
			
			default: {
				$(this).children('td:eq(0)').html(g_radio_info.ch_change_start + ch_start - 1);  // td:eq(0)选择器表示第一个单元格
			} break;
			
		}
		
		ch_start += 1;
		
	    //console.log($(this).children('td:eq(0)').html());  // td:eq(0)选择器表示第一个单元格
	});


}

