/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: register_app.js 
 *	Module Function : 
 *  Created on		: 2017年3月8日上午10:41:37
 *  Author	  		: Guangliang Liao @zhdwq
 *******************************************************************************/

/*******************************************************************************
 * 名称：RegisterRTK 
 * 功能：注册RTK
 * 形参：空
 * 返回：空 
 * 说明：无
 ******************************************************************************/

var reg_code = {
	code_type: 0,
	/* 注册码类型 */
	code_str: "" /* 实际的注册码 */
}


/*******************************************************************************
 * 名称：PacketRTKRegCodeToOBJ
 * 功能：打包主机注册码及注册类型到JSON对象中
 * 形参：reg_obj	->	JSON对象
 * 返回：空
 * 说明：无
 ******************************************************************************/
function PacketRTKRegCodeToOBJ(reg_obj) 
{
	var check_forms = [{
		id_name: "register_code",
		check_type: "register_code",
		notice: str_obj.please_check_reg_str,
	}, ];
	/* 获取id 名称和类型 */
	for (var i = 0; i < check_forms.length; i++) {
		if (false == CheckInputValue(check_forms[i])) {
			NoticeDialogShow(check_forms[i].notice);
			return false; /* 返回失败  */
		}
	}

	reg_obj.code_str = document.getElementById('register_code').value.replace(/\s/g, ""); /* 获取当前注册码 */

	return reg_obj;
}


/*******************************************************************************
 * 名称：PacketRTXRegCodeToOBJ
 * 功能：打包主机注册码及注册类型到JSON对象中
 * 形参：reg_obj	->	JSON对象
 * 返回：空
 * 说明：无
 ******************************************************************************/
function PacketRTXRegCodeToOBJ(reg_obj) 
{
	var check_forms = [{
		id_name: "register_code",
		check_type: "string",
		min_lenth: 1,
		max_length: 500,
		/* 最大长度500 */
		notice: str_obj.please_check_reg_str,
	}, ];
	/* 获取id 名称和类型 */
	for (var i = 0; i < check_forms.length; i++) {
		if (false == CheckInputValue(check_forms[i])) {
			NoticeDialogShow(check_forms[i].notice);
			return false; /* 返回失败  */
		}
	}

	reg_obj.code_str = document.getElementById('register_code').value.replace(/\s/g, ""); /* 获取当前注册码 */
	reg_obj.code_type = parseInt($("#register_type_id").val());
	
	return reg_obj;
}

function RegisterRTK() 
{
	var json_obj = PacketRTKRegCodeToOBJ(reg_code);
	if (false == json_obj) {
		console.log("Error for reg_code,Request reject!");
		return false;
	}

	var time_out_wait = -1;
	var interval_wait = -1;

	var strs = '&' + JSON.stringify(json_obj);
	console.log(strs); /* 打印发送出去的数据 */
	showLoader(str_obj.reg_wait_str, 0); /* 显示设置中不自动消失 */
	var timeout_interval = setTimeout(function () {
		showLoader(str_obj.reg_failed_str, 1000);
	}, 5000);

	iRTK5HTTPRequest('register&set_code_rtk', strs, function (dat) {
		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示注册结果 */
		
		if (-1 != dat.toLowerCase().indexOf("failed", 0)) {
			showLoader(str_obj.reg_error_str, 1000);
		}
		else if (-1 != dat.toLowerCase().indexOf("expired!", 0)) { /* 旧的注册码  */
			showLoader(str_obj.reg_old_str, 1000);
		}
		else if(-1 != dat.toLowerCase().indexOf("expired_date", 0)) { /* 正确  */
			json_obj = JSON.parse(dat);
			console.log(json_obj);

			time_out_wait = setTimeout(function () {
				showLoader(str_obj.reg_failed_str, 1000);
				clearInterval(interval_wait);
			}, 5000); /*  5s未刷新时间 标记为失败 */
			interval_wait = setInterval(function () {
				iRTK5HTTPRequest('index&', 'device', function (ret) {
					/* 此处开始重写设备信息 */
					var dev_obj = JSON.parse(ret); /* 解析JSON数据 */
					console.log(dev_obj);
					var dev_system_date = parseInt(dev_obj.cur_system_date.substring(0, 4));
					console.log("dev_system_date :" + dev_system_date);
					if(dev_system_date < 2022){
						clearInterval(interval_wait);
						clearTimeout(time_out_wait);
						showLoader(str_obj.please_check_sat_checked, 2000);
					}
					else if (dev_obj.expired_date == json_obj.expired_date || dev_obj.expired_date == "2012-12-12") {
						clearInterval(interval_wait);
						clearTimeout(time_out_wait);
						showLoader(str_obj.reg_success_str, 1000);
						/* 注册成功后 应该更新过期时间  */
						RefreshExpireDate();
					}

				});
			}, 1000);
			
		}
		else {
			showLoader(str_obj.reg_error_str, 1000);
		}

		clearTimeout(timeout_interval); /* 清除time out 间隔 */
		console.log("CGI OK!");
	});
}

function CheckReisterCodeLength(value) 
{

	var i = 0;
	var code_tmp = value.replace(/\s/g, ""); /* 保存注册码  替换空格 */
	code_tmp = code_tmp.replace(/[^\d]/g, ""); /* 替换字母  */


//	var strs = "";
//	
//	for (i = 0; i < code_tmp.length; i += 3) {
//
//		strs += code_tmp.substring(i, i + 3);
//		if (code_tmp.length - i > 3) {
//			strs += " "; /* 添加空格 */
//		}
//
//	}
	var strs = code_tmp;


	if (strs.length > 24) {
		strs = strs.substring(0, 24); /* 字符串截取  */
		console.log("get sub");
		strs.length = 24;
	}


	return strs;
}

function FindNameByValue(obj, value)
{
	
	var i = 0;
	value = parseInt(value);
	
	for (i = 0; i < obj.length; i++) {

		if (value == obj[i].value) {
			return obj[i].name;
		}
	}
	
	return false;

}


function RefreshExpireDate() 
{
	iRTK5HTTPRequest('index&', 'device', function (dat) {
		/* 此处开始重写设备信息 */
		var json_obj = JSON.parse(dat); /* 解析JSON数据 */
		$('#device_expire_date').html(json_obj.expired_date);
		if (1 == json_obj.expired_flag) {
			$('#device_expire_date').css("color", "Red");
			$('#device_expire_date').append(str_obj.code_expired_str);
		} else {
			$('#device_expire_date').css("color", "Black");
			$('#device_expire_date').append('(' + str_obj.host_str + ')');
		}

		if (0 == json_obj.dev_str.toLowerCase().indexOf("irtk", 0)) {
			$("#wechat-qrcode-id").removeClass("hidden-class");
		}
		else {
			$("#wechat-qrcode-id").addClass("hidden-class");
		}

		$('#oem_device_expire_date').html(json_obj.oem_expired_date); /* 刷新主板过期日期 */
		$('#oem_device_sn').html(json_obj.oem_sn); /* 刷新主板过期日期 */
		
		$('#rtx_device_expire_date').html(json_obj.rtx_expired_date); /* 刷新RTX过期日期 */
	
		if (1 == json_obj.rtx_expired_flag) {
			$('#rtx_device_expire_date').addClass("error-class");
			$('#rtx_device_expire_date').append(str_obj.rtx_expired_str);
		}
		else {
			$('#rtx_device_expire_date').removeClass("error-class");
			$('#rtx_device_expire_date').append('(' + str_obj.ppp_service_str + ')');
		}
		

		if (
			(0 == (json_obj.func_option & 0x3060000)) ||	/* 默认支持星站差分 不支持则把下拉列表删除   */ 
			((0 == (json_obj.func_option & 0x20000)) && (json_obj.rtp_check_flag == 0)) 
		) {	/* 不支持卫星模式时禁用RTX注册选项 */
			$('#register_type_id option[value="1"]').remove();  /* 禁用RTX注册选项  */
			$('.rtx_type_class').addClass('hidden-class');
		}
		else {
			if (undefined != json_obj.rtp_area && 
					undefined != str_obj.country_str && 
					undefined != json_obj.use_rtx_or_rtp && 
					undefined != json_obj.rtx_expired_flag &&
					undefined != json_obj.rtx_expired_date &&
					(0 == json_obj.rtx_expired_flag) && /* RTP不过期才显示有效区域  */
					("rtp" == json_obj.use_rtx_or_rtp.toLowerCase())) 
			{
				
				var name = FindNameByValue(str_obj.country_str, json_obj.rtp_area);
				if (false != name) {
					$('#rtx_area').html(name); /* 刷新RTP有有效区域 */
					$('.rtx_area_class').removeClass('hidden-class');
				}
			}
			
		}

		if ((undefined == json_obj.board_reg_flag) || (0 == json_obj.board_reg_flag)) {        /* 默认支持主板注册，不支持则把下拉列表删除*/
			$('#register_type_id option[value="2"]').remove(); 
		}
		
		$('#xfill_device_expire_date').html(json_obj.xfill_expired_date); /* 刷新xfill过期日期 */
		
		if (1 == json_obj.xfill_expired_flag) {
			$('#xfill_device_expire_date').addClass("error-class");
			$('#xfill_device_expire_date').append(str_obj.xfill_expired_str);
		}
		else {
			$('#xfill_device_expire_date').removeClass("error-class");
			$('#xfill_device_expire_date').append('(' + str_obj.xfill_service_str + ')');
		}
		
		if (undefined != json_obj.supt_xfill && 1 == json_obj.supt_xfill) { /* 默认不支持星际续航 支持删除  隐藏 */
			$('.xfill_type_class').removeClass('hidden-class');
		}
		else {
			$('#register_type_id option[value="3"]').remove();  /* 禁用xfill注册选项  */
		}

		
		console.log("CGI OK!");
	});
}


function RegsiterTypeChange(type_index) 
{

	type_index = parseInt(type_index);

	switch (type_index) {
		case 0:
			{
				$("#register_code_title").html(str_obj.host_code_str);

				$("#register_code").attr("placeholder", str_obj.host_code_placehoder_str);
				$("#register_code").attr("maxlength", 31);

				$("#register_code").attr("oninput", "this.value = CheckReisterCodeLength(this.value)");

				$("#enusre_btn").attr("onClick", "RegisterRTK();");


			}
			break;
		case 1:
			{
				$("#register_code_title").html(str_obj.rtx_code_str);

				$("#register_code").attr("placeholder", str_obj.rtx_code_placehoder_str);
				$("#register_code").removeAttr("maxlength");
				$("#register_code").removeAttr("oninput");
				$("#enusre_btn").attr("onClick", "RegisterRTX();");

			}
			break;
		case 2:
			{
				$("#register_code_title").html(str_obj.oem_code_str);

				$("#register_code").attr("placeholder", str_obj.oem_code_placehoder_str);
				$("#register_code").removeAttr("maxlength");
				$("#register_code").removeAttr("oninput");
				$("#enusre_btn").attr("onClick", "RegisterRTX();");

			}
			break;
		case 3:
		{
			$("#register_code_title").html(str_obj.rtx_code_str);

			$("#register_code").attr("placeholder", str_obj.rtx_code_placehoder_str);
			$("#register_code").removeAttr("maxlength");
			$("#register_code").removeAttr("oninput");
			$("#enusre_btn").attr("onClick", "RegisterRTX();");

		}
			break;
		default:
			break;
	}

	$("#register_code").val(""); /*  清空值*/
}



function RegisterRTX() 
{
	var json_obj = PacketRTXRegCodeToOBJ(reg_code);
	if (false == json_obj) {
		console.log("Error for reg_code,Request reject!");
		return false;
	}

	var time_out_wait = -1;
	var interval_wait = -1;

	var strs = '&' + JSON.stringify(json_obj);
	console.log(strs); /* 打印发送出去的数据 */
	showLoader(str_obj.reg_wait_str, 0); /* 显示设置中不自动消失 */
	var timeout_interval = setTimeout(function () {
		showLoader(str_obj.reg_failed_str, 1000);
	}, 5000);


	iRTK5PostRequest('register&set_code_rtx', strs, function (dat) {
		console.log(dat); /* 向控制台输出接收到的CGI数据 */
		/* 此处显示注册结果 */
		if (-1 == dat.toLowerCase().indexOf("failed", 0)) { /* 无失败  */
			//			json_obj = JSON.parse(dat);
			//			console.log(json_obj);

			time_out_wait = setTimeout(function () {
				showLoader(str_obj.reg_failed_str, 1000);
				clearInterval(interval_wait);
			}, 5000); /*  5s未刷新时间 标记为失败 */

			interval_wait = setInterval(function () {
				iRTK5HTTPRequest('index&', 'device', function (ret) {
					/* 此处开始重写设备信息 */
					var dev_obj = JSON.parse(ret); /* 解析JSON数据 */
					console.log(dev_obj);

					var dev_system_date = parseInt(dev_obj.cur_system_date.substring(0, 4));
					console.log("dev_system_date :" + dev_system_date);
					if(dev_system_date < 2022){
						clearInterval(interval_wait);
						clearTimeout(time_out_wait);
						showLoader(str_obj.please_check_sat_checked, 2000);
					}else if (2 == dev_obj.update_sta) { /* 读取成功 */

						clearInterval(interval_wait);
						clearTimeout(time_out_wait);
						showLoader(str_obj.reg_success_str, 1000);

						/* 注册成功后 应该更新过期时间  */
						RefreshExpireDate();

					} else if (3 == dev_obj.update_sta) { /* 读取失败 */
						clearInterval(interval_wait);
						clearTimeout(time_out_wait);
						showLoader(str_obj.reg_failed_str, 1000);
					}



				});
			}, 1000);


		} else {
			showLoader(str_obj.reg_error_str, 1000);
		}

		clearTimeout(timeout_interval); /* 清除time out 间隔  服务器无响应 */
		console.log("CGI OK!");
	});
}
