/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: static_file.js 
 *	Module Function : 
 *  Created on		: 2017年1月5日
 *  Author	  		: admin
 *******************************************************************************/

var static_files_obj; /* 静态文件 json 全局对象 */


/*******************************************************************************
 * 名称：CheckBoxStatusSet
 * 功能：复选框刷新
 * 形参：id	->	当前id名称
 * 		num -> 当前id总数
 * 返回：空
 * 说明：无
 ******************************************************************************/

function CheckBoxStatusSet(sta) 
{
	$('.ui-custom-checkbox').attr("checked", sta);
}

/*******************************************************************************
 * 名称：CheckBoxStatusGet
 * 功能：复选框刷新
 * 形参：id	->	当前id名称
 * 		num -> 当前id总数
 * 返回：空
 * 说明：无
 ******************************************************************************/
function CheckBoxStatusGet(id) 
{
	var sta = document.getElementById(id).checked; /* 获取当前id的选中状态 */
	var ret = ""; /* 返回值 */

	for (var i = 0; i < document.getElementsByClassName('ui-custom-checkbox').length - 1; i++) {
		var str = id + i.toString(); /* 此处得到str对应的id */
		if (sta || document.getElementById(str).checked) { /* 选中全部 则返回下载所有 */
			ret += '&' + document.getElementById(str).value; /* 值 */
		}
	}

	return ret;
}
/*******************************************************************************
 * 名称：GetDownloadFileSize
 * 功能：获取下载文件大小
 * 形参：file_str	->	文件字符串 &分隔
 * 返回：下载的文件总大小
 * 说明：无
 ******************************************************************************/
function GetDownloadFileSize(file_str) 
{
	var download_file = file_str.split("&");
	var total_size = 0.0;
	var i = 0;
	var j = 0;

	for (i = 0; i < download_file.length; i++) {

		for (j = 0; j < static_files_obj.length; j++) {
			if (download_file[i] == static_files_obj[j].name) {
				total_size += parseFloat(static_files_obj[j].size);
				break; /* 结束循环 */
			}
		}
	}
	console.log("totoal size:" + total_size);
	return total_size;
}

/*******************************************************************************
 * 名称：DownLoadFiles
 * 功能：复选框刷新
 * 形参：id	->	当前id名称
 * 		num -> 当前id总数
 * 		dst_id -> 目标文件存放地址
 * 返回：空
 * 说明：无
 ******************************************************************************/

function DownLoadFiles(id) 
{
	var sta_interval;
	var ret = CheckBoxStatusGet(id); /* 检查复选框状态并返回所需要的代码 */

	if (ret == "") {
		NoticeDialogShow(str_obj.choose_files_str);
		return false;
	}
	var total_size = GetDownloadFileSize(ret);

	if (total_size > 100 * (1024 * 1024)) {
		if (!confirm($("#downloadTip").html())) {
			NoticeDialogShow(str_obj.choose_less_str);
			return false;
		}
	}

	if ((ret.split("&").length - 1) > 50) { /* 由于前一个&符号分隔会多一个 故长度为实际的文件+1 */
		NoticeDialogShow(str_obj.choose_less_cnt_str);
		return false;
	}

	console.log(ret.split("&").length);

	showLoader(str_obj.compressing_str, 0); /* 显示设置中不自动消失 */

	var time_out = setTimeout(function () {
		showLoader(str_obj.compress_failed_str, 1000);
	}, 300000); /* 300s */

	GetStaticFiles('download', ret, function (addr) {

		clearTimeout(time_out);
		if (addr.indexOf('Packed', 0) >= 0) { /* 返回打包失败  */
			/* 判断文件是否存在 存在则 */
			showLoader(str_obj.compress_failed_str, 1000); /* 打印返回的消息 */
		} else if (addr.indexOf('Copy to OTG', 0) >= 0) { /* 拷贝到OTG */
			showLoader(str_obj.copy_str, 0); /* 显示设置中不自动消失 */
			clearTimeout(time_out);

			sta_interval = setInterval(function () {
				GetStaticFiles('thread_shell_sta&', 'tar', function (dat) {

					if (-1 != dat.indexOf("idel")) { /* 空闲代表成功  */
						clearInterval(sta_interval);
						clearTimeout(time_out);
						showLoader(str_obj.copy_ok_str, 1000); /* 打印返回的消息 */
					} else if (-1 != dat.indexOf("failed")) { /* 失败  */
						clearInterval(sta_interval);
						clearTimeout(time_out);
						showLoader(str_obj.copy_failed_str, 1000); /* 打印返回的消息 */

					}

				});
			}, 1000);

			time_out = setTimeout(function () {
				clearInterval(sta_interval);
				showLoader(str_obj.copy_failed_str, 1000);
			}, 300000); /* 300s */

		} else {

			sta_interval = setInterval(function () {
				GetStaticFiles('thread_shell_sta&', 'tar', function (dat) {

					if (-1 != dat.indexOf("idel")) { /* 空闲代表成功  */
						clearInterval(sta_interval);
						showLoader(str_obj.compress_ok_str, 1000); /* 打印返回的消息 */
						location.href = addr; /* 转向目的地址 */
					} else if (-1 != dat.indexOf("failed")) { /* 失败  */
						clearInterval(sta_interval);
						showLoader(str_obj.compress_failed_str, 1000); /* 打印返回的消息 */

					}
				});
			}, 1000);
		}
	});

}

/*******************************************************************************
 * 名称：DialogShow
 * 功能：复选框刷新
 * 形参：id	->	当前id名称
 * 		num -> 当前id总数
 * 		dlg_id -》 对话框id
 * 返回：空
 * 说明：无
 ******************************************************************************/

function DialogShow(id, num, dlg_id) 
{
	var ret = CheckBoxStatusGet(id); /* 检查复选框状态并返回所需要的代码 */

	if (ret == "") {
		NoticeDialogShow(str_obj.choose_files_str);
		return false;
	} else {
		ChangeDlgSta(dlg_id, 'show'); /* 显示对话框 */
		/* 假如只有一个文件那么就直接链接到文件位置 */
	}
}
/*******************************************************************************
 * 名称：ChangeDlgSta
 * 功能：设置对话框显示选项 
 * 形参：dlg_id	->	对话框id
 * 		status -> 状态
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ChangeDlgSta(dlg_id, status) 
{
	$(dlg_id).dialog(status);
}

/*******************************************************************************
 * 名称：GetStaticFiles
 * 功能：获取静态文件 
 * 形参：get_sta	->	获取状态 'list' 'download' 'delete' 'format'
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GetStaticFiles(get_sta, args, call_backed) 
{
	var url = '?static&' + get_sta; /* static为第一参数 &后为第二参数 */
	url += args;
	AjaxRequest(url, call_backed);
}


/*******************************************************************************
 * 名称：StaticFilesRelate
 * 功能：文件关联
 * 形参：sta	->	复选框状态
 * 		value -> 对应的值
 * 返回：空
 * 说明：调用示例StaticFilesRelate(this.checked, this.value);
 ******************************************************************************/

function StaticFilesRelate(sta, value) 
{
	var name_pre = value.split(".")[0];
	
	
	$("td input[value^=" + name_pre, +"]").attr("checked", sta);
	
}

/*******************************************************************************
 * 名称：ProcessStaticFiles
 * 功能：处理静态文件 
 * 形参：dat	->	后台返回的数据
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ProcessStaticFiles(dat) 
{

	/* 此处处理列表数据 */

	var inner_str = " ";
	var date = new Date();
	var date_str = ""; /* 时间日期字符串 */

	if (dat.indexOf('error') >= 0) {
		return false;
	}
	var json_arr_str = "[" + dat.substring(0, dat.lastIndexOf(",")) + "]"; /* 打包数据  */

	static_files_obj = JSON.parse(json_arr_str);
	/* 此处应对数据进行排序 */

	static_files_obj.sort(function (a, b) {
		return b.mtime - a.mtime;
	}); /* 降序排列 */

	for (var i = 0; i < static_files_obj.length; i++) {
		/* 此处直接处理数据 无需再压入数组中 */
		inner_str += "<tr><td><input type='checkbox' data-role='none' id = \'select_all";
		inner_str += i + "\'";
		inner_str += "class='ui-custom-checkbox' value=" + static_files_obj[i].name;
		inner_str += " onClick=\"document.getElementById('select_all').checked = false\" /><label for=\'select_all" +
			i + "\' > </label></td>";
		inner_str += "<td><a onClick=\"location.href=\'/storage/" + 
		static_files_obj[i].folder + "/" +
			static_files_obj[i].name + "\'\" >" + static_files_obj[i].name + "</a></td>";
		date.setTime(static_files_obj[i].mtime * 1000); /* 设置时间 时间为UTC时间 */

		date_str = FormatNumToString(date.getUTCMonth() + 1, 2) + '/'; /* 获取月 */
		date_str += FormatNumToString(date.getUTCDate(), 2) + ' '; /* 获取日 */
		date_str += FormatNumToString(date.getUTCHours(), 2) + ':'; /* 获取时 */
		date_str += FormatNumToString(date.getUTCMinutes(), 2); /* 获取分 */

		inner_str += "<td>" + date_str + "</td>"; /* 时间 */
		inner_str += "<td>";

		if (static_files_obj[i].size > 1024 * 1024) { /* MBytes */

			inner_str += (static_files_obj[i].size / (1024 * 1024)).toFixed(2) + 'M'; /* 加入文件大小 */
		} else if (static_files_obj[i].size > 1024) { /* KBytes */
			inner_str += (static_files_obj[i].size / 1024).toFixed(2) + 'K'; /* 加入文件大小 */
		} else { /* Bytes */
			inner_str += static_files_obj[i].size.toString() + 'B'; /* 加入文件大小 */
		}
		inner_str += "</td></tr>";
	}


	document.getElementById('static_list_id').innerHTML = inner_str;
	$('#static_list_id tr:odd').addClass("alt"); /* 增加背景属性  */
}


function StaticFilesCheck(id)
{
	var ret = CheckBoxStatusGet(id); /* 检查复选框状态并返回所需要的代码 */

	if (ret == "") {

		NoticeDialogShow(str_obj.choose_files_str);
		return false;
	}

	if ((ret.split("&").length - 1) > 50) {

		NoticeDialogShow(str_obj.choose_less_cnt_str);
		return false;
	}	

	SureBtnNotice(str_obj.delete_notice_str, "DeleteStaticFiles(\'" + id + "\')");
	$('#popup-dialog').trigger('click');
	return true;
}



/*******************************************************************************
 * 名称：DeleteStaticFiles
 * 功能：删除静态文件 
 * 形参：id	->	checkbox id
 * 返回：空
 * 说明：无
 ******************************************************************************/

function DeleteStaticFiles(id) 
{
	var sta_interval;

	var ret = CheckBoxStatusGet(id); /* 检查复选框状态并返回所需要的代码 */

	if (ret == "") {

		NoticeDialogShow(str_obj.choose_files_str);
		return false;
	}

	if ((ret.split("&").length - 1) > 50) {

		NoticeDialogShow(str_obj.choose_less_cnt_str);
		return false;
	}

	//if (confirm(str_obj.delete_notice_str)) {

		showLoader(str_obj.delete_str, 0); /* 显示设置中不自动消失 */

		var time_out = setTimeout(function () {
			showLoader(str_obj.delete_failed_str, 1000);
		}, 5000);

		GetStaticFiles('delete', ret, function (addr) { /* 删除文件  */


			//			GetStaticFiles('list', '', ProcessStaticFiles); /* 更新静态文件列表 */
			//				
			//			clearTimeout(time_out);
			//			showLoader(str_obj.delete_ok_str, 1000);;/* 删除文件返回 */

			clearTimeout(time_out);
			if (-1 == addr.indexOf('Success', 0)) { /* 返回打包失败  */
				/* 判断文件是否存在 存在则 */
				showLoader(str_obj.delete_failed_str, 1000); /* 显示删除失败*/
			} else {

				sta_interval = setInterval(function () {
					GetStaticFiles('thread_shell_sta&', 'tar', function (dat) {

						if (-1 != dat.indexOf("idel")) { /* 空闲代表成功  */
							clearInterval(sta_interval);
							showLoader(str_obj.delete_ok_str, 1000); /* 打印返回的消息 */
							GetStaticFiles('list', '', ProcessStaticFiles); /* 更新静态文件列表 */
							//location.href = addr; /* 转向目的地址 */	
						} else if (-1 != dat.indexOf("failed")) { /* 失败  */
							clearInterval(sta_interval);
							showLoader(str_obj.delete_failed_str, 1000); /* 打印返回的消息 */

						}
					});
				}, 1000);
			} /* end for else  */
		});
	//}
		
}

/*******************************************************************************
 * 名称：ClearStaticFolder
 * 功能：清除静态文件盘
 * 形参：id	->	checkbox id
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ClearStaticFolder() 
{
	
	//if (confirm(str_obj.format_notice_str)) {
		var time_out = setTimeout(function () {
			showLoader(str_obj.format_failed_str, 1000);
		}, 5000);
		GetStaticFiles('format', "", function (e) {
			GetStaticFiles('list', '', ProcessStaticFiles); /* 更新静态文件列表 */
			clearTimeout(time_out);
			showLoader(str_obj.format_ok_str, 1000);; /* 删除文件返回 */
		});
	//}
		
}
