/*******************************************************************************
 *  PorjectName		: iRTK5WEB
 *  FileName	  	: workmode_app.js 
 *	Module Function : 
 *  Created on		: 2017年1月17日
 *  Author	  		: admin
 *******************************************************************************/

/* 以下变量用于识别使用了哪几个星站差分模式 */
const ppp_sat_val		= 0x01;
const ppp_net_val		= 0x02;
const ppp_b2b_val		= 0x04;
const ppp_b2b_mbes_val	= 0x08;
const ppp_rsa_val		= 0x10;
const ppp_sbas_val		= 0x20;

//星站差分-使用网络接收差分的模式
const ppp_mode_net	= ppp_net_val + ppp_rsa_val;
//星站差分-使用卫星接收差分的模式
const ppp_mode_sat	= ppp_sat_val + ppp_b2b_val;
//星站差分-板卡输出解算结果的模式
const ppp_mode_board	= ppp_b2b_mbes_val + ppp_sbas_val;
//星站差分-模式1(临时方案，除RSA模式以外都属于模式1)
const ppp_mode_first	= ppp_sat_val + ppp_net_val + ppp_b2b_val + ppp_b2b_mbes_val + ppp_sbas_val;
//星站差分-模式2
const ppp_mode_second	= ppp_rsa_val;

//当前星站差分模式，多个模式就相加(e.g. ppp_b2b_val+ppp_rsa_val)
var ppp_mode_val	= 0x00;


/* 以下为JS格式数据 定义 用于工作模式 */
var workmode_json = {
	work_mode: 0,
	/* 工作模式 0:base 1:rover 2:static relay */
	link_mode: 0,
	/* 数据链0:电台 1:GPRS :2:外挂 4:手簿5:wifi */

	/* 以下为网络参数 */
	server_type: 0,
	/* vrs zhd rtp gsm */

	zhd_domain_flag: 0,
	/* 0:IP 1:域名  */
	zhd_domain: "www.zhdcors.com",
	zhd_ip_name: '202.96.185.34',
	zhd_net_mode: 0,	//0: 4G, 1: 有线
	/* 服务器IP和端口号 */
	zhd_port_name: '9000',
	device_id: '10011320',
	/* 基站设备ID /VRS源节点 */
	group_type : 1 ,
	
	vrs_domain_flag: 0,
	/* 0:IP 1:域名  */
	vrs_domain: "www.zhdcors.com",
	vrs_ip_name: '202.96.185.34',
	vrs_net_mode: 0,	//0: 4G, 1: 有线
	/* 服务器IP和端口号 */
	vrs_port_name: '2101',
	vrs_source_point: 'RTCM32',

	vrs_user_passwd: "0",
	/*  vrs 用户名密码 */

	/* gprs apn用户名密码 */
	gprs_user: 'CMNET',
	/* 运营商名称 */
	APN_user: 'CMNET',
	/* APN用户名 */
	APN_passwd: 'CMNET',
	/* APN密码 */
	net_ant_type: 1,
	/*  天线类型  */
	net_type: 1,
	/* 网络制式 需要设置的网络制式  */

	/* 以下为电台信息参数 由于中继电台方式不确定 故此处预留电台中继电台信息 */
	radio_rx_channel: 1,
	/* 电台接收频道 */
	radio_tx_channel: 2,

	/* 电台发射频道频道 */
	radio_type: 0,
	radio_protocol: 1,
	/* 电台协议 0:ZHD9600 1:ZHD19200 */
	radio_tx_protocol: 1,
	/* 中继协议  */
	radio_power: 1,
	/* 基站电台发射功率 0 低 1 中 2 高 */
	radio_relay_en: 0,
	/* 电台中继 使能 */

	use_rtx_or_rtp: 2,
	/* 当前使用的星站差分模式类型,1:RTX, 2:RTP */
	satlites_coor_type: 0,
	/*星战差分模式坐标输出格式，0：ITRF2014, 1：CGCS2000*/
	satlites_position: 0,
	/*星战差分模式定位类型，0：动态, 1：静态 */

	/* 以下为静态工作模式参数 */
	static_freq: 1,
	/* 静态采样间隔 1s 2s */
	static_file_name: '_3200010.GNS',
	/* 静态文件 名称 */
	static_start_flag: 0,
	/* 静态开始标志 */
	static_height: 2.0042,
	/* 静态斜高 */
	static_dead_deg: 5,
	/* 静态高度截止角 */
	static_mode: 1,
	/* 静态采样模式 1:纯静态 0:临时静态 */
	nmea_mode: 1,	/* I/O设置数据记录 1:记录 0:不记录 */
	dev_series: 0, /* 系列号 */
    dev_agency_str: "HITARGET",//品牌
	/* 天线参数 */
	ant_type: 'AT-2300',
    la_a: 0,
    la_e: 0,
    la_u: 0,

	/* 以下为基站坐标信息 */
	base_lat: 0.00,
	/* 基站坐标 */
	base_lon: 0.00,
	base_height: 0.00,
	base_u_height: 0.00,
	/* 当前BLH */
	base_diff_mode: 1,
	base_diff_text: 0,
	/* 差分电文格式  */
	page_index: 0,
	/* 页面指向 */
	static_action: 0,
	/* 静态页面的操作 0表示停止记录 1 表示开始记录  */
	/* 基站差分格式 */
	smart_set_en:0, /* 智能设站开关  */
	rtcm_list: 0,	/*主板支持的电文类型*/
};

var rtcm_list_obj = [
	{
		name:"RTCA",
		value:0,
		bit:0
	},
	{
		name:"RTCM2.0",
		value:1,
		bit:1
	},
	{
		name:"RTCM3.0",
		value:2,
		bit:2
	},
	{
		name:"CMR",
		value:3,
		bit:3
	},
	{
		name:"NOVATEL",
		value:4,
		bit:4
	},
	{
		name:"SCMRX",
		value:5,
		bit:5
	},
	{
		name:"NOVATELX",
		value:6,
		bit:6
	},
	{
		name:"RTCM3.2",
		value:7,
		bit:7
	},
	{
		name:"AUTO",
		value:8,
		bit:8
	},
	{
		name:"CMR+",
		value:9,
		bit:9
	}
];

var device_info_obj; /* 设备信息 */
var has_been_start = 0;
var radio_object; /* 电台object */
var cordi_arr = []; /* 平滑坐标数组  */


var smartset_interval = 0;
var smartset_timeout = 0; /* 智能设站超时 */

/*******************************************************************************
 * 名称：RadioProtocolChanged
 * 功能：电台协议改变
 * 形参：mode	->	当前模式 'rover' 'base'
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RadioProtocolChanged(data_link, pro_val) 
{
	var relay_en = GetRadioProRelayEnable(radio_object.radio_type, pro_val);

	var net_relay_en = device_info_obj.enable_net_relay;
	var radio_relay_en = device_info_obj.enable_radio_relay;
	var radio_relay_list = device_info_obj.radio_uhf_relay_pro;
	
	
	if (undefined != radio_relay_list) { /* 重新更新 */
		relay_en = GetRelaySupport(pro_val, radio_relay_list);
	}

	/* 数据链为0 并且支持中继 或者 数据链为网络 不用关心是否支持中继  */
	data_link = parseInt(data_link); /* 转换为数字  */
	
	if (((0 == data_link) && (true == relay_en) && ( undefined == radio_relay_en || (1 == radio_relay_en))) || 
			((1 == data_link) && ( undefined == net_relay_en || (1 == net_relay_en)))) 
	{ /* 中继模式 ? */
		$('.Radio-Relay').removeClass("hidden-class");
		document.getElementById("relay_mode").selectedIndex = workmode_json.radio_relay_en; /* 中继en  */

	}
	else { /* 不支持中继功能  */
		$('.Radio-Relay').addClass("hidden-class");
		/* 中继模式 ? */
		document.getElementById("relay_mode").selectedIndex = 0; /* 不支持中继则强制清零 */
	}
	

	JqueryMobileRefresh('#relay_mode', "slider");
}


function NetWorkStandardSel(sel_id, type_id, net_stand_sel)
{
	
	var line_str = "";
	var i = 0;
	
	if (undefined != net_stand_sel) { /* 网络制式选择 */
		
		if (0 == net_stand_sel) {
			
			$("#" + sel_id).addClass("hidden-class");
		}
		else {
			
			$("#" + type_id).empty(); /* 清空内容  */
			for (i = 0; i < str_obj.net_standard_str.length; i++) {
				
				if (net_stand_sel & (1 << str_obj.net_standard_str[i].ctrl_bit)) {
					line_str = "<option value=" + str_obj.net_standard_str[i].ctrl_value + 
					'>' + str_obj.net_standard_str[i].ctrl_name + "</option>";
				}
				
				$("#" + type_id).append(line_str);
				
			}
			
			$("#" + sel_id).removeClass("hidden-class");
		}
	}
	
}


function AntennaSwitch(sel_id, enable_ant_sel)
{
	if (undefined != enable_ant_sel) {
		
		if (0 == enable_ant_sel) {
			$("#" + sel_id).addClass("hidden-class");
		}
		else {
			$("#" + sel_id).removeClass("hidden-class");
		}
		
		
	}
	
}

/*******************************************************************************
 * 名称：RefreshCurrentPage
 * 功能：根据当前工作模式 决定页面刷新 页面的参数 
 * 形参：mode	->	当前模式 'rover' 'base'
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshCurrentPage(mode) 
{
	var data_link = 0; /* 数据链模式  */
	var network_mode = 0; /* 网络模式  */

    if ( "HITARGET" != workmode_json.dev_agency_str ){
        //value=1，为ZHD服务器
        $("#server_link_id option[value='1']").text(workmode_json.dev_agency_str);
    }

	if (mode == 'rover') {
		data_link = parseInt($('#rover_link_id').val()); /* 数据链模式  */
		
		RadioProtocolChanged(data_link, $('#radio_protocol').val()); /* 由于电台模式和网络模式都应该对使能进行检查   */

		$(".Net-Mode").addClass("hidden-class");

		switch (data_link) {
			case 0:
				{ /* 内置电台  */
					/* 无需要重新加载电台协议  */
					//LoadRadioProtocol(workmode_json.radio_type, "radio_protocol");

					$('#radio_ch_rx').val(workmode_json.radio_rx_channel); /* 电台接收频道 */

					$('#radio_protocol').val(workmode_json.radio_protocol);
				}
				break;
			case 1:
				{ /* 内置网络  */
					network_mode = parseInt($('#server_link_id').val()); /* 网络模式  */

					$('#gprs_name').val(workmode_json.gprs_user); /* 运营商名称 */
					$('#apn_user').val(workmode_json.APN_user); /* APN账号名称 */
					$('#apn_passwd').val(workmode_json.APN_passwd); /* APN密码 */
					
					
					NetWorkStandardSel("net_stand_sel", "network_type", device_info_obj.net_stand_sel); /* 更新支持的网络制式  */
					AntennaSwitch("enable_ant_sel", device_info_obj.enable_ant_sel);

					$('#net_antna_select').val(workmode_json.net_ant_type); /* 内外置天线 */
					$('#network_type').val(workmode_json.net_type); /* 网络类型 */
					
					switch (network_mode) {
						case 5: { /* TCP 和VRS 参数一致  */
						
						}
						case 0:
							{ /* vrs */
								$('.Net-Mode').removeClass("hidden-class");
								if (0 == workmode_json.vrs_domain_flag) {
									$('#IP_name').val(workmode_json.vrs_ip_name); /* IP */
								} else {
									$('#IP_name').val(workmode_json.vrs_domain); /* 域名 */
								}


								$('#Port_name').val(workmode_json.vrs_port_name); /* PORT */
								
								$('#Base_id').val(workmode_json.vrs_source_point);
								/*
								 * VRS源节点
								 * 
								 */
								var vrs_user = Base64Decode(workmode_json.vrs_user_passwd);

								$('#vrs_user').val(vrs_user.user); /* VRS用户名 */
								$('#vrs_password').val(vrs_user.passwd); /* VRS密码 */
							}
							break;
						case 1:
							{ /* zhd */
								$(".Net-Mode").removeClass("hidden-class");
								if (0 == workmode_json.zhd_domain_flag) {
									$('#IP_name').val(workmode_json.zhd_ip_name); /* IP */
								} else {
									$('#IP_name').val(workmode_json.zhd_domain); /* 域名 */
								}
								$('#Port_name').val(workmode_json.zhd_port_name); /* PORT */
								$('#Base_id').val(workmode_json.device_id);
								/*
								 * 
								 * 基站ID
								 */
							}
							break;
						case 2: { /* rtp */

						} break;
						case 6: { /* GSM  */
								$("#gsm_user").val(workmode_json.gsm_number);

						} break;
						default:
							break;
					}

				}
				break;
			case 2:
				{ /* 外挂 */

				}
				break;
			case 6: { /* 星站差分  */
				closeSatliteDiffValue();
				switch (workmode_json.star_type) {
					case 1: 
						$('#ppp_sat_check').attr("checked", true);
						break;
					case 2:
						$(".Net-Mode").removeClass("hidden-class");
						$('#ppp_net_check').attr("checked", true);
						break;
					case 3:
						$('#ppp_b2b_check').attr("checked", true);
						break;
					case 4:
						$('#ppp_b2b_mbes_check').attr("checked", true);
						$('#coortype_select_id').attr('disabled', 'disable');
						$('#position_select_id').attr('disabled', 'disable');
						break;
					case 6:
						$('#ppp_sbas_check').attr("checked", true);
						if(workmode_json.oem_type == 7){ //20220826 by zhangrf: 和芯板卡才显示SBAS配置项，天宝SBAS的39颗卫星都有跟踪
							$("#sbas_tr_id").removeClass("hidden-class");
						}
						break;
					default:
						break;
				}

				if(workmode_json.star_type_seconde == 5){
					$(".Net-Mode").removeClass("hidden-class");
					$('#ppp_rsa_check').attr("checked", true);
				}
			} break;
			default:
				{

				}
				break;
		}

		/* 中继模式 ? */
		document.getElementById("relay_mode").selectedIndex = workmode_json.radio_relay_en; /* 中继en  */
		JqueryMobileRefresh('#relay_mode', "slider");
		RelayModeChange(document.getElementById("relay_mode").selectedIndex, data_link);
	
		if (undefined != workmode_json.smart_set_base_sn) {
			$("#smartset_base_id").val(workmode_json.smart_set_base_sn)
		}

		if ((undefined != device_info_obj.soft_option) && 
				(0 != (device_info_obj.soft_option & (1 << 7)))) 
		{ /* 不支持网络中级的禁用网络中继   */
			$('.Radio-Relay').addClass("hidden-class");
		}
		
	} else if (mode == 'base') {

		data_link = parseInt($('#base_link_id').val()); /* 数据链模式  */

		switch (data_link) {
			case 0:
				{ /* 内置电台  */

					/* 无需要重新加载电台协议  */
					//LoadRadioProtocol(workmode_json.radio_type, "radio_protocol1");

					$('#radio_ch_tx').val(workmode_json.radio_rx_channel); /* 电台接收频道 */

					$('#radio_protocol1').val(workmode_json.radio_protocol);
					$('#radio_tx_power').val(workmode_json.radio_power); /* 电台功率 */
				}
				break;
			case 1:
				{ /* 内置网络  */
					network_mode = parseInt($('#server_link_id1').val()); /* 网络模式  */

					$('#gprs_name1').val(workmode_json.gprs_user); /* 运营商名称 */
					$('#apn_user1').val(workmode_json.APN_user); /* APN账号名称 */
					$('#apn_passwd1').val(workmode_json.APN_passwd); /* APN密码 */

					NetWorkStandardSel("net_stand_sel", "network_type", device_info_obj.net_stand_sel);
					AntennaSwitch("enable_ant_sel", device_info_obj.enable_ant_sel);

					
					$('#net_antna_select').val(workmode_json.net_ant_type); /* 内外置天线 */
					$('#network_type').val(workmode_json.net_type); /* 网络类型 */

					switch (network_mode) {
						case 5: { /* TCP 和VRS 参数一致  */
							
						}
						case 0:
							{ /* vrs */
								if (0 == workmode_json.vrs_domain_flag) {
									$('#IP_name1').val(workmode_json.vrs_ip_name); /* IP */
								} else {
									$('#IP_name1').val(workmode_json.vrs_domain); /* 域名 */
								}

								$('#Port_name1').val(workmode_json.vrs_port_name); /* PORT */


								var vrs_user = Base64Decode(workmode_json.vrs_user_passwd);

								$('#Base_id1').val(device_info_obj.dev_num); /* VRS源节点 */
								$('#vrs_user1').val(device_info_obj.dev_num); /* VRS用户名 */
								$('#vrs_password1').val('zhdgps'); /* VRS密码 */

							}
							break;
						case 1: { /* zhd */
							if (0 == workmode_json.zhd_domain_flag) {
								$('#IP_name1').val(workmode_json.zhd_ip_name); /* IP */
							} else {
								$('#IP_name1').val(workmode_json.zhd_domain); /* 域名 */
							}

							$('#Port_name1').val(workmode_json.zhd_port_name); /* PORT */
								
							$("#base_sn_type1").val(workmode_json.group_type);
							GroupTypeChange($("#base_sn_type1").val()); /* 刷新小组号分组号类型  */
								
						}break;
						case 2: { /* rtp */

						} break;
						case 6: { /* GSM  */
								$("#gsm_user").val(workmode_json.gsm_number);

						} break;
						default:
							break;
					}

				}
				break;
			case 2:
				{ /* 外挂 */

				}
				break;
			default:
				{

				}
				break;
		}

	} else {


	}
    /* K20系列且为移动台，则隐藏天线选择 */
    if ( 3 == workmode_json.dev_series && 1 == data_link){
        $("#enable_ant_sel").addClass("hidden-class");
    }
}


/*******************************************************************************
 * 名称：GroupTypeChange
 * 功能：中海达数据链模式 分组号小组号方式改变
 * 形参：val	->	当前模式 
 * 返回：空
 * 说明：无
 ******************************************************************************/

function GroupTypeChange(val)
{
	val = parseInt(val);
	switch (val) {
		case 0: { /* 基站机身号  */
			$('#city_number_sn').addClass("hidden-class");
			$("#zhd_base_sn").val(device_info_obj.dev_num); /* 填充机号 */
		} break;
		case 1: { /* 分组号小组号  */
			$('#city_number_sn').removeClass("hidden-class");
			
			if (1 == workmode_json.group_type) { /* 1表示分组号小组号  */
				$("#zhd_base_sn").val(workmode_json.device_id);
			}
			
		} break;
		
		default: {
			
		}break;

	
	}

}
	
/*******************************************************************************
 * 名称：DataLinkChanged
 * 功能：数据链状态 改变  刷新当前网页参数 
 * 形参：mode	->	当前模式 'rover' 'base'
 * 		sel_id -> 当前选中的id 
 * 返回：空
 * 说明：无
 ******************************************************************************/

function DataLinkChanged(mode, sel_id, radio_relay_supt) 
{
	sel_id = parseInt(sel_id);
	if (6 == sel_id || 2 == sel_id) { /* RTX 卫星   外挂 中继选项应标记为无 */
		$('.Radio-Relay').addClass("hidden-class");
	} else {
		$('.Radio-Relay').removeClass("hidden-class");
	}

	switch (sel_id) {

		case 1:
			{ /* 网络模式 */

				$(".Radio_Div0").addClass("hidden-class");
				$(".NetWork_Div0").removeClass("hidden-class");
				$(".Satlites-Based").addClass("hidden-class");
			}
			break;
		case 2:
			{ /* 外部数据链 */
				$(".NetWork_Div0").addClass("hidden-class");
				$(".Radio_Div0").addClass("hidden-class");
				$(".Satlites-Based").addClass("hidden-class");
			}
			break;
		case 6:
			{ /*  RTX卫星  */
				$(".NetWork_Div0").addClass("hidden-class");
				$(".Radio_Div0").addClass("hidden-class");

				/* xxx lgl 2019-01-22以下对只有一个星站差分情况进行下拉列表禁用  */
				if ($("#satlites-base-diff option").length <= 1) {
					$("#satlites-base-diff").attr("disabled","disabled"); 
					$(".Satlites-Based").removeClass("hidden-class"); /* 仅有一次 */
				}
				else {
					$(".Satlites-Based").removeClass("hidden-class");
				}
			}
			break;
		case 0:
		default:
			{ /* 0或者其它均显示为 内置电台  */
				/* 内置电台 */
				$(".Satlites-Based").addClass("hidden-class");
				$(".NetWork_Div0").addClass("hidden-class");
				$(".Radio_Div0").removeClass("hidden-class");

				/* 不支持电台中继则隐藏 支持则不隐藏  */
				if (true == radio_relay_supt) {
					$('.Radio-Relay').removeClass("hidden-class");
				} else {
					$('.Radio-Relay').addClass("hidden-class");
				}
			}
			break;
	}

	if ((undefined != device_info_obj.soft_option) && 
			1 == (device_info_obj.soft_option & 0x00001)) 
	{ /* 支持智能设站   */
		
		$('.SmartSetClassSwitch').removeClass("hidden-class"); 
		if (1 == parseInt($("#smartset_id").val())) { /* 开启智能单基站 */
			$('.SmartSetClass').addClass("hidden-class"); 
			$(".SmartSetBaseClass").removeClass("hidden-class");
			
			if (1 == workmode_json.is_prov_cors) {
				$("#radio_cors").attr("checked","checked");
			}
			else {
				$("#radio_cors").removeAttr("checked");
			}
			
			SmartSetSwitch(workmode_json.is_prov_cors);
		}
		else {
			
			$(".SmartSetClass input").removeAttr("disabled"); 
			$(".SmartSetClass select").removeAttr("disabled"); /* 移除禁用的下拉、输入框  */
			
			$(".SmartSetBaseClass").addClass("hidden-class");
			$(".SmartSetBaseSNClass").addClass("hidden-class");
			$('.SmartSetClass').removeClass("hidden-class"); 
		}
		
		JqueryMobileRefresh('#smartset_id', "slider");
		
	}
	
	RefreshCurrentPage(mode); /* 刷新当前页面数据链参数  */
}


function RelayModeChange(index, data_link) 
{

	index = parseInt(index);
	data_link = parseInt(data_link);

	if (index) { /* 中继功能打开  */
		$(".ui-relay-class").not('.network-relay-class').removeClass("hidden-class");
		if (1 == data_link) { /* 网络数据链中继 需要协议   */
			$('.network-relay-class').removeClass("hidden-class");
		} else { /* 其它无需要协议  */
			$('.network-relay-class').addClass("hidden-class");
		}
	} else {

		$(".ui-relay-class").addClass("hidden-class");
	}

}
/*******************************************************************************
 * 名称：ServerLinkChanged
 * 功能：服务器状态 改变  刷新当前网页参数 
 * 形参：mode	->	当前模式 'rover' 'base'
 * 		sel_id -> 当前选中的id 
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ServerLinkChanged(mode, sel_id) 
{
	sel_id = parseInt(sel_id);

	if (6 == sel_id) { /* GSM模式 */

		$('.GPRS_Mode').addClass("hidden-class");
		$('.GSM_Mode').removeClass("hidden-class");
		
		
	} else { /* 非GSM 模式 */
		$('.GSM_Mode').addClass("hidden-class");
		$('.GPRS_Mode').removeClass("hidden-class");
		$("#mount_point_id").removeClass('hidden-class');
		
	}


	if (2 == sel_id) { /* 网络站RTX  */
		$('.Radio-Relay').addClass("hidden-class");

	} else {
		$('.Radio-Relay').removeClass("hidden-class");
	}
	/* 根据ZHD 或者CORS 数据链模式更改编辑框显示内容 */
	switch (sel_id) {
		case 0:
			{ /* VRS模式 */

				$(".VRS_Link").removeClass('hidden-class');
				$(".ZHD_Link").addClass('hidden-class');
				if (mode == "rover") {
					$('#vrs_source_id').html(str_obj.vrs_name_str);
					$('#Base_id').attr('placeholder', str_obj.vrs_placeholder_str);

				}
			}
			break;
		case 1:
			{ /* ZHD模式 */
				$(".VRS_Link").addClass('hidden-class');
				$(".ZHD_Link").removeClass('hidden-class');
				if (mode == "rover") {
					$('#vrs_source_id').html(str_obj.zhd_name_str);
					$('#Base_id').attr('placeholder', str_obj.zhd_placeholder_str);
				}
			}
			break;

		case 2:
			{ /* RTP */

				$('.GSM_Mode').addClass("hidden-class");
				$('.GPRS_Mode').addClass("hidden-class"); /* 不支持 隐藏  */

			}
			break;
		case 5: { /* TCP  */
			$(".VRS_Link").addClass('hidden-class');
			$(".ZHD_Link").addClass('hidden-class');
			
			$("#mount_point_id").addClass('hidden-class');
			
			
			
		} break;
		case 6: { /* GSM  */

		} break;
		case 3:
			{ /* 千寻知寸 */
				$(".VRS_Link").addClass('hidden-class');
				if (mode == "rover") {
					$('#vrs_source_id').html(str_obj.vrs_name_str);
					$('#Base_id').attr('placeholder', str_obj.vrs_placeholder_str);
				}

				$('.GSM_Mode').addClass("hidden-class");
				$('.GPRS_Mode').addClass("hidden-class"); /* 不支持 隐藏  */
			}
			break;

		default:
			break;
	}
	RefreshCurrentPage(mode);
}

/*******************************************************************************
 * 名称：ProcessWorkModeInfo
 * 功能：获取工作模式信息
 * 形参：：page_index -> rover  base static
 refresh_src： 1 强制刷新
 				0 不强制刷新
 * 返回：空
 * 说明：无
 ******************************************************************************/

function ProcessWorkModeInfo(page_index, refresh_src) 
{
	iRTK5HTTPRequest('workmode&get_args', '', function (dat) {
		/* 此处开始重写设备信息 */
		workmode_json = JSON.parse(dat); /* 解析JSON数据 */
		console.log(workmode_json); /* 向控制台输出接收到的CGI数据 */
		RefreshWorkModePage(page_index, workmode_json, refresh_src); /* 刷新3个页面 利用同一个函数 调试用 */
		$("div[data-role=content] ul").listview(); /* 局部渲染 */

        /* K20系列隐藏天线选择 */
        if ( 3 == workmode_json.dev_series ){
            $("#enable_ant_sel").addClass("hidden-class");
        }
		console.log("CGI OK!");
	});
}

function StaticstatusGetfunc(callback) 
{
	var json_sta;
	iRTK5HTTPRequest('workmode&', 'get_static_sta', function (dat) {
		json_sta = JSON.parse(dat);

		callback(json_sta); /* 回调函数  */

	});

}


/*******************************************************************************
 * 名称：PackedWorkmodeInfo
 * 功能：打包工作模式信息 
 * 形参：page_index -> rover  base static
 * 返回：空
 * 说明：无
 ******************************************************************************/

function PackedWorkmodeInfo(page_index) 
{
	var json_object = PacketWorkModeInfoToOBJ(page_index, workmode_json);
	/*
	 * 获取3个页面参数
	 * 实际分离
	 * 只用一个
	 */
	var timeout_wait = 0;
	if (false == json_object) {
		console.log("Error for workmode_json,Request reject!");
		return false;
	}

	if(
		("rover" == page_index) &&
		(CheckRTPRegister() == false) //RTP注册码过期不允许设置星站差分模式
	){
		console.log("Error for CheckRTPRegister false!");
		return false;
	}

	clearInterval(smartset_interval);
	clearTimeout(smartset_timeout); /* 清除智能设站超时 */

	
	workmode_json = json_object; /* 赋值json 对象  */
	showLoader(str_obj.wait_notice_str, 0); /* 显示设置中不自动消失 */

	var timeout_interval = 0;
	if("static" == page_index){
		timeout_interval = setTimeout(function () {
			showLoader(str_obj.static_operate_str, 1000);
			clearInterval(timeout_wait);
		}, 15000);
	}
	else{
		timeout_interval = setTimeout(function () {
			showLoader(str_obj.operate_failed_str, 1000);
			clearInterval(timeout_wait);
		}, 15000);
	}



	if (0 == workmode_json.static_action && "static" == page_index) { /* 静态页面需要停止记录  */
		iRTK5HTTPRequest('workmode&', 'static_stop', function (dat) {
			console.log(dat);
			timeout_wait = setInterval(function () {

				StaticstatusGetfunc(function (json_sta) {

					if (0 == json_sta.static_sta) { /* 停止记录操作 等待停止标志位 */
						console.log("has been stop");
						showLoader('', 1);
						clearTimeout(timeout_interval); /* 清除time out 间隔 */
						clearInterval(timeout_wait); /* 清除time interval间隔 */
					}

				});

			}, 1000);
		});
		return true;
	} else {

		StaticstatusGetfunc(function (json_sta) {

			var strs = '&' + JSON.stringify(workmode_json); /* json数据打包 */


			if (1 == json_sta.static_sta) {
				iRTK5HTTPRequest('workmode&', 'static_stop', function (dat) {
					console.log(dat);

					iRTK5PostRequest('workmode&set_args', strs, function (dat) {
						console.log(dat); /* 向控制台输出接收到的CGI数据 */
						/* 此处开始重写设备信息 */
						if (page_index != "static") {
							showLoader(str_obj.operate_success_str, 1000);
							clearTimeout(timeout_interval); /* 清除time out 间隔 */
						} else {
							/* 需要等待开始记录  否则超时显示设置失败  */

							timeout_wait = setInterval(function () {
								ProcessWorkModeInfo('static', 1); /* 此处会更新workmode_json全局变量  */
								if (1 == workmode_json.static_start_flag) {
									/* 开始记录操作 等待已经开始操作 */
									showLoader(str_obj.operate_success_str, 1000);
									console.log("has been start");
									clearTimeout(timeout_interval); /* 清除time out 间隔 */
									clearInterval(timeout_wait); /* 清除time interval 间隔 */
								}

							}, 1000);
						}


						console.log("CGI OK!");
					});


				});
				console.log("need to stop");
			} else {

				if ("static" == page_index && workmode_json.static_file_name.length > 0) {

					console.log("Manual file name!");

					/* 此处需要检查文件是否存在  */
					iRTK5HTTPRequest('workmode&check_file&', workmode_json.static_file_name, function (dat) {

						console.log(dat);

						var json_parse_obj = JSON.parse(dat);
						if (0 == json_parse_obj.file_sta) {
							/* 文件存在  */
							hideLoader();
							NoticeDialogShow(str_obj.same_file_notice_str, 3000);
//							showLoader(str_obj.same_file_notice_str, 1000);
							clearTimeout(timeout_interval); /* 清除time out 间隔 */

						} else {
							iRTK5PostRequest('workmode&set_args', strs, function (dat) {
								console.log(dat); /* 向控制台输出接收到的CGI数据 */
								/* 此处开始重写设备信息 */
								if (page_index != "static") {
									showLoader(str_obj.operate_success_str, 1000);
									clearTimeout(timeout_interval); /* 清除time out 间隔 */
								} else {
									/* 需要等待开始记录  否则超时显示设置失败  */

									timeout_wait = setInterval(function () {
										ProcessWorkModeInfo('static', 1); /* 此处会更新workmode_json全局变量  */
										if (1 == workmode_json.static_start_flag) {
											/* 开始记录操作 等待已经开始操作 */
											showLoader(str_obj.operate_success_str, 1000);
											console.log("has been start");
											clearTimeout(timeout_interval); /* 清除time out 间隔 */
											clearInterval(timeout_wait); /* 清除time interval 间隔 */
										}

									}, 1000);
								}


								console.log("CGI OK!");
							});

						}



					});
				} else {
					iRTK5PostRequest('workmode&set_args', strs, function (dat) {
						console.log(dat); /* 向控制台输出接收到的CGI数据 */
						/* 此处开始重写设备信息 */
						if (page_index != "static") {
							showLoader(str_obj.operate_success_str, 1000);
							clearTimeout(timeout_interval); /* 清除time out 间隔 */
							
							/* xxx lgl 2016-06-25 此处需要对智能设站部分页面内容更新  */
							if (undefined != workmode_json.smart_set_en && 
									0 != workmode_json.smart_set_en) 
							{
								RefreshSmartSetInfo(page_index);
							}
							
							
						} else {
							/* 需要等待开始记录  否则超时显示设置失败  */

							timeout_wait = setInterval(function () {
								ProcessWorkModeInfo('static', 1); /* 此处会更新workmode_json全局变量  */
								if (1 == workmode_json.static_start_flag) {
									/* 开始记录操作 等待已经开始操作 */
									showLoader(str_obj.operate_success_str, 1000);
									console.log("has been start");
									clearTimeout(timeout_interval); /* 清除time out 间隔 */
									clearInterval(timeout_wait); /* 清除time interval 间隔 */
								}

							}, 1000);
						}


						console.log("CGI OK!");
					});
				}

			}

		});
	}


}

/*******************************************************************************
 * 名称：StaticIntervalChange
 * 功能：静态采样间隔改变
 * 形参：interval	->	选中的采样间隔
 * 返回：空
 * 说明：无
 ******************************************************************************/

function StaticIntervalChange(interval)
{
	if ((interval < 1) && (1 == workmode_json.rinex_en)) {
		$("#interval_notice_id").removeClass("hidden-class"); /* 显示  */
		$("#interval_notice_id td").html(str_obj.rinex_limit_notice_str); /* 显示  */
		
	}
	else {
		$("#interval_notice_id").addClass("hidden-class"); /* 显示  */
	}	

}


/*******************************************************************************
 * 名称：RadioProtocolChangeNotice
 * 功能：电台协议改变提示
 * 形参：pro	->	当前的协议
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RadioProtocolChangeNotice(pro)
{
	
	$("#radio_pro_notice_id").removeClass("hidden-class"); /* 默认打开 显示  */
	pro = parseInt(pro);
	switch (pro) {
		case 5:
		case 7:
		case 12:
		case 14: /* hc9600 */
		case 3: /* south 9600 */
		case 1: {
		
			$("#radio_pro_notice_id td").html(str_obj.pro_baud_notice_str[2]); /* 显示  */
		} break;
			
		case 8:
		case 9:
		case 10:
		case 21:/* SATEL_3AS_12K5_ */
		case 13: {
		
			$("#radio_pro_notice_id td").html(str_obj.pro_baud_notice_str[1]); /* 显示  */
		} break;
			
		default : {
			$("#radio_pro_notice_id").addClass("hidden-class"); /* 显示  */
		} break;
	}
	
}

/*******************************************************************************
 * 名称：RefreshWorkModePage
 * 功能：刷新工作模式页面
 * 形参：page_index	->	模式页面 base rover static
 * 		json_obj	->	JSON对象 
 * 返回：空
 * 说明：无
 ******************************************************************************/

function RefreshWorkModePage(page_index, json_obj, refresh_src) 
{

	if (page_index == "rover") { /* 移动台页面刷新 */

		/* 不支持星站差分功能时 需要移除星站差分功能下拉列表  */
		/* 星站差分 21位  则第22个字节  PPP 12位 第13个字节   */
		if (0 == (device_info_obj.func_option & 0x3060000)) { /* 默认支持星站差分 不支持则把下拉列表删除   */
			$('#rover_link_id option[value="6"]').remove(); 
		}
		else {
			
			if (0 == (device_info_obj.func_option & 0x20000)) { /* 不支持RTX  */
				$(".sat_td_id").addClass("hidden-class");
			}
			else if (0 == (device_info_obj.func_option & 0x40000)) { /* 不支持 ppp   */
				$(".net_td_id").addClass("hidden-class");
			}
			if (0 == (device_info_obj.func_option & 0x1000000)) { /* 不支持 b2b   */
				$(".b2b_td_id").addClass("hidden-class");
			}
			if (0 == (device_info_obj.func_option & 0x2000000)) { /* 不支持 b2b 多波束  */
				$(".b2b_mbes_td_id").addClass("hidden-class");
			}
			/* xxx lgl 2019-01-22以下对只有一个星站差分情况进行下拉列表禁用  */
			if ($("#satlites-base-diff option").length <= 1) {
				$("#satlites-base-diff").attr("disabled","disabled"); 
				$(".Satlites-Based").removeClass("hidden-class"); /* 仅有一次 */
			}

			if ( 2 == json_obj.use_rtx_or_rtp ){
				$("#coortype_tr_id").removeClass("hidden-class");
				$("#coortype_select_id").val(json_obj.satlites_coor_type);
				$("#position_tr_id").removeClass("hidden-class");
				$("#position_select_id").val(json_obj.satlites_position);
				$("#net_select_id").val(json_obj.net_mode);
				$("#sbas_select_id").val(json_obj.sbas_sys);
			}
		}
		
		if (0 == device_info_obj.enable_ext_link) { /* 不支持外挂  */
			
			$('#rover_link_id option[value="2"]').remove(); 
		}
		
		if ((undefined != device_info_obj.soft_option) && 
				(0 != (device_info_obj.soft_option & (1 << 6)))) 
		{ /* 不支持省CORS功能， 则禁用输入  */
			$("#radio_cors").attr("disabled","disabled");
			$('#radio_cors').addClass("disabled-class"); 
			
			$("#radio_cors + label").attr("disabled","disabled");
			$("#radio_cors + label").addClass("disabled-class"); 

		}
		

		radio_object = LoadRadioProtocol(json_obj.radio_type, "radio_protocol");
		if(json_obj.radio_type != 255){
			ConversePro2SelectObj("radio_protocol", device_info_obj.radio_protocol_list, json_obj.dev_agency_str);
		}
		/* 更新网络模式 */
		$('#server_link_id').val(json_obj.server_type);

		json_obj.server_type = parseInt($('#server_link_id').val()); /* 重新更新实际的数据链 */
		ServerLinkChanged('rover', json_obj.server_type);

		$('#rover_link_id').val(json_obj.link_mode);
		json_obj.link_mode = parseInt($('#rover_link_id').val());
		/* 更新数据链模式 */
		DataLinkChanged('rover', json_obj.link_mode, device_info_obj.enable_radio_relay); /* 实际的值 */

		$('#gprs_name').val(json_obj.gprs_user); /* 运营商名称 */
		$('#apn_user').val(json_obj.APN_user); /* APN账号名称 */
		$('#apn_passwd').val(json_obj.APN_passwd); /* APN密码 */

		
		if(json_obj.link_mode != 6){
			switch (json_obj.server_type) {
				case 5: { /* TCP 和VRS 参数一致  */

				}
				case 0:
					{ /* vrs */
						$('#net_select_id').val(json_obj.vrs_net_mode);
						if (0 == json_obj.vrs_domain_flag) {
							$('#IP_name').val(json_obj.vrs_ip_name); /* IP */
						} else {
							$('#IP_name').val(json_obj.vrs_domain); /* 域名 */
						}
						$('#Port_name').val(json_obj.vrs_port_name); /* PORT */
						$('#Base_id').val(json_obj.vrs_source_point);
						/*
						 * VRS源节点
						 *
						 */
						var vrs_user = Base64Decode(json_obj.vrs_user_passwd);

						$('#vrs_user').val(vrs_user.user); /* VRS用户名 */
						$('#vrs_password').val(vrs_user.passwd); /* VRS密码 */
						CheckNetType(json_obj.vrs_net_mode);

					}
					break;
				case 1: { /* zhd */
						$('#net_select_id').val(json_obj.zhd_net_mode);
						if (0 == json_obj.zhd_domain_flag) {
							$('#IP_name').val(json_obj.zhd_ip_name); /* IP */
						} else {
							$('#IP_name').val(json_obj.zhd_domain); /* 域名 */
						}
						$('#Port_name').val(json_obj.zhd_port_name); /* PORT */
						$('#Base_id').val(json_obj.device_id);
						CheckNetType(json_obj.zhd_net_mode);
						/*
						 *
						 * 基站ID
						 */
				} break;
				case 2: { /* rtp */

				} break;
				case 6: { /* 移动台 GSM  */
						$("#gsm_user").val(json_obj.gsm_number);
				} break;
				default:
					break;
			}
		}

		NetWorkStandardSel("net_stand_sel", "network_type", device_info_obj.net_stand_sel);
		AntennaSwitch("enable_ant_sel", device_info_obj.enable_ant_sel);

		
		$('#net_antna_select').val(json_obj.net_ant_type); /* 内外置天线 */
		$('#network_type').val(json_obj.net_type); /* 网络类型 */

		$('#radio_ch_rx').attr("max", radio_object.max_ch);
		$('#radio_ch_rx').attr("min", radio_object.min_ch);
//		$('#radio_ch_rx').attr("placeholder", radio_object.min_ch + "-" + radio_object.max_ch);
		$('#radio_ch_rx').attr("placeholder", "");
		/* 容错处理  */
		if (json_obj.radio_rx_channel > radio_object.max_ch) {
			json_obj.radio_rx_channel = radio_object.max_ch;
		}

		if (json_obj.radio_rx_channel < radio_object.min_ch) {
			json_obj.radio_rx_channel = radio_object.min_ch;
		}

		$('#radio_ch_rx').val(json_obj.radio_rx_channel); /* 电台接收频道 */

		$('#radio_protocol').val(json_obj.radio_protocol);

		RadioProtocolChanged($('#rover_link_id').val(), $('#radio_protocol').val());

		
		LoadNetWorkRelayPro(radio_object, 'radio_protocol_tx');
		ConversePro2SelectObj("radio_protocol_tx", device_info_obj.radio_net_relay_pro, workmode_json.dev_agency_str);
	

		$('#radio_protocol_tx').val(json_obj.radio_tx_protocol); /* 发射协议  */

	
		$('#radio_tx_power').val(json_obj.radio_power); /* 电台功率 */

		$('#radio_ch_tx').attr("max", $('#radio_ch_rx').attr("max"));
		$('#radio_ch_tx').attr("min", $('#radio_ch_rx').attr("min"));
//		$('#radio_ch_tx').attr("placeholder", $('#radio_ch_rx').attr("min") + "-" + $('#radio_ch_rx').attr("max"));
		$('#radio_ch_tx').attr("placeholder", "");

		/* 容错处理  */
		if (json_obj.radio_tx_channel > radio_object.max_ch) {
			json_obj.radio_tx_channel = radio_object.max_ch;
		}

		if (json_obj.radio_tx_channel < radio_object.min_ch) {
			json_obj.radio_tx_channel = radio_object.min_ch;
		}

		$('#radio_ch_tx').val(json_obj.radio_tx_channel); /* 电台发送频道 */

		if (true == CheckFreqSyncProtocol("radio_protocol")) {
			if (json_obj.radio_rx_channel < 1 || json_obj.radio_rx_channel > 16) {
				json_obj.radio_rx_channel = 1;
				$('#radio_ch_rx').val(json_obj.radio_rx_channel); /* 电台发射频道 和接收保持一致 */
			}
		}
		
		
		if (true == CheckFreqSyncProtocol("radio_protocol_tx")) {
			if (json_obj.radio_tx_channel < 1 || json_obj.radio_tx_channel > 16) {
				json_obj.radio_tx_channel = 1;
				$('#radio_ch_tx').val(json_obj.radio_tx_channel); /* 电台发射频道 和接收保持一致 */
			}
		}

		document.getElementById("relay_mode").selectedIndex = json_obj.radio_relay_en; /* 中继en  */
		RelayModeChange(document.getElementById("relay_mode").selectedIndex, json_obj.link_mode);
		JqueryMobileRefresh('#relay_mode', "slider");

		/* 添加fec功能支持开关  */
		if (true == radio_object.fec_supt) {
			document.getElementById("fec_en_id").selectedIndex = json_obj.fec_en; /* fec en  */
			JqueryMobileRefresh('#fec_en_id', "slider");
			$(".fec_supt_class").removeClass("hidden-class");
		}
		else {
			$(".fec_supt_class").addClass("hidden-class");
		}

        /* 临时静态 且 开始采集 */
        if ( (0 == json_obj.static_mode) && (json_obj.static_start_flag) ){
            $('#ppk_mode').val("on");
            JqueryMobileRefresh('#ppk_mode', "slider");
        }

		/* 更新NMEA记录状态 */
        if (1 == json_obj.nmea_mode){
            $('#nmea_mode').val("on");
			$('.nmea_caution').removeClass("hidden-class");
        }
		else{
			$('#nmea_mode').val("off");
			$(".nmea_caution").addClass("hidden-class");
		}
		JqueryMobileRefresh('#nmea_mode', "slider");

		//		$('#ppk_mode').val(json_obj.static_mode);
		//		if (2 != json_obj.work_mode && 1 == json_obj.static_start_flag) {
		//			$('#ppk_mode').selectedIndex = 1;
		//		}
		//		
		//		JqueryMobileRefresh('#ppk_mode', "slider");
	} 
	else if (page_index == "base") {
		
		if (0 == device_info_obj.enable_ext_link) { /* 不支持外挂  */

			$('#base_link_id option[value="2"]').remove(); 
		}
		
		if ((undefined != device_info_obj.soft_option) && 
				(0 != (device_info_obj.soft_option & (1 << 5)))) 
		{ /* 不支持内置电台基准站 ，则不可设置内置电台基准站  */
			$('#base_link_id option[value="0"]').remove(); 
		}
		
		/* 基站页面刷新 */
		radio_object = LoadRadioProtocol(json_obj.radio_type, "radio_protocol1");
		if(json_obj.radio_type != 255){
			ConversePro2SelectObj("radio_protocol1", device_info_obj.radio_protocol_list, workmode_json.dev_agency_str);
		}
		/* 更新网络模式 */
		$('#server_link_id1').val(json_obj.server_type);
		json_obj.server_type = parseInt($('#server_link_id1').val());

		ServerLinkChanged('base', json_obj.server_type); /* TODO  显示实际的服务器类型 */

		$('#base_link_id').val(json_obj.link_mode);
		json_obj.link_mode = parseInt($('#base_link_id').val());
		/* 更新数据链模式 */
		DataLinkChanged('base', json_obj.link_mode, device_info_obj.enable_radio_relay);

		$('#gprs_name1').val(json_obj.gprs_user); /* 运营商名称 */
		$('#apn_user1').val(json_obj.APN_user); /* APN账号名称 */
		$('#apn_passwd1').val(json_obj.APN_passwd); /* APN密码 */

		NetWorkStandardSel("net_stand_sel", "network_type", device_info_obj.net_stand_sel);
		AntennaSwitch("enable_ant_sel", device_info_obj.enable_ant_sel);

		$('#net_antna_select').val(json_obj.net_ant_type); /* 内外置天线 */
		$('#network_type').val(json_obj.net_type); /* 网络类型 */

		switch (json_obj.server_type) {
			case 0:
				{ /* vrs */
					if (0 == json_obj.vrs_domain_flag) {
						$('#IP_name1').val(json_obj.vrs_ip_name); /* IP */
					} else {
						$('#IP_name1').val(json_obj.vrs_domain); /* 域名 */
					}
					$('#Port_name1').val(json_obj.vrs_port_name); /* PORT */

				}
				break;
			case 1:
				{ /* zhd */
					if (0 == json_obj.zhd_domain_flag) {
						$('#IP_name1').val(json_obj.zhd_ip_name); /* IP */
					} else {
						$('#IP_name1').val(json_obj.zhd_domain); /* 域名 */
					}
					$('#Port_name1').val(json_obj.zhd_port_name); /* PORT */

					$("#base_sn_type1").val(json_obj.group_type);
					GroupTypeChange($("#base_sn_type1").val()); /* 刷新小组号分组号类型  */
					
					/* zhd模式 小组号分组号类型  改变  */
				}
				break;
			case 2:
				{ /* rtp */

				}
				break;
			default:
				break;
		}


		var vrs_user = Base64Decode(json_obj.vrs_user_passwd);

		$('#vrs_user1').val(device_info_obj.dev_num); /* VRS用户名 */
		$('#vrs_password1').val('zhdgps'); /* VRS密码 */


		$('#radio_ch_tx').attr("max", radio_object.max_ch);
		$('#radio_ch_tx').attr("min", radio_object.min_ch);
//		$('#radio_ch_tx').attr("placeholder", radio_object.min_ch + "-" + radio_object.max_ch);
		$('#radio_ch_tx').attr("placeholder", "");
		/* 容错处理  */
		if (json_obj.radio_rx_channel > radio_object.max_ch) {
			json_obj.radio_rx_channel = radio_object.max_ch;
		}

		if (json_obj.radio_rx_channel < radio_object.min_ch) {
			json_obj.radio_rx_channel = radio_object.min_ch;
		}

		$('#radio_ch_tx').val(json_obj.radio_rx_channel); /* 电台发射频道 和接收保持一致 */

		/* 添加fec功能支持开关  */
		if (true == radio_object.fec_supt) {
			document.getElementById("fec_en_id").selectedIndex = json_obj.fec_en; /* fec en  */
			JqueryMobileRefresh('#fec_en_id', "slider");
			$(".fec_supt_class").removeClass("hidden-class");
		}
		else {
			$(".fec_supt_class").addClass("hidden-class");
		}
		
		$('#radio_protocol1').val(json_obj.radio_protocol);
		RadioProtocolChangeNotice($('#radio_protocol1').val());
		
		if (true == CheckFreqSyncProtocol("radio_protocol1")) {
			if (json_obj.radio_rx_channel < 1 || json_obj.radio_rx_channel > 16) {
				json_obj.radio_rx_channel = 1;
				$('#radio_ch_tx').val(json_obj.radio_rx_channel); /* 电台发射频道 和接收保持一致 */
			}
		}
		
		ConverseListSelectObj("base_diff_mode", json_obj.rtcm_list, rtcm_list_obj);

		$('#base_diff_mode').val(json_obj.base_diff_text);
		$('#radio_tx_power').val(json_obj.radio_power); /* 电台功率 */
		$('#base_lon').html(ConverCordiToString("lon", RadiusToDegree(json_obj.base_lon)));
		$('#base_lat').html(ConverCordiToString("lat", RadiusToDegree(json_obj.base_lat)));

		$('#base_height').html(json_obj.base_height.toFixed(4));
		
		
		if ((undefined != device_info_obj.is_effect_smart_set_info) && 
				(1 == device_info_obj.is_effect_smart_set_info)) 
		{ /* 信息有效  */
			
//			$('.SmartSetClass').addClass("disabled-class"); 
			$(".SmartSetClass input").attr("disabled","disabled"); 
			$(".SmartSetClass select").attr("disabled","disabled"); 

			$('.SmartSetClass').removeClass("hidden-class"); 
		}
		
		/*
		 * 基站
		 * 高程
		 */
		//		if (2 != json_obj.work_mode && 1 == json_obj.static_start_flag) { 
		//			$('#ppk_mode').selectedIndex = 1;
		//		}
		//		
		//		JqueryMobileRefresh('#ppk_mode', "slider");
		

	} else if (page_index == "static") {
		/* 静态页面刷新 */
		/* 静态采样频率 */
		if ((1 == refresh_src) || (1 == json_obj.static_start_flag)) { /* 强制刷新  */


			if (undefined != json_obj.static_fre_list) {
				
				ConverseFreq2SelectObj("static_freq", json_obj.static_fre_list);
				
			}
			
			
			$('#static_freq').val(json_obj.static_freq);
			$('#ant_height').val((json_obj.static_height / 1000.0).toFixed(3)); /* 斜高 */
			$('#dead_deg').val(json_obj.static_dead_deg); /* 截止高度角 */
			$('#rec_duration_id').val((json_obj.static_duration / 3600.0).toFixed(2));
			// if ( json_obj.ant_type ){
            //     var str = "option[value='" + json_obj.ant_type + "']";
            //     $('#ant_type_id').find(str).attr("selected", true);
            //  }
			// console.log("ant_type = " + json_obj.ant_type);

            if ((2 == json_obj.work_mode) ||
					(1 == json_obj.work_mode && 6 == json_obj.link_mode && 
							0 == json_obj.static_start_flag)) /*  星站差分 ppk 未开始临时静态时 强制勾选 */
			{ /* 纯静态  */
				document.getElementById('select_temp_static').checked = true;
			} else { /* 临时静态  */
				document.getElementById('select_temp_static').checked = false;
			}

			
			StaticIntervalChange(json_obj.static_freq);

			
		} else {
			console.log("jump to refresh!");
		}

		if (json_obj.static_start_flag) { /* 静态已经开始记录 则更新静态文件名字 */
			$('#static_file_name').val(json_obj.static_file_name); /* 静态文件名 */

			$('#ensure_btn').html(str_obj.operate_stop_str);

			$('input').attr('disabled', 'true'); /* 输入框全部禁用  */
			$("select").attr('disabled', 'true');

			has_been_start = 1;
		} else {
			if (1 == has_been_start) {
				$('#static_file_name').val("");
				/*
				 * 未开始记录
				 * 清空静态文件名字
				 */
				$('#rec_duration_id').val(0); /* 设定单次有效，强制清零 */
				
				console.log("Clear flag");
				has_been_start = 0;
			}


			$('#ensure_btn').html(str_obj.operate_ok_str);
			/* 此处更改静态工作模式单击 功能 onclick */
			$('input').removeAttr('disabled');
			$('select').removeAttr('disabled');
		}

		//JqueryMobileRefresh("#select_temp_static", "checkbox"); /* 刷新复选框 */

	} else { /* 其他页面 */

	}

	JqueryMobileRefresh("select", "select_list"); /* 刷新所有下拉列表 */

}

/*******************************************************************************
 * 名称：PacketWorkModeInfoToOBJ
 * 功能：打包工作模式参数到JSON对象中
 * 形参：json_obj	->	JSON对象
 * 		json_obj	->	JSON对象
 * 返回：空
 * 说明：无
 ******************************************************************************/
function PacketWorkModeInfoToOBJ(page_index, json_obj) 
{
	var json_workmode = json_obj; /* 提供一个JSON模板 保存json参数 */

	if (page_index == "rover") { /* 移动台页面参数获取 */

		var check_forms = [{
				id_name: "gprs_name",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_name_notice_str,
			}, {
				id_name: "apn_user",
				min_lenth: 0,
				/* 长度最小 */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_user_notice_str,
			}, {
				id_name: "apn_passwd",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_passwd_notice_str,
			}, {
				id_name: "Base_id",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "string",
				notice: "Error",
			}, {
				id_name: "vrs_user",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 62,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.vrs_usr_notice_str
			}, {
				id_name: "vrs_password",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 50,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.vrs_passwd_notice_str,
			},

			{
				id_name: "IP_name",
				min_lenth: 0,
				/* 长度最小 */
				max_length: 40,
				/* 长度最大 */
				check_type: "ip",
				notice: str_obj.ip_name_notice_str,
			}, {
				id_name: "Port_name",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "port",
				notice: str_obj.port_name_notice_str,
			}, {
				id_name: "radio_ch_rx",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "radio_channel",
				max: parseInt($("#radio_ch_rx").attr("max")),
				min: parseInt($("#radio_ch_rx").attr("min")),
				/* 最小频道  */
				notice: str_obj.radio_rx_notice_str + radio_object.min_ch + "-" + radio_object.max_ch,
			}, {
				id_name: "gsm_user",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.gsm_name_notice_str,
			}, { /* 电台发射频道 即中继频道  */
				id_name: "radio_ch_tx",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "radio_channel",
				max: parseInt($("#radio_ch_tx").attr("max")),
				min: parseInt($("#radio_ch_tx").attr("min")),
				/* 最小频道  */
				notice: str_obj.radio_tx_notice_str + radio_object.min_ch + "-" + radio_object.max_ch,
			},
			{
				id_name: "smartset_base_id",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.zhd_name_notice_str,
			},
		];

		var vrs_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[3], check_forms[4], check_forms[5], check_forms[6], check_forms[7]]; /* vrs 需要检查的选项  */
		var zhd_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[3], check_forms[6], check_forms[7]];
		var gsm_link = [check_forms[9]];
		var tcp_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[6], check_forms[7]]; /* vrs 需要检查的选项  */
		

		var radio_link = [check_forms[8]]; /* 电台数据链需要检查的选项  */
		var radio_relay = check_forms[10];
		
		var smart_link = [check_forms[11]];
		

		json_workmode.link_mode = parseInt($('#rover_link_id').val());
		json_workmode.server_type = parseInt($('#server_link_id').val());
		
		json_workmode.smart_set_en = 0; /* xxx lgl 2019-05-29 网页设站强制关闭即买即用  */
		
		json_obj.radio_relay_en = document.getElementById("relay_mode").selectedIndex; /* 中继开关  */

		switch (json_workmode.link_mode) {
			case 0:
				{ /* 电台  */	
					if (true == CheckFreqSyncProtocol("radio_protocol")) {
						radio_link[0].min = 1;
						radio_link[0].max = 16;
						radio_link[0].notice = str_obj.radio_rx_notice_str + "1-16";
						
						
						if (1 == json_obj.radio_relay_en) { /* 开启中继  */
							radio_relay.min = 1;
							radio_relay.max = 16;
							radio_relay.notice = str_obj.radio_tx_notice_str + "1-16";
						}
					}
				
					check_forms = radio_link;
				}
				break;
			case 1:
				{ /* 网络  */
					switch (json_workmode.server_type) {
						case 0:
							{ /* vrs */
								vrs_link[3].notice = str_obj.vrs_name_notice_str;
								check_forms = vrs_link;
							}
							break;
						case 1:
							{ /* zhd */
								zhd_link[3].notice = str_obj.zhd_name_notice_str;
								check_forms = zhd_link;
							}
							break;
						case 5: {/* TCP/IP */
							check_forms = tcp_link;
						} break;
						case 6:
							{ /*  gsm*/
								check_forms = gsm_link;
							}
							break;
					}

					
					if ((1 == json_obj.radio_relay_en) && 
							(true == CheckFreqSyncProtocol("radio_protocol_tx"))) {

						radio_relay.min = 1;
						radio_relay.max = 16;
						radio_relay.notice = str_obj.radio_tx_notice_str + "1-16";
					}
					
				}
				break;
			case 2:
				{ /* 外挂 */
					check_forms = [];
				}
				break;
			default:
				{
					check_forms = []; /* 其它不检查  */
				}
				break;
		}

		
		json_obj.fec_en = document.getElementById("fec_en_id").selectedIndex; /* fec开关  */
		
		if ((0 == json_workmode.link_mode || 1 == json_workmode.link_mode) && (1 == json_obj.radio_relay_en)) {
			check_forms.push(radio_relay);
		}/* xxx 此处检查中继参数  */

		if ((undefined != device_info_obj.soft_option) && 
				(1 == (device_info_obj.soft_option & 0x00001))) 
		{
			json_workmode.smart_set_en = document.getElementById('smartset_id').selectedIndex;
			json_workmode.is_prov_cors = parseInt($('input[name="radio-smart-set"]:checked').val());
			
			if (1 == json_workmode.smart_set_en) { /* 开启智能设站才检查  */
				
				if (1 == json_workmode.is_prov_cors) { /* 省CORS设站   */
					
					if (undefined != device_info_obj.cors_expired_date &&
						undefined != device_info_obj.cors_expired_flag &&
						(1 == device_info_obj.cors_expired_flag)) 
					{/* 如果服务过期则提示不给设置  */
						
						if("2000-01-01" != device_info_obj.cors_expired_date) {
							NoticeDialogShow(str_obj.serv_expired_str);
						}
						else {
							NoticeDialogShow(str_obj.unsupport_serv_str);
						}
						
						return false; /* 返回失败  */
					}
					
					
					check_forms = [];
				}
				else {
					check_forms = smart_link;
				}
				
			}
			
			
		}
		

		/* 获取id 名称和类型 */
		for (var i = 0; i < check_forms.length; i++) {
			if (false == CheckInputValue(check_forms[i])) {
				NoticeDialogShow(check_forms[i].notice);
				return false; /* 返回失败  */
			}
		}
		
		json_workmode.page_index = 1; /* 标记移动台页面  */
		json_workmode.work_mode = 1; /* 1-> Rover */

		json_obj.static_mode = !document.getElementById('ppk_mode').selectedIndex;
		json_obj.nmea_mode = document.getElementById('nmea_mode').selectedIndex;
		console.log("nmea_mode :" + json_obj.nmea_mode);

		workmode_json.smart_set_base_sn = $("#smartset_base_id").val();
		
		if (0 == json_obj.static_mode) {
			json_obj.static_freq = 1; /*  PPK模式打开  采样间隔强制设置为1s */
		}
		json_workmode.star_type = CheckSatlitesBaseDiff();
        json_workmode.star_type_seconde = CheckSatlitesBaseDiffSecond();//差分模式2
        console.log(json_workmode.star_type_seconde);
		switch (json_workmode.link_mode) {
			case 0:
				{ /* 电台  */
					json_workmode.radio_rx_channel = $('#radio_ch_rx').val(); /* 电台接收频道 */
					json_workmode.radio_protocol = $('#radio_protocol').val(); /* 电台协议 */

					json_workmode.radio_tx_channel = $('#radio_ch_tx').val();
					json_workmode.radio_tx_protocol = json_workmode.radio_protocol; /* 电台中继 协议与接收协议一致   */
					json_workmode.radio_power = $('#radio_tx_power').val(); /* 电台功率 */


				}
				break;
			case 1:
				{ /* 网络  */

					/* 以下为中继功能参数  */
					json_workmode.radio_tx_channel = $('#radio_ch_tx').val();
					json_workmode.radio_tx_protocol = $('#radio_protocol_tx').val(); /* 电台中继 协议与接收协议一致   */
					json_workmode.radio_power = $('#radio_tx_power').val(); /* 电台功率 */

					if (6 != json_workmode.server_type) { /* 非GSM */

						json_workmode.gprs_user = $('#gprs_name').val(); /* 运营商名称 */
						json_workmode.APN_user = $('#apn_user').val(); /* APN账号名称 */
						json_workmode.APN_passwd = $('#apn_passwd').val(); /* APN密码 */

						json_workmode.net_ant_type = $('#net_antna_select').val(); /* 内外置天线 */
						json_workmode.net_type = $('#network_type').val(); /* 网络类型 */

					}

					switch (json_workmode.server_type) {
						case 5: { /* TCP 和VRS 参数一致  */
							
						}
						case 0: { /* vrs */
								json_workmode.vrs_domain_flag = CheckIPAddress($('#IP_name').val()) - 1; /* 检查IP/域名 0:IP 1:域名  返回值为 1IP 2域名 故减去1 */
								json_workmode.vrs_net_mode = $('#net_select_id').val();
								if (0 == json_workmode.vrs_domain_flag) {
									json_workmode.vrs_ip_name = $('#IP_name').val().replace(/\s+/g,''); /* IP */
								} else {
									json_workmode.vrs_domain = $('#IP_name').val().replace(/\s+/g,''); /* 域名 */
								}

								json_workmode.vrs_port_name = $('#Port_name').val(); /* PORT */

								json_workmode.vrs_source_point = $('#Base_id').val();
								/*
								 * VRS源节点
								 * 基站ID
								 */


								json_workmode.vrs_user_passwd = Base64Encode($('#vrs_user').val(), $('#vrs_password').val());

							}
							break;
						case 1:
							{ /* zhd */
								json_workmode.zhd_domain_flag = CheckIPAddress($('#IP_name').val()) - 1; /* 检查IP/域名 0:IP 1:域名  返回值为 1IP 2域名 故减去1 */
								json_workmode.zhd_net_mode = $('#net_select_id').val();
								if (0 == json_workmode.zhd_domain_flag) {
									json_workmode.zhd_ip_name = $('#IP_name').val().replace(/\s+/g,''); /* IP */
								} else {
									json_workmode.zhd_domain = $('#IP_name').val().replace(/\s+/g,''); /* 域名 */
								}


								json_workmode.zhd_port_name = $('#Port_name').val(); /* PORT */

								/* 中海达模式需要判断分组号小组号是否合法  */
								json_workmode.device_id = $('#Base_id').val();
								/*
								 * VRS源节点
								 * 基站ID
								 */
							}
							break;
						case 2: { /* rtp */

						} break;
						case 6: { /*  gsm*/
							json_workmode.gsm_number = $('#gsm_user').val();
						} break;
						
						default:break;
					}
				}
				break;

			case 2:
				{ /* 外挂数据链  */

				}
				break;
			case 6:
			{	/* 星战差分 */
				if( 2 == json_workmode.use_rtx_or_rtp ){//RTP模式
					json_workmode.satlites_coor_type = $("#coortype_select_id").val();
					json_workmode.satlites_position = $("#position_select_id").val();
					json_workmode.net_mode = $("#net_select_id").val();
					json_workmode.sbas_sys = $("#sbas_select_id").val();
				}
			} break;
			default:
				break;
		}

	} else if (page_index == "base") {

		var check_forms = [

			{
				id_name: "gprs_name1",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_name_notice_str,
			}, {
				id_name: "apn_user1",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_user_notice_str,
			}, {
				id_name: "apn_passwd1",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 30,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.apn_passwd_notice_str,
			}, {
				id_name: "vrs_user1",
				min_lenth: 1,
				/* 长度最小 */
				max_length: 62,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.vrs_usr_notice_str,
			}, {
				id_name: "vrs_password1",
				min_lenth: 1,
				/* 长度最小  */
				max_length: 50,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.vrs_passwd_notice_str,
			},

			{
				id_name: "IP_name1",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 40,
				/* 长度最大 */
				check_type: "ip",
				notice: str_obj.ip_name_notice_str,
			}, {
				id_name: "Port_name1",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "port",
				notice: str_obj.port_name_notice_str,
			}, {
				id_name: "radio_ch_tx",
				min_lenth: 0,
				/* 长度最小  */
				max_length: 255,
				/* 长度最大 */
				check_type: "radio_channel",
				max: parseInt($("#radio_ch_tx").attr("max")),
				min: parseInt($("#radio_ch_tx").attr("min")),
				notice: str_obj.radio_tx_notice_str + radio_object.min_ch + "-" + radio_object.max_ch,
			},
			
			{
				id_name: "zhd_base_sn",
				min_lenth: 1,
				/* 长度最小 */
				max_length: 10,
				/* 长度最大 */
				check_type: "string",
				notice: str_obj.zhd_base_sn_notice_str,
			},
			
		];


		var vrs_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[3], check_forms[4], check_forms[5], check_forms[6]]; /* vrs 需要检查的选项  */
		var zhd_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[5], check_forms[6]];
		var gsm_link = []; /* gsm不检查  */
		var tcp_link = [check_forms[0], check_forms[1], check_forms[2], check_forms[5], check_forms[6]]; /* tcp 需要检查的选项  */
		
		
		var radio_link = [check_forms[7]]; /* 电台数据链需要检查的选项  */
		var smart_link = [];/* 智能设站不检查  */

		json_workmode.link_mode = parseInt($('#base_link_id').val());
		json_workmode.server_type = parseInt($('#server_link_id1').val());
		json_obj.fec_en = document.getElementById("fec_en_id").selectedIndex; /* fec开关  */
		
		json_workmode.group_type = $("#base_sn_type1").val(); /* 获取分组号小组号类型  */
		json_workmode.smart_set_en = 0; /* xxx lgl 2019-05-29 网页设站强制关闭即买即用  */
		
		
		switch (json_workmode.link_mode) {
			case 0:
				{ /* 电台  */
					if (true == CheckFreqSyncProtocol("radio_protocol1")) {
						radio_link[0].min = 1;
						radio_link[0].max = 16;
						radio_link[0].notice = str_obj.radio_tx_notice_str + "1-16";
					}
					
					check_forms = radio_link;
				}
				break;
			case 1:
				{ /* 网络  */
					switch (json_workmode.server_type) {
						case 0:
							{ /* vrs */
								check_forms = vrs_link;
							}
							break;
						case 1: { /* zhd */
							
							if (1 == json_workmode.group_type) {
								zhd_link.push(check_forms[8]);
							}
								

								check_forms = zhd_link;
						} break;
						case 5: { /* TCP/IP */
							check_forms = tcp_link;
						} break;
						case 6: { /*  gsm*/
								check_forms = gsm_link;
						} break;
					}

				}
				break;
			case 2:
				{ /* 外挂 */
					check_forms = [];
				}
				break;
			default:
				{
					console.log(json_workmode.link_mode);
				}
				break;
		}
		
		if ((undefined != device_info_obj.soft_option) && 
				(1 == (device_info_obj.soft_option & 0x00001))) 
		{
			json_workmode.smart_set_en = document.getElementById('smartset_id').selectedIndex;
		
			if (1 == json_workmode.smart_set_en) {
				check_forms = smart_link;
				
				if (1 == json_workmode.link_mode) { /* 网络数据链 强制使用中海达 服务器 */
					json_workmode.server_type = 1;
				}
			}
		
		}
		
		/* 获取id 名称和类型 */
		for (var i = 0; i < check_forms.length; i++) {
			if (false == CheckInputValue(check_forms[i])) {
				NoticeDialogShow(check_forms[i].notice);
				return false; /* 返回失败  */
			}
		}

		/* 基站页面刷新 */
		json_workmode.page_index = 0; /* 标记基站页面 */
		json_workmode.work_mode = 0; /* 0 -> Base */

		json_workmode.base_diff_text = $('#base_diff_mode').val();

		/* 注:由于基站坐标采用全局变量方式保存 ，故设站无序更新编辑框内容  */

		json_obj.static_mode = !document.getElementById('ppk_mode').selectedIndex;
		if (0 == json_obj.static_mode) {
			json_obj.static_freq = 1; /*  PPK模式打开  采样间隔强制设置为1s */
		}

		switch (json_workmode.link_mode) {
			case 0:
				{ /* 电台  */

					json_workmode.radio_rx_channel = $('#radio_ch_tx').val(); /* 电台接收频道 */
					json_workmode.radio_protocol = $('#radio_protocol1').val(); /* 电台协议 */
					json_workmode.radio_power = $('#radio_tx_power').val(); /* 电台功率 */

				}
				break;
			case 1:
				{ /* 网络  */


					if (6 != json_workmode.server_type) { /* 非GSM */

						json_workmode.gprs_user = $('#gprs_name1').val(); /* 运营商名称 */
						json_workmode.APN_user = $('#apn_user1').val(); /* APN账号名称 */
						json_workmode.APN_passwd = $('#apn_passwd1').val(); /* APN密码 */

						json_workmode.net_ant_type = $('#net_antna_select').val(); /* 内外置天线 */
						json_workmode.net_type = $('#network_type').val(); /* 网络类型 */

					}


					switch (json_workmode.server_type) {
						case 5: { /* TCP 和VRS 参数一致  */
							
						}
						case 0:
							{ /* vrs */
								json_workmode.vrs_domain_flag = CheckIPAddress($('#IP_name1').val()) - 1;
								/* 检查IP/域名 0:IP 1:域名  返回值为 1IP 2域名 

故减去1 */
								if (0 == json_workmode.vrs_domain_flag) {
									json_workmode.vrs_ip_name = $('#IP_name1').val().replace(/\s+/g,''); /* IP */
								} else {
									json_workmode.vrs_domain = $('#IP_name1').val().replace(/\s+/g,''); /* 域名 */
								}
								json_workmode.vrs_port_name = $('#Port_name1').val(); /* PORT */

								json_workmode.vrs_user_passwd = Base64Encode($('#vrs_user1').val(), $('#vrs_password1').val());
								//json_workmode.vrs_user_passwd = Base64Encode(device_info_obj.dev_num, 'zhdgps');

								json_workmode.vrs_source_point = device_info_obj.dev_num;

							}
							break;
						case 1:
							{ /* zhd */
								json_workmode.zhd_domain_flag = CheckIPAddress($('#IP_name1').val()) - 1;
								/* 检查IP/域名 0:IP 1:域名  返回值为 1IP 2域名 

故减去1 */
								if (0 == json_workmode.zhd_domain_flag) {
									json_workmode.zhd_ip_name = $('#IP_name1').val().replace(/\s+/g,''); /* IP */
								} else {
									json_workmode.zhd_domain = $('#IP_name1').val().replace(/\s+/g,''); /* 域名 */
								}

								json_workmode.zhd_port_name = $('#Port_name1').val(); /* PORT */
								
								
								if (0 == json_workmode.group_type) {
									json_workmode.device_id = device_info_obj.dev_num;
								}
								else {/* 分组号小组号的形式 需要检查分组号小组号是否合法  */
									json_workmode.device_id = $("#zhd_base_sn").val();
									
								    var zhd_group_no = parseInt(json_workmode.device_id);
								    
								    console.log(zhd_group_no);
								    
								    if (((zhd_group_no % 1000) > 255) || 
								    	(((zhd_group_no / 1000) % 1000) > 255) ||
								    	(zhd_group_no / 1000000) > 2147) 
								    { // 4字节int 最大 2147483647
								    	NoticeDialogShow(str_obj.zhd_base_sn_notice_str);
								    	return false;
								    }
		
								}
							} break;
						case 2:
							{ /* rtp */

							}
							break;

						case 6: { /*  gsm*/
							//json_workmode.gsm_number = device_info_obj.dev_num;
						} break;
					}

				}
				break;

			case 2:
				{ /* 外挂数据链  */

				}
				break;
			default:
				break;
		}

	} else if (page_index == "static") {
		/* 静态页面刷新 */
		/* 静态采样频率 */
		var dev_radius = (undefined == device_info_obj.dev_radius) ? 0.00 :
			device_info_obj.dev_radius;
		
		var check_forms = [{
			id_name: "static_file_name",
			min_lenth: 0,
			/* 长度最小  */
			max_length: 4,/* 限制最长4位文件名 */
			/* 长度最大 */
			check_type: "file_name",
			notice: str_obj.filename_notice_str,
		}, {
			id_name: "ant_height",
			min_lenth: 0,
			/* 长度最小  */
			max_length: 255,
			/* 长度最大 */
			check_type: "ant_type",
			max: 65.535 - dev_radius,
			min: dev_radius,
			notice: str_obj.ant_height_notice_str,
		}, 
		{
			id_name: "dead_deg",
			min_lenth: 0,
			/* 长度最小  */
			max_length: 255,
			/* 长度最小 */
			check_type: "static_dead_deg",
			max: 30,
			min: 0,
			notice: str_obj.dead_deg_notice_str,
		}, 
		{
			id_name: "rec_duration_id",
			min_lenth: 1,
			/* 长度最小  */
			max_length: 4,
			/* 长度最小 */
			check_type: "rec_duration",
			max: 18,
			min: 1.0/12.0,
			notice: str_obj.rec_limit_notice_str,
		},

		];


		if ($("#ensure_btn").html() == str_obj.operate_ok_str) { /* 停止记录无需要检查输入框规范  */
			/* 获取id 名称和类型 */
			
			json_workmode.static_mode = document
			.getElementById('select_temp_static').checked; /* 1:纯静态/0:临时静态 */

			
			if (1 == json_workmode.work_mode && 6 == json_workmode.link_mode &&
					0 == json_workmode.static_mode) 
			{
				
				NoticeDialogShow(str_obj.ppp_notice_str); /*  星站差分不允许临时静态  */
				return false;
			}
			
			
			for (var i = 0; i < check_forms.length; i++) {
				if (false == CheckInputValue(check_forms[i])) {
					NoticeDialogShow(check_forms[i].notice);
					return false; /* 返回失败  */
				}
			}

			json_workmode.page_index = 2; /* 标记静态页面  */
			json_workmode.static_freq = $('#static_freq').val(); /* 静态采样间隔   */

			json_workmode.static_file_name = $('#static_file_name').val(); /* 静态文件名 */
			json_workmode.static_height = $('#ant_height').val() * 1000; /* 斜高 *1000 */
			json_workmode.static_dead_deg = $('#dead_deg').val(); /* 截止高度角 */

			json_workmode.static_duration = parseInt(parseFloat($('#rec_duration_id').val()) * 3600.0);

//			if ((json_workmode.static_freq < 1) && (1 == json_workmode.rinex_en)) {
//				
//				NoticeDialogShow(str_obj.rinex_limit_notice_str); /*  rinex 文件采样间隔超限 */
//			}
//
//             console.log("dev_series: "+json_obj.dev_series);
			// if ( 3 == json_obj.dev_series ){
            //     var tmp_ant_type = json_workmode.ant_type;
            //     json_workmode.ant_type = $('#ant_type_id').val(); /* 天线类型 */
            //     if ( tmp_ant_type !== json_workmode.ant_type ){
            //         GetAntValue(json_workmode.ant_type, json_workmode);
            //     }
            //     console.log("la_n:"+json_workmode.la_n+", la_e:"+json_workmode.la_e+", la_u:"+json_workmode.la_u);
			// }

			if (1 == json_workmode.static_mode) { /* 勾选纯静态静态 */
				json_workmode.work_mode = 2; /* 2-> Static */
			}

			json_workmode.static_start_flag = 0; /* 重复触发则会停止记录 ?*/

			json_workmode.static_action = 1;
			
		} else {
			json_workmode.static_action = 0;

			/* 发送停止记录  */
		}

	} else { /* 其他页面  */

	}

	return json_workmode;
}

/*******************************************************************************
 * 名称：SetFoldingImgByOthersAttr
 * 功能：根据属性设置折叠图像
 * 形参：dst_name	->	设置的对象名字
 * 		src_name	->	源对象名字
 * 返回：空
 * 说明：无
 ******************************************************************************/

function SetFoldingImgByOthersAttr(dst_name, src_name) 
{
	if ($(src_name).hasClass('hidden-class')) {
		$(dst_name).removeClass('ui-anp-lesspand');
	} else {
		$(dst_name).addClass('ui-anp-lesspand');
	}
}


function RefreshCodinate(dat_arr) 
{
	console.log(dat_arr.length);
	var lat = 0.0;
	var lon = 0.0;
	var height = 0.0;
	var u_height = 0.0;
	
	for (var i = 0; i < dat_arr.length; i++) {
		lat += dat_arr[i].lat;
		lon += dat_arr[i].lon;
		height += dat_arr[i].high;
		u_height += dat_arr[i].u_high;
	}

	lat /= dat_arr.length;
	lon /= dat_arr.length;
	height /= dat_arr.length;
	u_height /= dat_arr.length;
	
	/*  更新坐标 */
	workmode_json.base_lat = DegreeToRadius(lat);
	workmode_json.base_lon = DegreeToRadius(lon);
	workmode_json.base_height = height;
	workmode_json.base_u_height = u_height;

	$('#base_lon').html(ConverCordiToString("lon", lon));
	$('#base_lat').html(ConverCordiToString("lat", lat));

	//	$('#base_lon').val(DegreeToRadius(lon).toFixed(8));
	//	$('#base_lat').val(DegreeToRadius(lat).toFixed(8));
	//	
	$('#base_height').html(height.toFixed(4)); /* 显示4位精度 */
}



function GetSmoothCordination(callback) 
{
	/* 15秒未清零 则返回平滑失败  */
	var timeout_interval = setTimeout(function () {
		showLoader(str_obj.smoothing_failed_str, 1000);
	}, 15000);

    iRTK5HTTPRequest('index&clean_location_info', '', function (dat) {
        console.log(dat); /* 向控制台输出接收到的CGI数据 */
        console.log("CGI OK!");
        setTimeout(function (){console.log("send clear location cmd")}, 1000);
    });

	var runnig_interval = 0;

	cordi_arr = []; /* 清空数组  */


	showLoader(str_obj.smooth_start_str, 0);
	runnig_interval = setInterval(function () {
		iRTK5HTTPRequest('index&location&', 'real_location', function (dat) {
			var pos_cordi = JSON.parse(dat);
			showLoader(str_obj.smoothing_str + (9 - cordi_arr.length) + ')', 0);
			cordi_arr.push(pos_cordi); /* 压入数据  */

			if (0 == pos_cordi.sig) { /* 无解不可平滑  */
				showLoader(str_obj.smoothing_error_str, 1000);
				clearTimeout(timeout_interval); /* 清除time out 间隔 */
				clearInterval(runnig_interval);
				cordi_arr = []; /* 清空数组  */
			} else if (10 == cordi_arr.length) {
				setTimeout(function () {
					showLoader(str_obj.smoothing_success_str, 1000);
					callback(cordi_arr);
					cordi_arr = []; /* 清空数组  */
				}, 1000);
				clearTimeout(timeout_interval); /* 清除time out 间隔 */
				clearInterval(runnig_interval);

			}

			console.log("CGI OK!");
		});
	}, 1000);

}


function CheckWorkmode(flag) 
{
	if ((2 == workmode_json.work_mode) && false == flag) {
		console.log("error for checked!");
		$('#select_temp_static').attr("checked", true);
		NoticeDialogShow(str_obj.static_check_str);
	}
	else if ((1 == workmode_json.work_mode && 6 == workmode_json.link_mode) && 
			false == flag) 
	{
		console.log("error for checked!");
		$('#select_temp_static').attr("checked", true);
		NoticeDialogShow(str_obj.ppp_notice_str);
	}
}

function GetWorkmodeArgs(page_index, refresh_src) 
{

	iRTK5HTTPRequest('index&device', '', function (dat) {
		var json_obj = JSON.parse(dat);

		if ("static" != page_index && 1 == json_obj.expired_flag) { /* 过期标志 非静态页面才生效   */
			var tmp_strs = 'NoticeDialogShow("' + str_obj.expired_str + '");';
			$('#ensure_btn').attr('onclick', tmp_strs);

			NoticeDialogShow(str_obj.expired_str);
		} else { /* 未过期 刷新  */
			device_info_obj = json_obj;
            // if ( 3 == json_obj.dev_series ){
            //     GetAntTypeList();
            // }
			ProcessWorkModeInfo(page_index, refresh_src);
		}

        // console.log("dev_series: "+json_obj.dev_series);
		// if ( 3 == json_obj.dev_series ){
        //     $('#ant_type_tr').removeClass("hidden-class");
        // }
        console.log(json_obj);
	});

}


/* 更新智能设站信息  */
function RefreshSmartSetInfo(page_index)
{

	smartset_timeout = setTimeout(function () {
		clearInterval(smartset_interval);
	}, 30000); /* 30s超时 */
	
	smartset_interval = setInterval(function () {
		
		iRTK5HTTPRequest('index&device', '', function (dat) {
			var json_obj = JSON.parse(dat);
			console.log(json_obj);
			
			if ((undefined != json_obj.is_effect_smart_set_info) && 
					(0 != json_obj.is_effect_smart_set_info)) 
			{
				
				/* 获取智能参数成功  */
				
				iRTK5HTTPRequest('workmode&get_args', '', function (dat) {
					/* 此处开始重写设备信息 */
					workmode_json = JSON.parse(dat); /* 解析JSON数据 */
					console.log(workmode_json); /* 向控制台输出接收到的CGI数据 */
					clearTimeout(); /* 清除time out 间隔 */
					clearInterval(smartset_interval);
					console.log("CGI OK!");		
					
					if (1 == json_obj.is_effect_smart_set_info) {
						RefreshWorkModePage(page_index, workmode_json, 0); /* 刷新3个页面 利用同一个函数 调试用 */
						$("div[data-role=content] ul").listview(); /* 局部渲染 */
					
						showLoader(str_obj.operate_success_str, 1000);
					
					}
					else {
						showLoader(str_obj.operate_failed_str, 1000);
					}
					
				});
			
				console.log("get smart base info success!");
			}


		});
	}, 1000);
	

}


function CheckFreqSyncProtocol(pro_id)
{
	pro_name = $("#" + pro_id +" option:checked").text();
	if (undefined != pro_name) {
		switch (pro_name) {
			
			case "CHC9600":
			case "CHC19200":
			case "SOUTH9600":
			case "SOUTH19200":
			case "TRIMMARK Ⅲ":
			case "TRIMTALK450S": {
				return true;
			} break;
			default: break;
		}		
	}
	return false;
}


function SmartSetSwitch(value)
{
	console.log(value);
	
	if (1 == value) {
		$(".SmartSetBaseSNClass").addClass("hidden-class");
	}
	else {
		$(".SmartSetBaseSNClass").removeClass("hidden-class");
	}

}

/*******************************************************************************
 * 名称：GetAntValue
 * 功能：获取天线类型对应的参数
 * 形参：ant_type	->	选中的天线类型
 * 返回：空
 * 说明：无
 ******************************************************************************/
function GetAntValue(ant_type, data){
	var data_obj = data;
    $.ajax({
        url: "./js/ant.xml",
        dataType: 'xml',
        type: 'GET',
		async: false,
        timeout: 2000,
        err: function(xml){
            showLoader("读取天线参数失败！", 2000);
            clearTimeout(timeout_interval);
        },
        success: function (xml) {
            $(xml).find("ant").find("type").each(function(i){
                if(ant_type === $(this).children("name").text()){
                    data_obj.la_n = $(this).children("la_n").text();
                    data_obj.la_e = $(this).children("la_e").text();
                    data_obj.la_u = $(this).children("la_u").text();
                    // console.log("la_n:"+data_obj.la_n+", la_e:"+data_obj.la_e+", la_u:"+data_obj.la_u);
                    return;
				}
            });
        }
    });
}

function GetAntTypeList(){
	$.ajax({
		url: "./js/ant.xml",
		dataType: 'xml',
		type: 'GET',
        async: false,
		timeout: 2000,
		err: function(xml){
			console.log("GetAntTypeList err!!");
            showLoader("读取天线参数失败！", 2000);
            clearTimeout(timeout_interval);
		},
		success: function (xml) {
			$(xml).find("ant").find("type").each(function(i){
				var ant_name = $(this).children("name").text();
				$('#ant_type_id').append("<option value='"+ant_name+"'>"+ant_name+"</option>");
			});
        }
	});
}

function CheckRTPRegister(){

	var data_link = parseInt($('#rover_link_id').val()); /* 数据链模式  */
	iRTK5HTTPRequest('index&device', '', function (dat) {
		var json_obj = JSON.parse(dat);
		console.log("rover_link_id="+data_link+"  rtx_expired_flag="+json_obj.rtx_expired_flag);
		if ((1 == json_obj.rtx_expired_flag) && (json_obj.rtp_check_flag == 1)) {
			document.cookie = "rtx_expired=1;"; /* 过期  */
		}
		else {
			document.cookie = "rtx_expired=0;"; /* 未过期  */
		}
	});

	var rtx_expired_flag = GetCookieByName('rtx_expired');
	if ((data_link == 6) && (1 == rtx_expired_flag)) {
		NoticeDialogShow(str_obj.expired_str);
		return false;
	}

	return true;
}

//检查星站差分模式，目前差分模式2只有RSA可以选
function changeSatliteDiffValue(type,value) {

    switch (type) {
		case 1:		//卫星(Hi_RTP)
			if((value == true) || ((ppp_mode_val & ppp_mode_second) == 0)){
				closeSatliteDiffValue();
				$('#ppp_sat_check').attr("checked", true);
			}
			else{
				$('#ppp_sat_check').attr("checked", false);
			}
			break;
		case 2:		//网络(Hi_RTP)
			if((value == true) || ((ppp_mode_val & ppp_mode_second) == 0)){
				closeSatliteDiffValue();
				$('#ppp_net_check').attr("checked", true);
			}
			else{
				$('#ppp_net_check').attr("checked", false);
			}
			break;
		case 3:		//卫星(B2b-PPP)
			if((value == true) || ((ppp_mode_val & ppp_mode_second) == 0)){
				closeSatliteDiffValue();
				$('#ppp_b2b_check').attr("checked", true);
			}
			else{
				$('#ppp_b2b_check').attr("checked", false);
			}
			break;
		case 4:		//卫星(B2b-PPP MBES)
			if((value == true) || ((ppp_mode_val & ppp_mode_second) == 0)){
				closeSatliteDiffValue();
				$('#ppp_b2b_mbes_check').attr("checked", true);	
			}
			else{
				$('#ppp_b2b_mbes_check').attr("checked", false);
			}
			break;
		case 5: 	//RSA-PPP
			if((value == true) || ((ppp_mode_val & ppp_mode_first) == 0)){
				$('#ppp_rsa_check').attr("checked", true);
			}
			else{
				$('#ppp_rsa_check').attr("checked", false);
			}
			break;
		case 6: 	//SBAS
			if((value == true) || ((ppp_mode_val & ppp_mode_second) == 0)){
				closeSatliteDiffValue();
				$('#ppp_sbas_check').attr("checked", true);
			}
			else{
				$('#ppp_sbas_check').attr("checked", false);
			}
			break;
		default:
			break;
	}

	ppp_mode_val = changeBaseDiffValue();
	console.log("ppp_mode_val:" + ppp_mode_val);

	//存在需要网络的差分模式时开启网络模式选择
	if((ppp_mode_val & ppp_mode_net) != 0){
		$('.Net-Mode').removeClass("hidden-class");
	}
	else {
		$(".Net-Mode").addClass("hidden-class");
	}

	//卫星(B2b-PPP MBES) 不能选择运动模式及框架，固定ITRF2014坐标及运动模式
	if($('#ppp_b2b_mbes_check').attr('checked') == "checked"){
		$("#coortype_select_id").val(0);
		$("#position_select_id").val(0);
		$('#coortype_select_id').attr('disabled', 'disable');
		$('#position_select_id').attr('disabled', 'disable');
	}
	else {
		/* 删除禁用  */
		$('#coortype_select_id').removeAttr('disabled');
		$('#position_select_id').removeAttr('disabled');
	}

	//当SBAS模式时显示增强系统选项
	if(
		($('#ppp_sbas_check').attr('checked') == "checked") && 
		(workmode_json.oem_type == 7)
	){
		$("#sbas_tr_id").removeClass("hidden-class");
	}
	else {
		$("#sbas_tr_id").addClass("hidden-class");
	}
}

function changeBaseDiffValue() {

	var ppp_mode_type = 0;
	console.log("sat_check:" + $('#ppp_sat_check').attr('checked') +", net_check:" + $('#ppp_net_check').attr('checked') + ", b2b_check:" + $('#ppp_b2b_check').attr('checked'));
    console.log("b2b_mbes_check:" + $('#ppp_b2b_mbes_check').attr('checked') + "sbas_check:" + $('#ppp_sbas_check').attr('checked'));
	console.log("rsa_check:" + $('#ppp_rsa_check').attr('checked'));
	//卫星
	if($('#ppp_sat_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_sat_val;
	}
	//网络
	if($('#ppp_net_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_net_val;
	}
	//B2b
	if($('#ppp_b2b_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_b2b_val;
	}
	//B2b MBES
	if($('#ppp_b2b_mbes_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_b2b_mbes_val;
	}
	//RSA
	if($('#ppp_rsa_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_rsa_val;
	}
	//SBAS
	if($('#ppp_sbas_check').attr('checked') == "checked"){
		ppp_mode_type |= ppp_sbas_val;
	}


	return ppp_mode_type;
}

function CheckSatlitesBaseDiff() {
	var star_type = 0;

	/* 删除禁用  */
	$('#coortype_select_id').removeAttr('disabled');
	$('#position_select_id').removeAttr('disabled');

	//目前卫星，网络，B2b只能选择一个
	if($('#ppp_sat_check').attr('checked') == "checked"){
		star_type = 1;	//卫星(Hi_RTP)
	}
	else if($('#ppp_net_check').attr('checked') == "checked"){
		star_type = 2;	//网络(Hi_RTP)
	}
	else if($('#ppp_b2b_check').attr('checked') == "checked"){
		star_type = 3;	//卫星(B2b-PPP)
	}
	else if($('#ppp_b2b_mbes_check').attr('checked') == "checked"){
		star_type = 4;	//卫星(B2b-PPP MBES) 不能选择运动模式及框架
		$('#coortype_select_id').attr('disabled', 'disable');
		$('#position_select_id').attr('disabled', 'disable');
	}
	else if($('#ppp_sbas_check').attr('checked') == "checked"){
		star_type = 6;	//卫星(SBAS)
	}
	else{
		star_type = 0;	//OFF
	}

	return star_type;
}

function CheckSatlitesBaseDiffSecond() {
	var star_type = 0;

	//目前卫星，网络，B2b只能选择一个
	if($('#ppp_rsa_check').attr('checked') == "checked"){
		star_type = 5;	//RSA-PPP
	}

	return star_type;
}


function CheckNetType(net_type)
{
	if(1 == net_type){
		$('#net_stand_sel').addClass("hidden-class");
		$('#net_optor_sel').addClass("hidden-class");
	}
	else{
		$('#net_stand_sel').removeClass("hidden-class");
		$('#net_optor_sel').removeClass("hidden-class");
	}
}


//清空星站差分模式选项
function closeSatliteDiffValue()
{
	$('#ppp_sat_check').attr("checked", false);
	$('#ppp_net_check').attr("checked", false);
	$('#ppp_b2b_check').attr("checked", false);
	$('#ppp_b2b_mbes_check').attr("checked", false);
	$('#ppp_sbas_check').attr("checked", false);
}

//清空星站差分模式选项
function displayNmeaCaution(value)
{
	//存在需要网络的差分模式时开启网络模式选择
	if(value === "on"){
		$('.nmea_caution').removeClass("hidden-class");
	}
	else {
		$(".nmea_caution").addClass("hidden-class");
	}
}
